"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.argTypes = void 0;
var _args = require("../storybook/args");
var _utils = require("../utils");
const argTypes = exports.argTypes = {
  borderRadius: {
    name: 'borderRadius',
    type: {
      name: 'string'
    },
    options: _args.borderRadii,
    description: 'borderRadius',
    control: {
      type: 'select'
    }
  },
  bg: {
    name: 'bg',
    type: {
      name: 'string'
    },
    options: _args.colors,
    description: 'Color of badge background',
    control: {
      type: 'select'
    }
  },
  color: {
    name: 'color',
    type: {
      name: 'string'
    },
    options: _args.colors,
    description: 'Color of badge',
    control: {
      type: 'select'
    }
  },
  textTransform: {
    name: 'text transform',
    type: {
      name: 'string'
    },
    options: _utils.textTransformValues,
    description: 'Text transform of Badge',
    control: {
      type: 'select'
    }
  },
  size: {
    name: 'size',
    control: 'select',
    options: ['captionSmall', 'captionMedium', 'small', 'medium'],
    defaultValue: 'medium'
  }
};