"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithoutIconOrCloseButtonTextOnly = exports.WithoutIconOrCloseButton = exports.WithCustomIconsAndSizes = exports.WithChildren = exports.SansIconTextOnly = exports.SansIcon = exports.SansCloseButtonTextOnly = exports.SansCloseButton = exports.CustomHeaderAsNode = exports.ColorScheme = exports.AllBgsTextOnly = exports.AllBgsHeaderOnly = exports.AllBgs = void 0;
var _addonActions = require("@storybook/addon-actions");
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _Heading = require("../Heading/Heading");
var _Text = require("../Text/Text");
var _args = require("../storybook/args");
var _Banner = require("./Banner");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Banner',
  component: _Banner.Banner
};
const AllBgs = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'default',
  text: 'Secondary Text',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'blue',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare.',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'orange',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur.',
  bg: 'orange',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus.',
  bg: 'red',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum.',
  bg: 'lightBlue',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare.',
  bg: 'lightGreen',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.',
  bg: 'lightRed',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'custom',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.',
  bg: 'text',
  color: 'white',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  mb: 2,
  p: 3,
  color: 'primary',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.'
}), _react.default.createElement(_Banner.Banner, {
  mb: 2,
  p: 3,
  color: 'warning',
  icon: _react.default.createElement(_pclnIcons.Attention, null),
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.'
}));
exports.AllBgs = AllBgs;
const AllBgsHeaderOnly = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  header: 'default',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  header: 'blue',
  bg: 'blue',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  header: 'green',
  bg: 'green',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  header: 'orange',
  bg: 'orange',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  header: 'red',
  bg: 'red',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  header: 'blue',
  bg: 'lightBlue',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  header: 'green',
  bg: 'lightGreen',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  header: 'red',
  bg: 'lightRed',
  onClose: (0, _addonActions.action)('closed')
}));
exports.AllBgsHeaderOnly = AllBgsHeaderOnly;
const AllBgsTextOnly = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'blue',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'green',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'orange',
  bg: 'orange',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'red',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'Secondary Text',
  bg: 'lightBlue',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'Secondary Text',
  bg: 'lightGreen',
  onClose: (0, _addonActions.action)('closed')
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'Secondary Text',
  bg: 'lightRed',
  onClose: (0, _addonActions.action)('closed')
}));
exports.AllBgsTextOnly = AllBgsTextOnly;
const SansCloseButton = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'default',
  text: 'Secondary Text'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'blue'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'green'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'orange',
  text: 'Secondary Text',
  bg: 'orange'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'red'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'lightBlue'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'lightGreen'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'lightRed'
}));
exports.SansCloseButton = SansCloseButton;
const SansIcon = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'default',
  text: 'Secondary Text',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'blue',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'green',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'orange',
  text: 'Secondary Text',
  bg: 'orange',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'red',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'lightBlue',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'lightGreen',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'lightRed',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}));
exports.SansIcon = SansIcon;
const WithoutIconOrCloseButton = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'default',
  text: 'Secondary Text',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'blue',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'green',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'orange',
  text: 'Secondary Text',
  bg: 'orange',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'red',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'lightBlue',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'lightGreen',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'lightRed',
  showIcon: false
}));
exports.WithoutIconOrCloseButton = WithoutIconOrCloseButton;
const SansCloseButtonTextOnly = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'blue'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'green'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'orange',
  bg: 'orange'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'red'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'lightBlue'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'lightGreen'
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'lightRed'
}));
exports.SansCloseButtonTextOnly = SansCloseButtonTextOnly;
const SansIconTextOnly = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'blue',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'green',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'orange',
  bg: 'orange',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'red',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'lightBlue',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'lightGreen',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'lightRed',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}));
exports.SansIconTextOnly = SansIconTextOnly;
const CustomHeaderAsNode = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  header: _react.default.createElement(_Heading.Heading, null, "LOUD HEADER"),
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  header: _react.default.createElement(_Heading.Heading.h5, null, "quiet header"),
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  onClose: (0, _addonActions.action)('closed'),
  showIcon: false
}));
exports.CustomHeaderAsNode = CustomHeaderAsNode;
const WithoutIconOrCloseButtonTextOnly = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'blue',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'green',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'orange',
  bg: 'orange',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'red',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'lightBlue',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'lightGreen',
  showIcon: false
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'lightRed',
  showIcon: false
}));
exports.WithoutIconOrCloseButtonTextOnly = WithoutIconOrCloseButtonTextOnly;
const WithCustomIconsAndSizes = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  icon: _react.default.createElement(_pclnIcons.Star, null)
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'blue',
  icon: _react.default.createElement(_pclnIcons.Star, null)
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'green',
  icon: _react.default.createElement(_pclnIcons.Star, null)
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'orange',
  bg: 'orange',
  icon: _react.default.createElement(_pclnIcons.Star, null)
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'red',
  icon: _react.default.createElement(_pclnIcons.Star, null)
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'lightBlue',
  icon: _react.default.createElement(_pclnIcons.Star, null)
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'lightGreen',
  icon: _react.default.createElement(_pclnIcons.Star, null)
}), _react.default.createElement(_Banner.Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'lightRed',
  icon: _react.default.createElement(_pclnIcons.Star, null)
}));
exports.WithCustomIconsAndSizes = WithCustomIconsAndSizes;
const WithChildren = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Banner.Banner, {
  p: 2,
  mb: 2,
  onClose: (0, _addonActions.action)('closed')
}, _react.default.createElement(_Flex.Flex, null, _react.default.createElement(_Box.Box, {
  bg: 'pink',
  p: 2,
  width: 1 / 2
}, "Pink box!"), _react.default.createElement(_Box.Box, {
  bg: 'red',
  p: 2,
  width: 1 / 2
}, "Red box!"))), _react.default.createElement(_Banner.Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  header: 'default',
  onClose: (0, _addonActions.action)('closed')
}, _react.default.createElement(_Text.Text, {
  bold: true,
  italic: true
}, "I am a text component!")));
exports.WithChildren = WithChildren;
const ColorScheme = () => {
  return _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_Banner.Banner, {
    key: colorScheme,
    textAlign: 'left',
    mb: 2,
    p: 3,
    header: colorScheme,
    text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare.',
    onClose: (0, _addonActions.action)('closed'),
    colorScheme: colorScheme
  }));
};
exports.ColorScheme = ColorScheme;