"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChatMessageSeparator = ChatMessageSeparator;
var _react = _interopRequireDefault(require("react"));
var _Divider = require("../Divider/Divider");
var _Flex = require("../Flex/Flex");
var _Text = require("../Text/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
function ChatMessageSeparator({
  message
}) {
  return _react.default.createElement(_Flex.Flex, {
    alignItems: 'center',
    justifyContent: 'center'
  }, _react.default.createElement(_Divider.Divider, {
    width: '100%'
  }), message && _react.default.createElement(_Text.Text, {
    color: 'text.light',
    textAlign: 'center',
    textStyle: 'subheading6',
    textWrap: 'nowrap',
    mx: 3
  }, message), _react.default.createElement(_Divider.Divider, {
    width: '100%'
  }));
}