"use strict";

var _react = require("@testing-library/react");
var _react2 = _interopRequireDefault(require("react"));
var _CloseButton = require("./CloseButton");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('CloseButton', () => {
  test('executes onClick prop on click', () => {
    const handleClick = jest.fn();
    (0, _react.render)(_react2.default.createElement(_CloseButton.CloseButton, {
      onClick: handleClick
    }));
    const button = _react.screen.getByTitle('close');
    _react.fireEvent.click(button);
    _react.fireEvent.mouseEnter(button);
    _react.fireEvent.mouseLeave(button);
    expect(handleClick).toHaveBeenCalled();
  });
});