"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Usage = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = require("../../Button/Button");
var _DoDont = require("./DoDont");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const exampleProps = {
  doExample: _react.default.createElement(_Button.Button, {
    width: '100%'
  }, "placeat id suscipit"),
  doText: 'Quas omnis corrupti illum ullam similique voluptatum at fugiat inventore.',
  dontExample: _react.default.createElement(_Button.Button, {
    width: 150
  }, "placeat id suscipit"),
  dontText: 'Illo tempore tenetur adipisci beatae sint nulla veniam ducimus.'
};
const Usage = exports.Usage = {
  render: args => _react.default.createElement(_DoDont.DoDont, {
    ...exampleProps,
    ...args
  })
};
const meta = {
  title: 'Docs Utils/DoDont',
  component: _DoDont.DoDont
};
var _default = exports.default = meta;