"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../../__test__/testing-library");
var _DoDont = require("./DoDont");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('DoDont component', () => {
  it('renders the DO and DONT example components and text', () => {
    const doExample = _react.default.createElement("div", null, "Do Example");
    const doText = 'this';
    const dontExample = _react.default.createElement("div", null, "Dont Example");
    const dontText = 'that';
    (0, _testingLibrary.render)(_react.default.createElement(_DoDont.DoDont, {
      doExample: doExample,
      dontExample: dontExample,
      doText: doText,
      dontText: dontText
    }));
    const doButton = _testingLibrary.screen.getByText('Do Example');
    const doCaps = _testingLibrary.screen.getByText('DO');
    const doDescription = _testingLibrary.screen.getByText('this');
    const dontButton = _testingLibrary.screen.getByText('Dont Example');
    const dontCaps = _testingLibrary.screen.getByText("DON'T");
    const dontDescription = _testingLibrary.screen.getByText('that');
    expect(doButton).toBeInTheDocument();
    expect(doDescription).toBeInTheDocument();
    expect(doCaps).toBeInTheDocument();
    expect(dontButton).toBeInTheDocument();
    expect(dontDescription).toBeInTheDocument();
    expect(dontCaps).toBeInTheDocument();
  });
});