"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Usage = void 0;
var _react = _interopRequireDefault(require("react"));
var _DocTable = require("./DocTable");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const exampleProps = {
  columns: [{
    field: 'left',
    heading: 'Left'
  }, {
    field: 'right',
    heading: 'Right'
  }],
  data: [{
    left: 'dolores',
    right: 'Consequatur ducimus mollitia incidunt.'
  }, {
    left: 'culpa',
    right: 'At rerum cumque omnis quo voluptatibus.'
  }, {
    left: 'voluptas',
    right: 'Quam sint sed et eius et est voluptates hic.'
  }]
};
const Usage = exports.Usage = {
  render: args => _react.default.createElement(_DocTable.DocTable, {
    ...exampleProps,
    ...args
  })
};
const meta = {
  title: 'Docs Utils/DocTable',
  component: _DocTable.DocTable
};
var _default = exports.default = meta;