"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Usage = void 0;
var _react = _interopRequireDefault(require("react"));
var _Hero = require("./Hero");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const exampleProps = {
  img: 'https://s1.pclncdn.com/design-assets/hero/beach.jpg?opto&optimize=medium&auto=jpg&width=600&height=450&fit=crop',
  name: 'Hero',
  children: `Doloremque nisi excepturi. Dicta ut esse quas. Voluptatum ab veniam suscipit libero assumenda voluptate a mollitia. Ut ab consequuntur veritatis illum ullam minima pariatur sint quas. Necessitatibus doloribus natus voluptas.`
};
const Usage = exports.Usage = {
  render: args => _react.default.createElement(_Hero.Hero, {
    ...exampleProps,
    ...args
  })
};
const meta = {
  title: 'Docs Utils/Hero',
  component: _Hero.Hero
};
var _default = exports.default = meta;