"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../../__test__/testing-library");
var _Note = require("./Note");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Note', () => {
  it('renders children', () => {
    const {
      getByText
    } = (0, _testingLibrary.render)(_react.default.createElement(_Note.Note, null, "Important note!"));
    expect(getByText('Important note!')).toBeInTheDocument();
  });
  it('has a "Note" prefix', () => {
    const {
      getByText
    } = (0, _testingLibrary.render)(_react.default.createElement(_Note.Note, null, "Something"));
    expect(getByText('NOTE')).toBeInTheDocument();
  });
});