"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Section = void 0;
var _kebabCase = _interopRequireDefault(require("lodash/kebabCase"));
var _react = _interopRequireDefault(require("react"));
var _Box = require("../../Box/Box");
var _Text = require("../../Text/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const Section = ({
  heading,
  children
}) => _react.default.createElement(_Box.Box, {
  my: 5
}, _react.default.createElement(_Text.Text, {
  id: (0, _kebabCase.default)(heading),
  textStyle: 'heading2',
  mb: 4
}, heading), children);
exports.Section = Section;