"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Usage = void 0;
var _react = _interopRequireDefault(require("react"));
var _Section = require("./Section");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const exampleProps = {
  heading: 'Section',
  children: `Facilis sed itaque doloribus beatae aut. Molestiae velit autem aut maiores. Et qui tenetur et impedit facere numquam. Omnis voluptatem sit minus. Quia harum qui provident reprehenderit vero aut necessitatibus est. Nam expedita praesentium non quia aut.`
};
const Usage = exports.Usage = {
  render: args => _react.default.createElement(_Section.Section, {
    ...exampleProps,
    ...args
  })
};
const meta = {
  title: 'Docs Utils/Section',
  component: _Section.Section
};
var _default = exports.default = meta;