"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Usage = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = require("../../Button/Button");
var _StoryStage = require("./StoryStage");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const exampleProps = {
  children: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Button.Button, {
    size: 'small'
  }, "Button"), _react.default.createElement(_Button.Button, {
    size: 'medium'
  }, "Button"), _react.default.createElement(_Button.Button, {
    size: 'large'
  }, "Button"), _react.default.createElement(_Button.Button, {
    size: 'extraLarge'
  }, "Button"))
};
const Usage = exports.Usage = {
  render: args => _react.default.createElement(_StoryStage.StoryStage, {
    ...exampleProps,
    ...args
  })
};
const meta = {
  title: 'Docs Utils/StoryStage',
  component: _StoryStage.StoryStage
};
var _default = exports.default = meta;