"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._DotLoader = exports.Responsive = exports.Fast = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _DotLoader2 = require("./DotLoader");
var _DotLoaderStories = require("./DotLoader.stories.args");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var _default = exports.default = {
  title: 'core / DotLoader',
  component: _DotLoader2.DotLoader,
  args: _DotLoaderStories.defaultArgs,
  argTypes: _DotLoaderStories.argTypes
};
const Template = args => {
  const [isLoading, setLoading] = (0, _react.useState)(false);
  function onClick() {
    setLoading(true);
    setTimeout(() => setLoading(false), 3000);
  }
  return _react.default.createElement(_Box.Box, {
    width: [1, null, '500px']
  }, _react.default.createElement(_Button.Button, {
    size: args.size,
    width: 1,
    onClick: onClick
  }, isLoading ? _react.default.createElement(_DotLoader2.DotLoader, {
    ...args
  }) : 'Click me to load nothing'));
};
const _DotLoader = exports._DotLoader = Template.bind({});
const Fast = exports.Fast = Template.bind({});
Fast.args = {
  speed: 'fast'
};
const Responsive = exports.Responsive = Template.bind({});
Responsive.args = {
  size: ['small', null, 'medium', null, 'large']
};
Responsive.parameters = {
  viewport: {
    defaultViewport: 'designSystem_sm'
  }
};