"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WrappedText = exports.WithIcon = exports.WithCustomPadding = exports.Default = exports.CompensatingFor1PxBorder = exports.Colors = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Card = require("../Card/Card");
var _Flex = require("../Flex/Flex");
var _Text = require("../Text/Text");
var _Flag = require("./Flag");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Flag',
  component: _Flag.Flag
};
const Default = () => _react.default.createElement(_Box.Box, {
  p: 3
}, _react.default.createElement(_Card.Card, {
  py: 0
}, _react.default.createElement(_Flag.Flag, {
  mt: 2
}, "Hello Flag"), _react.default.createElement(_Box.Box, {
  p: 3
}, "Hello")));
exports.Default = Default;
const Colors = () => _react.default.createElement(_Box.Box, {
  p: 3
}, _react.default.createElement(_Card.Card, {
  pb: 3
}, _react.default.createElement(_Flag.Flag, {
  width: 192,
  mt: 2,
  bg: 'orange'
}, _react.default.createElement("b", null, "Hello"), " Orange"), _react.default.createElement(_Flag.Flag, {
  mt: 3,
  bg: 'blue'
}, "Hello Blue"), _react.default.createElement(_Flag.Flag, {
  mt: 3,
  bg: 'purple'
}, "Hello Purple")));
exports.Colors = Colors;
const CompensatingFor1PxBorder = () => _react.default.createElement(_Box.Box, {
  p: 3
}, _react.default.createElement(_Card.Card, {
  pb: 3
}, _react.default.createElement(_Flag.Flag, {
  width: 192,
  ml: -9,
  mt: 2
}, _react.default.createElement("b", null, "Hello"))));
exports.CompensatingFor1PxBorder = CompensatingFor1PxBorder;
const WrappedText = () => _react.default.createElement(_Box.Box, {
  p: 3
}, _react.default.createElement(_Card.Card, {
  pb: 3
}, _react.default.createElement(_Flag.Flag, {
  mt: 2
}, _react.default.createElement("b", null, "Hello"), "This is a really long string of text that should wrap when it gets too long. But then the flag part to the right will probably break.")));
exports.WrappedText = WrappedText;
const WithIcon = () => _react.default.createElement(_Box.Box, {
  p: 3
}, _react.default.createElement(_Card.Card, {
  pb: 3
}, _react.default.createElement(_Flag.Flag, {
  mt: 2
}, _react.default.createElement(_Flex.Flex, null, _react.default.createElement(_pclnIcons.Loyalty, {
  size: 14,
  mr: 1
}), _react.default.createElement(_Text.Text, null, "Hello World")))));
exports.WithIcon = WithIcon;
const WithCustomPadding = () => _react.default.createElement(_Box.Box, {
  p: 3
}, _react.default.createElement(_Card.Card, {
  pb: 3
}, _react.default.createElement(_Flag.Flag, {
  mt: 2,
  py: [1, 2, 3],
  pl: [2, 3, 4],
  pr: [1, 3, 4]
}, _react.default.createElement(_Flex.Flex, null, _react.default.createElement(_Text.Text, null, "Hello World")))));
exports.WithCustomPadding = WithCustomPadding;