"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Wrap = exports.Justify = exports.DeprecatedBgShim = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Flex = require("./Flex");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Flex',
  component: _Flex.Flex
};
const Basic = () => _react.default.createElement(_Flex.Flex, {
  alignItems: 'center'
}, _react.default.createElement(_Box.Box, {
  width: 1 / 2,
  p: 3,
  color: 'white',
  bg: 'blue'
}, "Flex"), _react.default.createElement(_Box.Box, {
  width: 1 / 2,
  p: 1,
  color: 'white',
  bg: 'green'
}, "Box"));
exports.Basic = Basic;
const Wrap = () => _react.default.createElement(_Flex.Flex, {
  flexWrap: 'wrap'
}, _react.default.createElement(_Box.Box, {
  width: [1, 1 / 2],
  p: 3,
  color: 'white',
  bg: 'blue'
}, "Flex"), _react.default.createElement(_Box.Box, {
  width: [1, 1 / 2],
  p: 1,
  color: 'white',
  bg: 'green'
}, "Wrap"));
exports.Wrap = Wrap;
const Justify = () => _react.default.createElement(_Flex.Flex, {
  justifyContent: 'space-around'
}, _react.default.createElement(_Box.Box, {
  width: 1 / 3,
  p: 2,
  color: 'white',
  bg: 'blue'
}, "Flex"), _react.default.createElement(_Box.Box, {
  width: 1 / 3,
  p: 2,
  color: 'white',
  bg: 'green'
}, "Justify"));
exports.Justify = Justify;
const DeprecatedBgShim = () => _react.default.createElement(_Flex.Flex, {
  bg: 'blue'
}, _react.default.createElement(_Box.Box, {
  width: 1 / 2,
  p: 3,
  color: 'white',
  bg: 'blue'
}, "Flex"), _react.default.createElement(_Box.Box, {
  width: 1 / 2,
  p: 1,
  color: 'white',
  bg: 'green'
}, "Box"));
exports.DeprecatedBgShim = DeprecatedBgShim;