"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Heading = void 0;
var _react = _interopRequireDefault(require("react"));
var _Text = require("../Text/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Heading = props => _react.default.createElement(_Text.Text, {
  as: 'h3',
  ...props
});
exports.Heading = Heading;
Heading.displayName = 'Heading';
Heading.h1 = props => _react.default.createElement(Heading, {
  as: 'h1',
  textShadowSize: 'md',
  ...props
});
Heading.h2 = props => _react.default.createElement(Heading, {
  as: 'h2',
  textShadowSize: 'md',
  ...props
});
Heading.h3 = props => _react.default.createElement(Heading, {
  as: 'h3',
  textShadowSize: 'sm',
  ...props
});
Heading.h4 = props => _react.default.createElement(Heading, {
  as: 'h4',
  textShadowSize: 'sm',
  ...props
});
Heading.h5 = props => _react.default.createElement(Heading, {
  as: 'h5',
  textShadowSize: 'sm',
  ...props
});
Heading.h6 = props => _react.default.createElement(Heading, {
  as: 'h6',
  textShadowSize: 'sm',
  ...props
});