"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._Hide = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _Hide2 = require("./Hide");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Hide',
  component: _Hide2.Hide
};
const _Hide = () => _react.default.createElement(_Flex.Flex, {
  justifyContent: 'space-between'
}, _react.default.createElement(_Hide2.Hide, {
  xs: true,
  sm: true,
  md: true,
  lg: true,
  xl: true,
  xxl: true
}, _react.default.createElement(_Box.Box, {
  p: 2,
  bg: 'warning'
}, "Hide xs")), _react.default.createElement(_Hide2.Hide, {
  sm: true,
  md: true,
  lg: true,
  xl: true,
  xxl: true
}, _react.default.createElement(_Box.Box, {
  p: 2,
  bg: 'alert'
}, "Hide sm")), _react.default.createElement(_Hide2.Hide, {
  md: true,
  lg: true,
  xl: true,
  xxl: true
}, _react.default.createElement(_Box.Box, {
  p: 2,
  bg: 'success'
}, "Hide md")), _react.default.createElement(_Hide2.Hide, {
  lg: true,
  xl: true,
  xxl: true
}, _react.default.createElement(_Box.Box, {
  p: 2,
  bg: 'primary'
}, "Hide lg")), _react.default.createElement(_Hide2.Hide, {
  xl: true,
  xxl: true
}, _react.default.createElement(_Box.Box, {
  p: 2,
  bg: 'promoPrimary'
}, "Hide xl")), _react.default.createElement(_Hide2.Hide, {
  xxl: true
}, _react.default.createElement(_Box.Box, {
  p: 2,
  bg: 'promoSecondary'
}, "Hide xxl")), _react.default.createElement(_Hide2.Hide, {
  print: true
}, _react.default.createElement(_Box.Box, {
  p: 2,
  bg: 'caution'
}, "Hide print")), _react.default.createElement(_Hide2.Hide.text, {
  sm: true
}, "Hide.text (inline)"));
exports._Hide = _Hide;