"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Image = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const Image = exports.Image = /*#__PURE__*/_styledComponents.default.img.attrs(props => ({
  ...(0, _utils.borderRadiusAttrs)(props),
  ...(0, _utils.boxShadowAttrs)(props)
})).withConfig({
  displayName: "Image",
  componentId: "sc-1x3ijma-0"
})(["display:block;", ";", ";", ""], _utils.objectFit, _utils.objectPosition, props => (0, _styledSystem.compose)(_styledSystem.width, _styledSystem.height, _styledSystem.maxHeight, _styledSystem.maxWidth, _styledSystem.minHeight, _styledSystem.minWidth, _styledSystem.space, _styledSystem.borderRadius, _styledSystem.boxShadow)(props));
Image.displayName = 'Image';
Image.defaultProps = {
  boxShadowColor: 'border',
  maxWidth: '100%'
};