"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.argTypes = void 0;
var _args = require("../storybook/args");
var _Image = require("./Image");
const argTypes = exports.argTypes = {
  borderRadius: {
    control: 'select',
    name: 'borderRadius',
    options: _args.borderRadii
  },
  rounded: {
    control: 'select',
    options: _args.rounded
  },
  boxShadowSize: {
    control: 'select',
    options: _args.shadows
  },
  boxShadowColor: {
    control: 'select',
    options: _args.colors,
    defaultValue: _Image.Image.defaultProps.boxShadowColor,
    description: 'Palette family for box shadows',
    table: {
      type: {
        summary: 'Palette color to use for box-shadow - always uses "dark" shade'
      }
    }
  },
  height: {
    control: 'text'
  },
  width: {
    control: 'text'
  },
  objectFit: {
    control: 'select',
    options: _args.objectFits
  },
  objectPosition: {
    control: 'select',
    options: _args.objectPositions
  }
};