"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultArgs = exports.argTypes = void 0;
var _addonActions = require("@storybook/addon-actions");
var _colors = require("../__test__/mocks/colors");
const actions = {
  noAction: null,
  basicAction: (0, _addonActions.action)('Label Clicked')
};
const defaultArgs = exports.defaultArgs = {
  children: 'Label Children',
  width: 'auto'
};
const argTypes = exports.argTypes = {
  color: {
    name: 'color',
    options: Object.keys(_colors.colors),
    mapping: _colors.colors,
    control: 'select'
  },
  fontSize: {
    name: 'fontSize',
    options: [0, 1, 2, 3, 4, 5, 6],
    control: 'select'
  },
  width: {
    name: 'width',
    options: [0.5, '20px', 'auto'],
    control: 'radio'
  },
  onClick: {
    name: 'onClick',
    options: Object.keys(actions),
    mapping: actions,
    control: 'radio'
  }
};