"use strict";

var _react = _interopRequireDefault(require("react"));
var _Radio = require("./Radio");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Radio', () => {
  test('Selected, rendering', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Radio.Radio, {
      checked: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('Not Selected, rendering', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Radio.Radio, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('Disabled, rendering', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Radio.Radio, {
      disabled: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
});