"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.argTypes = void 0;
var _RadioCheckToggleCard = require("./RadioCheckToggleCard");
const argTypes = exports.argTypes = {
  hPosition: {
    control: {
      type: 'radio'
    },
    options: _RadioCheckToggleCard.RadioCheckToggleCardHPositions,
    defaultValue: _RadioCheckToggleCard.RadioCheckToggleCard.defaultProps.hPosition,
    description: 'Controlling the button icon horizontal position'
  },
  vPosition: {
    control: {
      type: 'radio'
    },
    options: _RadioCheckToggleCard.RadioCheckToggleCardVPositions,
    defaultValue: _RadioCheckToggleCard.RadioCheckToggleCard.defaultProps.vPosition,
    description: 'Controlling the button icon vertical position'
  },
  isTakingFullHeightOfCard: {
    control: 'boolean',
    defaultValue: false,
    description: 'Controlling the button icon whether take full height of the card'
  },
  title: {
    control: 'text',
    defaultValue: 'Title',
    description: 'Card label'
  },
  isTitleBold: {
    control: 'boolean',
    defaultValue: false,
    description: 'Controlling the card label bold status'
  },
  isSelected: {
    control: 'boolean',
    defaultValue: false,
    description: 'Controlling the card selection status'
  }
};