"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.MixBgAndColorProps = exports.DeprecatedBgProp = exports.Default = exports.Colors = exports.ColorSchemes = void 0;
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _args = require("../storybook/args");
var _RatingBadge = require("./RatingBadge");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const meta = {
  title: 'Core / RatingBadge',
  component: _RatingBadge.RatingBadge
};
var _default = exports.default = meta;
const Default = () => _react.default.createElement(_RatingBadge.RatingBadge, null, "9.0");
exports.Default = Default;
const DeprecatedBgProp = () => _react.default.createElement(_RatingBadge.RatingBadge, {
  bg: 'primary.base'
}, "9.0");
exports.DeprecatedBgProp = DeprecatedBgProp;
const MixBgAndColorProps = () => _react.default.createElement(_Flex.Flex, {
  width: '150px',
  justifyContent: 'space-between'
}, _react.default.createElement(_RatingBadge.RatingBadge, {
  color: 'text.lightest',
  bg: 'alert.base'
}, "9.0"), _react.default.createElement(_RatingBadge.RatingBadge, {
  color: 'text.dark',
  bg: 'secondary.base'
}, "9.0"));
exports.MixBgAndColorProps = MixBgAndColorProps;
const Colors = () => _react.default.createElement(_Flex.Flex, {
  width: '150px',
  justifyContent: 'space-between'
}, _react.default.createElement(_RatingBadge.RatingBadge, {
  color: 'primary'
}, "7.6"), _react.default.createElement(_RatingBadge.RatingBadge, {
  color: 'secondary'
}, "8.1"), _react.default.createElement(_RatingBadge.RatingBadge, {
  color: 'alert'
}, "9.0"));
exports.Colors = Colors;
const ColorSchemesTemplate = args => {
  return _react.default.createElement(_react.default.Fragment, null, _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_RatingBadge.RatingBadge, {
    m: 3,
    colorScheme: colorScheme,
    key: colorScheme
  }, colorScheme)));
};
const ColorSchemes = exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};