"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultArgs = exports.argTypes = void 0;
var _args = require("../storybook/args");
const defaultArgs = exports.defaultArgs = {
  disabled: false
};
const argTypes = exports.argTypes = {
  borderRadius: {
    name: 'borderRadius',
    type: {
      name: 'string'
    },
    options: _args.borderRadii,
    description: 'borderRadius',
    control: {
      type: 'select'
    }
  },
  disabled: {
    name: 'disabled',
    type: {
      name: 'boolean'
    },
    defaultValue: false
  },
  size: {
    name: 'size',
    type: {
      name: 'string'
    },
    options: _args.inputArgs,
    description: 'size',
    control: {
      type: 'select'
    }
  },
  variation: {
    name: 'variation',
    description: 'variation',
    control: {
      type: 'select'
    },
    options: ['input', 'subtle'],
    defaultValue: 'input'
  }
};