"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AbsoluteTransformRight = exports.AbsoluteTransformLeft = exports.ARROW_SIZES = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Absolute = require("../Absolute/Absolute");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const AbsoluteTransformLeft = exports.AbsoluteTransformLeft = /*#__PURE__*/(0, _styledComponents.default)(_Absolute.Absolute).withConfig({
  displayName: "Arrowstyled__AbsoluteTransformLeft",
  componentId: "sc-17mtqml-0"
})(["transform:translateX(-50%);"]);
const AbsoluteTransformRight = exports.AbsoluteTransformRight = /*#__PURE__*/(0, _styledComponents.default)(_Absolute.Absolute).withConfig({
  displayName: "Arrowstyled__AbsoluteTransformRight",
  componentId: "sc-17mtqml-1"
})(["transform:translateX(50%);"]);
const ARROW_SIZES = exports.ARROW_SIZES = {
  sm: {
    buttonSize: 40,
    iconSize: 32
  },
  lg: {
    buttonSize: [40, null, null, null, 60],
    iconSize: [32, null, null, null, 40]
  }
};