"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BottomArrows = BottomArrows;
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _Arrow = require("./Arrow");
var _Arrow2 = require("./Arrow.styled");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function BottomArrows({
  arrowPosition,
  arrowProps
}) {
  const isSide = arrowPosition === 'side';
  const Wrapper = isSide ? _Arrow2.AbsoluteTransformRight : _Flex.Flex;
  return ['bottom', 'side'].includes(arrowPosition) ? _react.default.createElement(Wrapper, {
    justifyContent: 'center',
    pt: isSide ? 0 : 2,
    right: 0,
    "data-testid": isSide ? 'side-right-arrow' : 'bottom-arrows'
  }, isSide ? null : _react.default.createElement(_Arrow.Arrow, {
    mr: 3,
    isLeft: true,
    ...arrowProps
  }), _react.default.createElement(_Arrow.Arrow, {
    ...arrowProps
  })) : null;
}