"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.NoStrechHeight = exports.Default = exports.CustomLayout = void 0;
var _addonActions = require("@storybook/addon-actions");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _BackgroundImage = require("../BackgroundImage/BackgroundImage");
var _Box = require("../Box/Box");
var _Card = require("../Card/Card");
var _Flex = require("../Flex/Flex");
var _Text = require("../Text/Text");
var _SlideBox = require("./SlideBox");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ToutCard = /*#__PURE__*/(0, _styledComponents.default)(_Card.Card).withConfig({
  displayName: "SlideBoxstories__ToutCard",
  componentId: "sc-rhbu3y-0"
})(["overflow:hidden;"]);
var _default = exports.default = {
  title: 'SlideBox',
  component: _SlideBox.SlideBox
};
const TileContents = ({
  index
}) => _react.default.createElement(_Box.Box, null, _react.default.createElement(_BackgroundImage.BackgroundImage, {
  height: '190px',
  width: '100%',
  image: 'https://cdn2.thecatapi.com/images/dnn.jpg'
}), _react.default.createElement(_Flex.Flex, {
  color: 'background.lightest',
  p: [1, 1, 2, 2, 2, 3]
}, _react.default.createElement(_Box.Box, null, _react.default.createElement(_Text.Text, {
  fontSize: [0, null, 1, 1, 2],
  fontWeight: 'bold',
  mb: 2
}, "City, ", index), _react.default.createElement(_Text.Text, {
  fontSize: [0, null, null, null, 1]
}, "Hotel for 2 nights"), _react.default.createElement(_Text.Text, {
  fontSize: [0, null, null, null, 1]
}, "+ Round-trip flight")), _react.default.createElement(_Text.Text, {
  textAlign: 'right',
  ml: 'auto'
}, _react.default.createElement(_Text.Text.s, {
  fontSize: [0, null, null, null, 1],
  fontWeight: 'bold'
}, "$554"), _react.default.createElement(_Text.Text, {
  fontSize: [0, null, 1, 1, 3],
  fontWeight: 'bold',
  color: 'secondary.base',
  mx: 1
}, "$365"), _react.default.createElement(_Text.Text, {
  fontSize: [0, null, null, null, 1],
  color: 'text.light'
}, "per person"))));
const Default = () => _react.default.createElement(_Box.Box, {
  m: 3
}, _react.default.createElement(_SlideBox.SlideBox, {
  visibleSlides: [0.7, 2.2, 3, 3, 4],
  onSlideChange: (0, _addonActions.action)('Slide Change'),
  slideSpacing: 2,
  stretchHeight: true,
  arrowPosition: 'side'
}, Array.from(Array(20)).map((_, idx) => _react.default.createElement(ToutCard, {
  height: idx === 1 ? '300px' : '320px',
  borderRadius: 20,
  boxShadowSize: 'md',
  borderWidth: 0,
  key: idx
}, _react.default.createElement(TileContents, {
  index: idx
})))));
exports.Default = Default;
const NoStrechHeight = () => _react.default.createElement(_Box.Box, {
  m: 3
}, _react.default.createElement(_SlideBox.SlideBox, {
  visibleSlides: [1.2, 2.2, 3, 3, 4],
  onSlideChange: (0, _addonActions.action)('Slide Change'),
  slideSpacing: 2,
  arrowPosition: 'side'
}, Array.from(Array(6)).map((_, idx) => _react.default.createElement(ToutCard, {
  height: idx === 1 ? '300px' : '320px',
  borderRadius: 20,
  boxShadowSize: 'md',
  borderWidth: 0,
  key: idx
}, _react.default.createElement(TileContents, null)))));
exports.NoStrechHeight = NoStrechHeight;
const CustomLayout = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_SlideBox.SlideBox, {
  visibleSlides: 2,
  onSlideChange: (0, _addonActions.action)('Slide Change'),
  slideSpacing: 2,
  stretchHeight: true,
  layout: '30-70',
  arrowPosition: 'side'
}, Array.from(Array(6)).map((_, idx) => _react.default.createElement(ToutCard, {
  height: idx === 1 ? '300px' : '320px',
  borderRadius: 20,
  boxShadowSize: 'md',
  borderWidth: 0,
  key: idx
}, _react.default.createElement(TileContents, null)))));
exports.CustomLayout = CustomLayout;