"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Stepper = Stepper;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Flex = require("../Flex/Flex");
var _Step = require("../Step/Step");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const StyledFlex = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "Stepper__StyledFlex",
  componentId: "sc-1ibf3q4-0"
})(["& > :not(:last-child){margin-right:", "px;}"], (0, _themeGet.default)('space.4'));
/**
 * @public
 */
function Stepper({
  className,
  children,
  ...props
}) {
  return _react.default.createElement(StyledFlex, {
    className: className,
    ...props
  }, children);
}
// eslint-disable-next-line @typescript-eslint/no-explicit-any
Stepper.Step = _Step.Step;