"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = void 0;
var _addonActions = require("@storybook/addon-actions");
var _react = _interopRequireDefault(require("react"));
var _Stepper = require("./Stepper");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const onFirstClick = (0, _addonActions.action)('First Step Clicked');
const children = _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Stepper.Stepper.Step, {
  completed: true,
  onClick: onFirstClick
}, "First Step"), _react.default.createElement(_Stepper.Stepper.Step, {
  active: true
}, "Second Step"), _react.default.createElement(_Stepper.Stepper.Step, null, "Third Step"));
var _default = exports.default = {
  title: 'Stepper',
  component: _Stepper.Stepper,
  parameters: {
    docs: {
      description: {
        component: 'Use the <Stepper> component to render a stepper.'
      }
    }
  }
};
const Default = () => _react.default.createElement(_Stepper.Stepper, null, children);
exports.Default = Default;