"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Wrap = exports.SingleColor = exports.SelectColor = exports.MultipleColors = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _Text = require("../Text/Text");
var _Swatch = require("./Swatch");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var _default = exports.default = {
  title: 'Swatch',
  component: _Swatch.Swatch
};
const SingleColor = () => _react.default.createElement(_Swatch.Swatch, {
  colors: ['#0033A0']
});
exports.SingleColor = SingleColor;
const MultipleColors = () => _react.default.createElement(_Swatch.Swatch, {
  colors: ['#D50032', '#1B7742', '#0033A0']
});
exports.MultipleColors = MultipleColors;
const Wrap = () => _react.default.createElement(_Box.Box, {
  width: '100px'
}, _react.default.createElement(_Swatch.Swatch, {
  colors: ['#D50032', '#1B7742', '#0033A0', '#002244', '#6244BB', '#31225D', '#31225D', '#FFC658', '#4F6F8F']
}));
exports.Wrap = Wrap;
const SelectColor = () => {
  const [color, setColor] = (0, _react.useState)('#D50032');
  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Swatch.Swatch, {
    colors: ['#FFFFFF', '#D50032', '#1B7742', '#0033A0'],
    onClick: color => setColor(color)
  }), _react.default.createElement(_Flex.Flex, {
    mt: '3',
    flexDirection: 'row',
    alignItems: 'center'
  }, _react.default.createElement(_Text.Text, {
    mr: 2
  }, "Color:"), _react.default.createElement(_Text.Text, null, color)));
};
exports.SelectColor = SelectColor;