"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextArea = void 0;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const TextArea = exports.TextArea = /*#__PURE__*/_styledComponents.default.textarea.withConfig({
  displayName: "TextArea",
  componentId: "sc-1qq7bjn-0"
})(["appearance:none;display:block;width:100%;font-family:inherit;font-size:", "px;color:inherit;background-color:transparent;border-radius:", ";border-width:1px;border-style:solid;padding-top:14px;padding-bottom:14px;padding-left:12px;padding-right:12px;margin:0;::placeholder{color:", ";}::-ms-clear{display:none;}", " ", " ", ";"], (0, _themeGet.default)('fontSizes.1'), (0, _themeGet.default)('borderRadii.lg'), (0, _utils.getPaletteColor)('text.light'), (0, _utils.applyVariations)('TextArea'), _utils.borders, _styledSystem.space);
TextArea.displayName = 'TextArea';
TextArea.isField = true;