"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultArgs = exports.borderRadiusArgType = exports.argTypes = void 0;
var _args = require("../storybook/args");
const defaultArgs = exports.defaultArgs = {
  p: 3,
  m: 0,
  color: 'primary',
  size: '200px',
  borderRadius: 'full'
};
const argTypes = exports.argTypes = {
  children: {
    table: {
      disable: true
    }
  },
  p: {
    table: {
      disable: true
    }
  },
  m: {
    table: {
      disable: true
    }
  },
  color: {
    table: {
      disable: true
    }
  },
  boxShadowSize: {
    table: {
      disable: true
    }
  },
  size: {
    name: 'size',
    type: {
      name: 'string'
    },
    description: 'size'
  }
};
const borderRadiusArgType = exports.borderRadiusArgType = {
  name: 'borderRadius',
  type: {
    name: 'string'
  },
  options: _args.borderRadii,
  description: 'borderRadius',
  control: {
    type: 'select'
  }
};