"use strict";

var _createTheme = require("../createTheme");
var _typographyAttrs = require("./typographyAttrs");
const theme = (0, _createTheme.createTheme)();
describe('typographyAttrs', () => {
  it.each(_typographyAttrs.textStylesValues)('works with and textStyle=%s', textStyle => {
    const attrs = (0, _typographyAttrs.typographyAttrs)({
      textStyle,
      theme
    });
    expect(attrs).toMatchSnapshot();
  });
  it('should handle an array prop', () => {
    const attrs = (0, _typographyAttrs.typographyAttrs)({
      textStyle: ['title3', null, 'title2', null, 'title1'],
      theme
    });
    expect(attrs).toMatchSnapshot();
  });
});