"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.objectFit = objectFit;
exports.objectFitValues = void 0;
var _styledSystem = require("styled-system");
/**
 * @public
 */
const objectFitValues = exports.objectFitValues = ['contain', 'cover', 'unset'];
/**
 * @public
 */
function objectFit() {
  return (0, _styledSystem.system)({
    objectFit: {
      property: 'objectFit',
      transform: val => val ?? 'unset'
    }
  });
}