"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  createColorStyles: true,
  createTextStyles: true,
  createMediaQueries: true
};
Object.defineProperty(exports, "createColorStyles", {
  enumerable: true,
  get: function () {
    return _createColorStyles.createColorStyles;
  }
});
Object.defineProperty(exports, "createMediaQueries", {
  enumerable: true,
  get: function () {
    return _createMediaQueries.createMediaQueries;
  }
});
Object.defineProperty(exports, "createTextStyles", {
  enumerable: true,
  get: function () {
    return _createTextStyles.createTextStyles;
  }
});
var _utils = require("./utils");
Object.keys(_utils).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _utils[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _utils[key];
    }
  });
});
var _attrs = require("./attrs");
Object.keys(_attrs).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _attrs[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _attrs[key];
    }
  });
});
var _customStyles = require("./customStyles");
Object.keys(_customStyles).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _customStyles[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _customStyles[key];
    }
  });
});
var _createPalette = require("./createPalette");
Object.keys(_createPalette).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _createPalette[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _createPalette[key];
    }
  });
});
var _createColorStyles = require("./createColorStyles");
var _createTextStyles = require("./createTextStyles");
var _createMediaQueries = require("./createMediaQueries");