import { action } from '@storybook/addon-actions';
import { Calendar as CalendarIcon, Check as CheckIcon, Close as CloseIcon, Visibility as VisibilityIcon } from 'pcln-icons';
import React from 'react';
import { IconButton } from '../IconButton/IconButton';
import { Input } from '../Input/Input';
import { Select } from '../Select/Select';
import { IconField } from './IconField';
export default {
  title: 'IconField',
  component: IconField
};
export const IconAndInput = () => React.createElement(IconField, null, React.createElement(CalendarIcon, {
  color: 'blue'
}), React.createElement(Input, {
  placeholder: 'Choose Date'
}));
export const InputAndIcon = () => React.createElement(IconField, null, React.createElement(Input, {
  placeholder: 'Choose Date'
}), React.createElement(CalendarIcon, {
  color: 'blue'
}));
export const InputWithMultipleIcons = () => React.createElement(IconField, null, React.createElement(CheckIcon, {
  color: 'success'
}), React.createElement(VisibilityIcon, {
  color: 'text.light'
}), React.createElement(Input, {
  placeholder: 'Choose Date'
}), React.createElement(VisibilityIcon, {
  color: 'text.light'
}), React.createElement(CheckIcon, {
  color: 'success'
}));
export const InputAndIconButton = () => React.createElement(IconField, null, React.createElement(Input, {
  placeholder: 'Choose Date'
}), React.createElement(IconButton, {
  icon: React.createElement(CloseIcon, null),
  color: 'gray',
  title: 'Clear text',
  onClick: action('Icon button clicked')
}));
export const IconInputAndIcon = () => React.createElement(IconField, null, React.createElement(CalendarIcon, {
  color: 'blue'
}), React.createElement(Input, {
  placeholder: 'Choose Date'
}), React.createElement(CheckIcon, {
  color: 'green'
}));
export const IconInputAndIconButton = () => React.createElement(IconField, null, React.createElement(CalendarIcon, {
  color: 'blue'
}), React.createElement(Input, {
  placeholder: 'Choose Date'
}), React.createElement(IconButton, {
  icon: React.createElement(CloseIcon, null),
  color: 'gray',
  title: 'Clear text',
  onClick: action('Icon button clicked')
}));
export const IconAndSelect = () => React.createElement(IconField, null, React.createElement(CalendarIcon, {
  color: 'blue'
}), React.createElement(Select, null, React.createElement("option", null, "Choose Date"), React.createElement("option", null, "January 2019")));