import { Close as CloseIcon } from 'pcln-icons';
import React from 'react';
import { Absolute } from '../Absolute/Absolute';
import { Card } from '../Card/Card';
import { Flag } from '../Flag/Flag';
import { Image } from '../Image/Image';
import { Relative } from '../Relative/Relative';
import { Text } from '../Text/Text';
export default {
  title: 'Relative',
  component: Relative
};
export const AroundAnImageAndAnAbsolutelyPositionedFlag = () => React.createElement(Relative, {
  width: 1 / 2
}, React.createElement(Absolute, {
  top: 8,
  left: 0
}, React.createElement(Flag, null, "Hello Flag")), React.createElement(Image, {
  src: 'https://www.priceline.com/home/public/assets/images/photos/photo-aruba.jpg'
}));
export const AroundTextAndAnAbsolutelyPositionedIcon = () => React.createElement(Card, {
  m: 2
}, React.createElement(Relative, {
  p: 4
}, React.createElement(Text, {
  mt: 2,
  textAlign: 'justify'
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque et nisl dolor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec quis nisi ac est elementum consequat a eu risus. Phasellus id facilisis nulla. Aliquam vel semper enim, id lobortis dolor. Morbi sed leo at turpis rutrum posuere. Nullam tincidunt ex vitae mi sagittis, vel sollicitudin lectus viverra. Curabitur sit amet fringilla velit."), React.createElement(Absolute, {
  top: '10px',
  right: '10px'
}, React.createElement(CloseIcon, {
  color: 'text.base',
  size: 24
}))));