import React from 'react';
import { Stepper } from './Stepper';
const children = React.createElement(React.Fragment, null, React.createElement(Stepper.Step, {
  completed: true
}, "First Step"), React.createElement(Stepper.Step, {
  active: true
}, "Second Step"), React.createElement(Stepper.Step, null, "Third Step"));
describe('Stepper', () => {
  test('renders without crashing', () => {
    const json = rendererCreateWithTheme(React.createElement(Stepper, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with children', () => {
    const json = rendererCreateWithTheme(React.createElement(Stepper, null, children)).toJSON();
    expect(json).toMatchSnapshot();
  });
});