"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Flag_1 = require("../Flag/Flag");
const Text_1 = require("../Text/Text");
const testing_library_1 = require("../__test__/testing-library");
const Absolute_1 = require("./Absolute");
describe('Absolute', () => {
    test('renders with top, left and zIndex props', () => {
        const { asFragment } = (0, testing_library_1.render)(react_1.default.createElement(Absolute_1.Absolute, { top: 10, left: 0 },
            react_1.default.createElement(Flag_1.Flag, null,
                react_1.default.createElement(pcln_icons_1.Coupon, null),
                " ",
                react_1.default.createElement(Text_1.Text.span, null, "EXCLUSIVE"))));
        expect(asFragment).toMatchInlineSnapshot(`[Function]`);
    });
    test('renders with flag and Child', () => {
        const { asFragment } = (0, testing_library_1.render)(react_1.default.createElement(Absolute_1.Absolute, { top: 10, left: 0 },
            react_1.default.createElement(Flag_1.Flag, null,
                react_1.default.createElement(pcln_icons_1.Coupon, null),
                " ",
                react_1.default.createElement(Text_1.Text.span, null, "EXCLUSIVE"))));
        expect(asFragment).toMatchInlineSnapshot(`[Function]`);
    });
});
//# sourceMappingURL=Absolute.spec.js.map