"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = exports.defaultArgs = void 0;
const args_1 = require("../storybook/args");
exports.defaultArgs = {
    height: '300px',
    width: '300px',
};
exports.argTypes = {
    color: {
        name: 'color',
        type: { name: 'string' },
        options: args_1.colors,
        description: 'Palette color to use',
        control: {
            type: 'select',
        },
    },
    borderRadius: {
        name: 'borderRadius',
        type: { name: 'string' },
        options: args_1.borderRadii,
        description: 'borderRadius',
        control: {
            type: 'select',
        },
    },
    rounded: {
        name: 'rounded',
        type: { name: 'string' },
        options: args_1.rounded,
        description: 'rounded',
        control: {
            type: 'select',
        },
    },
    boxShadowSize: {
        name: 'boxShadowSize',
        type: { name: 'string' },
        options: args_1.shadows,
        description: 'Size of the box shadow',
        control: {
            type: 'select',
        },
    },
    boxShadowColor: {
        name: 'boxShadowColor',
        type: { name: 'string' },
        options: args_1.colors,
        description: 'Palette family for box shadows',
        table: {
            type: {
                summary: 'Palette color to use for box-shadow - always uses "dark" shade',
            },
        },
        control: {
            type: 'select',
        },
    },
    height: {
        name: 'height',
        type: { name: 'string' },
        description: 'height',
    },
    width: {
        name: 'width',
        type: { name: 'string' },
        description: 'width',
    },
};
//# sourceMappingURL=Box.stories.args.js.map