"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomMessageMaxWidth = exports.Empty = exports.LongConversation = exports._ChatMessageContainer = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const ChatMessageContainer_1 = require("./ChatMessageContainer");
const ChatMessageContainer_stories_args_1 = require("./ChatMessageContainer.stories.args");
exports.default = {
    title: 'Chat / ChatMessageContainer',
    component: ChatMessageContainer_1.ChatMessageContainer,
    args: {
        messageMaxWidth: '90%',
    },
};
exports._ChatMessageContainer = {
    render: (args) => react_1.default.createElement(ChatMessageContainer_1.ChatMessageContainer, { ...args, messages: ChatMessageContainer_stories_args_1.shortConversation }),
};
exports.LongConversation = {
    render: (args) => (react_1.default.createElement(Box_1.Box, { height: '400px' },
        react_1.default.createElement(ChatMessageContainer_1.ChatMessageContainer, { ...args, messages: ChatMessageContainer_stories_args_1.longConversation }))),
};
exports.Empty = {
    render: (args) => react_1.default.createElement(ChatMessageContainer_1.ChatMessageContainer, { ...args }),
};
exports.CustomMessageMaxWidth = {
    render: (args) => react_1.default.createElement(ChatMessageContainer_1.ChatMessageContainer, { ...args, messages: ChatMessageContainer_stories_args_1.shortConversation, messageMaxWidth: '60%' }),
};
//# sourceMappingURL=ChatMessageContainer.stories.js.map