"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChipLabel = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Label_1 = require("../../Label/Label");
const utils_1 = require("../../utils/utils");
const ChipContentWrapper_1 = require("../ChipContentWrapper");
exports.ChipLabel = (0, styled_components_1.default)(Label_1.Label) `
  display: inline-flex;
  user-select: none;
  padding: 0;
  margin: 0;
  > input:focus-visible ~ ${ChipContentWrapper_1.ChipContentWrapper} {
    border-color: ${(0, utils_1.getPaletteColor)('base')};
    outline-offset: 2px;
    outline: 3px solid ${(0, utils_1.getPaletteColor)('base')};
  }
`;
//# sourceMappingURL=index.js.map