"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloseButton = void 0;
const react_1 = __importStar(require("react"));
const Relative_1 = require("../Relative/Relative");
const CloseButton_styled_1 = require("./CloseButton.styled");
/**
 * @public
 */
const CloseButton = ({ animate = true, bgColor, boxShadowSize, className, color, onClick, size = 'md', title = 'close', variant, ...props }) => {
    const [hover, setHover] = (0, react_1.useState)(false);
    return (react_1.default.createElement(Relative_1.Relative, null,
        react_1.default.createElement(CloseButton_styled_1.MotionButton, { bgColor: bgColor, boxShadowSize: boxShadowSize, className: className, color: color, onHoverEnd: () => setHover(false), onHoverStart: () => setHover(true), variant: variant, size: size, onClick: onClick, title: title, ...CloseButton_styled_1.closeButtonVariantProps[variant], ...props },
            animate && variant !== 'filled' && (react_1.default.createElement(CloseButton_styled_1.BackgroundAnimation, { initial: { scale: 0 }, animate: hover ? { scale: 1 } : { scale: 0 } })),
            react_1.default.createElement(CloseButton_styled_1.CloseIcon, { size: size }))));
};
exports.CloseButton = CloseButton;
//# sourceMappingURL=CloseButton.js.map