"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("@testing-library/react");
const react_2 = __importDefault(require("react"));
const CloseButton_1 = require("./CloseButton");
describe('CloseButton', () => {
    test('executes onClick prop on click', () => {
        const handleClick = jest.fn();
        (0, react_1.render)(react_2.default.createElement(CloseButton_1.CloseButton, { onClick: handleClick }));
        const button = react_1.screen.getByTitle('close');
        react_1.fireEvent.click(button);
        react_1.fireEvent.mouseEnter(button);
        react_1.fireEvent.mouseLeave(button);
        expect(handleClick).toHaveBeenCalled();
    });
});
//# sourceMappingURL=CloseButton.spec.js.map