"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultArgs = exports.argTypes = void 0;
const theme_1 = require("../theme/theme");
const CloseButton_styled_1 = require("./CloseButton.styled");
exports.argTypes = {
    animate: { control: { type: 'boolean' } },
    bgColor: { control: { type: 'select' }, options: theme_1.paletteColors },
    boxShadowSize: { control: { type: 'select' }, options: Object.keys(theme_1.shadows) },
    color: { control: { type: 'select' }, options: theme_1.paletteColors },
    size: { control: { type: 'select' }, options: CloseButton_styled_1.closeButtonSizes },
    variant: { control: { type: 'select' }, options: CloseButton_styled_1.closeButtonVariants },
    padding: { control: { type: 'number' } },
    margin: { control: { type: 'number' } },
    onClick: { action: 'clicked' },
};
exports.defaultArgs = {
    size: 'md',
    title: 'close',
    animate: true,
};
//# sourceMappingURL=CloseButton.stories.args.js.map