"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Usage = void 0;
const react_1 = __importDefault(require("react"));
const DocTable_1 = require("./DocTable");
const exampleProps = {
    columns: [
        { field: 'left', heading: 'Left' },
        { field: 'right', heading: 'Right' },
    ],
    data: [
        { left: 'dolores', right: 'Consequatur ducimus mollitia incidunt.' },
        { left: 'culpa', right: 'At rerum cumque omnis quo voluptatibus.' },
        { left: 'voluptas', right: 'Quam sint sed et eius et est voluptates hic.' },
    ],
};
exports.Usage = {
    render: (args) => react_1.default.createElement(DocTable_1.DocTable, { ...exampleProps, ...args }),
};
const meta = {
    title: 'Docs Utils/DocTable',
    component: DocTable_1.DocTable,
};
exports.default = meta;
//# sourceMappingURL=DocTable.stories.js.map