"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RelatedComponentContainer = exports.RelatedComponent = void 0;
const react_1 = __importStar(require("react"));
const Box_1 = require("../../Box/Box");
const Text_1 = require("../../Text/Text");
const theme_1 = require("../../theme/theme");
/**
 * @public
 */
const RelatedComponent = ({ name, desc, children, onClick }) => (react_1.default.createElement(Box_1.Box, { onClick: onClick, style: { cursor: 'pointer' } },
    react_1.default.createElement(Box_1.Box, { bg: 'background.light', borderRadius: 'xl', p: 3, style: {
            display: 'grid',
            placeItems: 'center',
            aspectRatio: '2.5',
        } }, children),
    react_1.default.createElement(Text_1.Text, { textStyle: 'heading5', py: 2 }, name),
    desc && react_1.default.createElement(Text_1.Text, null, desc)));
exports.RelatedComponent = RelatedComponent;
/**
 * @public
 */
const RelatedComponentContainer = ({ children }) => (react_1.default.createElement(Box_1.Box, { style: {
        display: 'grid',
        gridAutoFlow: 'column',
        gridTemplateColumns: `repeat(${react_1.Children.count(children)}, 1fr)`,
        gap: theme_1.theme.space[3],
    } }, children));
exports.RelatedComponentContainer = RelatedComponentContainer;
//# sourceMappingURL=RelatedComponent.js.map