"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StoryHeading = void 0;
const react_1 = __importDefault(require("react"));
const Text_1 = require("../../Text/Text");
const utils_1 = require("../utils");
/**
 * @public
 */
const StoryHeading = ({ storyName, storyTitle }) => (react_1.default.createElement(Text_1.Text, { id: (0, utils_1.getStoryId)(storyName, storyTitle), textStyle: 'subheading3', my: 4 }, storyName));
exports.StoryHeading = StoryHeading;
//# sourceMappingURL=StoryHeading.js.map