"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../../__test__/testing-library");
const StoryHeading_1 = require("./StoryHeading");
describe('StoryHeading component', () => {
    it('should render with the correct text and id', () => {
        const storyName = 'Introduction';
        const storyTitle = 'Getting started';
        (0, testing_library_1.render)(react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: storyName, storyTitle: storyTitle }));
        const heading = testing_library_1.screen.getByText(storyName);
        expect(heading).toHaveAttribute('id', 'story--getting-started--introduction');
    });
});
//# sourceMappingURL=StoryHeading.test.js.map