"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StoryStage = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../../Box/Box");
const Stage = (0, styled_components_1.default)(Box_1.Box) `
  > * {
    margin: 16px;
  }
`;
/**
 * @public
 */
const StoryStage = ({ children, ...rest }) => react_1.default.createElement(Stage, { ...rest }, children);
exports.StoryStage = StoryStage;
//# sourceMappingURL=StoryStage.js.map