"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Responsive = exports.Fast = exports._DotLoader = void 0;
const react_1 = __importStar(require("react"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const DotLoader_1 = require("./DotLoader");
const DotLoader_stories_args_1 = require("./DotLoader.stories.args");
exports.default = {
    title: 'core / DotLoader',
    component: DotLoader_1.DotLoader,
    args: DotLoader_stories_args_1.defaultArgs,
    argTypes: DotLoader_stories_args_1.argTypes,
};
const Template = (args) => {
    const [isLoading, setLoading] = (0, react_1.useState)(false);
    function onClick() {
        setLoading(true);
        setTimeout(() => setLoading(false), 3000);
    }
    return (react_1.default.createElement(Box_1.Box, { width: [1, null, '500px'] },
        react_1.default.createElement(Button_1.Button, { size: args.size, width: 1, onClick: onClick }, isLoading ? react_1.default.createElement(DotLoader_1.DotLoader, { ...args }) : 'Click me to load nothing')));
};
exports._DotLoader = Template.bind({});
exports.Fast = Template.bind({});
exports.Fast.args = { speed: 'fast' };
exports.Responsive = Template.bind({});
exports.Responsive.args = { size: ['small', null, 'medium', null, 'large'] };
exports.Responsive.parameters = { viewport: { defaultViewport: 'designSystem_sm' } };
//# sourceMappingURL=DotLoader.stories.js.map