"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithCustomPadding = exports.WithIcon = exports.WrappedText = exports.CompensatingFor1PxBorder = exports.Colors = exports.Default = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Card_1 = require("../Card/Card");
const Flex_1 = require("../Flex/Flex");
const Text_1 = require("../Text/Text");
const Flag_1 = require("./Flag");
exports.default = {
    title: 'Flag',
    component: Flag_1.Flag,
};
const Default = () => (react_1.default.createElement(Box_1.Box, { p: 3 },
    react_1.default.createElement(Card_1.Card, { py: 0 },
        react_1.default.createElement(Flag_1.Flag, { mt: 2 }, "Hello Flag"),
        react_1.default.createElement(Box_1.Box, { p: 3 }, "Hello"))));
exports.Default = Default;
const Colors = () => (react_1.default.createElement(Box_1.Box, { p: 3 },
    react_1.default.createElement(Card_1.Card, { pb: 3 },
        react_1.default.createElement(Flag_1.Flag, { width: 192, mt: 2, bg: 'orange' },
            react_1.default.createElement("b", null, "Hello"),
            " Orange"),
        react_1.default.createElement(Flag_1.Flag, { mt: 3, bg: 'blue' }, "Hello Blue"),
        react_1.default.createElement(Flag_1.Flag, { mt: 3, bg: 'purple' }, "Hello Purple"))));
exports.Colors = Colors;
const CompensatingFor1PxBorder = () => (react_1.default.createElement(Box_1.Box, { p: 3 },
    react_1.default.createElement(Card_1.Card, { pb: 3 },
        react_1.default.createElement(Flag_1.Flag, { width: 192, ml: -9, mt: 2 },
            react_1.default.createElement("b", null, "Hello")))));
exports.CompensatingFor1PxBorder = CompensatingFor1PxBorder;
const WrappedText = () => (react_1.default.createElement(Box_1.Box, { p: 3 },
    react_1.default.createElement(Card_1.Card, { pb: 3 },
        react_1.default.createElement(Flag_1.Flag, { mt: 2 },
            react_1.default.createElement("b", null, "Hello"),
            "This is a really long string of text that should wrap when it gets too long. But then the flag part to the right will probably break."))));
exports.WrappedText = WrappedText;
const WithIcon = () => (react_1.default.createElement(Box_1.Box, { p: 3 },
    react_1.default.createElement(Card_1.Card, { pb: 3 },
        react_1.default.createElement(Flag_1.Flag, { mt: 2 },
            react_1.default.createElement(Flex_1.Flex, null,
                react_1.default.createElement(pcln_icons_1.Loyalty, { size: 14, mr: 1 }),
                react_1.default.createElement(Text_1.Text, null, "Hello World"))))));
exports.WithIcon = WithIcon;
const WithCustomPadding = () => (react_1.default.createElement(Box_1.Box, { p: 3 },
    react_1.default.createElement(Card_1.Card, { pb: 3 },
        react_1.default.createElement(Flag_1.Flag, { mt: 2, py: [1, 2, 3], pl: [2, 3, 4], pr: [1, 3, 4] },
            react_1.default.createElement(Flex_1.Flex, null,
                react_1.default.createElement(Text_1.Text, null, "Hello World"))))));
exports.WithCustomPadding = WithCustomPadding;
//# sourceMappingURL=Flag.stories.js.map