"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Heading = void 0;
const react_1 = __importDefault(require("react"));
const Text_1 = require("../Text/Text");
const Heading = (props) => react_1.default.createElement(Text_1.Text, { as: 'h3', ...props });
exports.Heading = Heading;
exports.Heading.displayName = 'Heading';
exports.Heading.h1 = (props) => react_1.default.createElement(exports.Heading, { as: 'h1', textShadowSize: 'md', ...props });
exports.Heading.h2 = (props) => react_1.default.createElement(exports.Heading, { as: 'h2', textShadowSize: 'md', ...props });
exports.Heading.h3 = (props) => react_1.default.createElement(exports.Heading, { as: 'h3', textShadowSize: 'sm', ...props });
exports.Heading.h4 = (props) => react_1.default.createElement(exports.Heading, { as: 'h4', textShadowSize: 'sm', ...props });
exports.Heading.h5 = (props) => react_1.default.createElement(exports.Heading, { as: 'h5', textShadowSize: 'sm', ...props });
exports.Heading.h6 = (props) => react_1.default.createElement(exports.Heading, { as: 'h6', textShadowSize: 'sm', ...props });
//# sourceMappingURL=Heading.js.map