"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = void 0;
const args_1 = require("../storybook/args");
const Image_1 = require("./Image");
exports.argTypes = {
    borderRadius: {
        control: 'select',
        name: 'borderRadius',
        options: args_1.borderRadii,
    },
    rounded: {
        control: 'select',
        options: args_1.rounded,
    },
    boxShadowSize: {
        control: 'select',
        options: args_1.shadows,
    },
    boxShadowColor: {
        control: 'select',
        options: args_1.colors,
        defaultValue: Image_1.Image.defaultProps.boxShadowColor,
        description: 'Palette family for box shadows',
        table: {
            type: {
                summary: 'Palette color to use for box-shadow - always uses "dark" shade',
            },
        },
    },
    height: {
        control: 'text',
    },
    width: {
        control: 'text',
    },
    objectFit: {
        control: 'select',
        options: args_1.objectFits,
    },
    objectPosition: {
        control: 'select',
        options: args_1.objectPositions,
    },
};
//# sourceMappingURL=Image.stories.args.js.map