"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = exports.defaultArgs = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const colors_1 = require("../__test__/mocks/colors");
const actions = {
    noAction: null,
    basicAction: (0, addon_actions_1.action)('Label Clicked'),
};
exports.defaultArgs = {
    children: 'Label Children',
    width: 'auto',
};
exports.argTypes = {
    color: {
        name: 'color',
        options: Object.keys(colors_1.colors),
        mapping: colors_1.colors,
        control: 'select',
    },
    fontSize: {
        name: 'fontSize',
        options: [0, 1, 2, 3, 4, 5, 6],
        control: 'select',
    },
    width: {
        name: 'width',
        options: [0.5, '20px', 'auto'],
        control: 'radio',
    },
    onClick: {
        name: 'onClick',
        options: Object.keys(actions),
        mapping: actions,
        control: 'radio',
    },
};
//# sourceMappingURL=Label.stories.args.js.map