"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EASING = exports.VARIATION_EASING = exports.VARIATION_DURATION = exports.DURATION = exports.ACTION_KEY = exports.KEY_FRAMES = void 0;
const theme_1 = require("../theme/theme");
const Motion_keyframes_1 = require("./Motion.keyframes");
Object.defineProperty(exports, "KEY_FRAMES", { enumerable: true, get: function () { return Motion_keyframes_1.KEY_FRAMES; } });
const VARIATION_DURATION = {
    QUICK_GROW: {
        rest: '50ms',
        animated: theme_1.duration.fast,
    },
    EXPAND_DOWN: {
        rest: theme_1.duration.fast,
        animated: theme_1.duration.normal,
    },
};
exports.VARIATION_DURATION = VARIATION_DURATION;
const ACTION_KEY = {
    true: 'animated',
    false: 'rest',
};
exports.ACTION_KEY = ACTION_KEY;
const VARIATION_EASING = {
    GROW_XY: {
        animated: theme_1.timingFunctions.easeOut,
        rest: theme_1.timingFunctions.easeIn,
    },
};
exports.VARIATION_EASING = VARIATION_EASING;
const EASING = {
    animated: theme_1.timingFunctions.easeOut,
    rest: theme_1.timingFunctions.easeIn,
};
exports.EASING = EASING;
const DURATION = {
    rest: theme_1.duration.fast,
    animated: theme_1.duration.normal,
};
exports.DURATION = DURATION;
//# sourceMappingURL=constants.js.map