"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Radio_1 = require("./Radio");
describe('Radio', () => {
    test('Selected, rendering', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Radio_1.Radio, { checked: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('Not Selected, rendering', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Radio_1.Radio, null)).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('Disabled, rendering', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Radio_1.Radio, { disabled: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=Radio.spec.js.map