"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorSchemes = exports.Colors = exports.MixBgAndColorProps = exports.DeprecatedBgProp = exports.Default = void 0;
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const args_1 = require("../storybook/args");
const RatingBadge_1 = require("./RatingBadge");
const meta = {
    title: 'Core / RatingBadge',
    component: RatingBadge_1.RatingBadge,
};
exports.default = meta;
const Default = () => react_1.default.createElement(RatingBadge_1.RatingBadge, null, "9.0");
exports.Default = Default;
const DeprecatedBgProp = () => react_1.default.createElement(RatingBadge_1.RatingBadge, { bg: 'primary.base' }, "9.0");
exports.DeprecatedBgProp = DeprecatedBgProp;
const MixBgAndColorProps = () => (react_1.default.createElement(Flex_1.Flex, { width: '150px', justifyContent: 'space-between' },
    react_1.default.createElement(RatingBadge_1.RatingBadge, { color: 'text.lightest', bg: 'alert.base' }, "9.0"),
    react_1.default.createElement(RatingBadge_1.RatingBadge, { color: 'text.dark', bg: 'secondary.base' }, "9.0")));
exports.MixBgAndColorProps = MixBgAndColorProps;
const Colors = () => (react_1.default.createElement(Flex_1.Flex, { width: '150px', justifyContent: 'space-between' },
    react_1.default.createElement(RatingBadge_1.RatingBadge, { color: 'primary' }, "7.6"),
    react_1.default.createElement(RatingBadge_1.RatingBadge, { color: 'secondary' }, "8.1"),
    react_1.default.createElement(RatingBadge_1.RatingBadge, { color: 'alert' }, "9.0")));
exports.Colors = Colors;
const ColorSchemesTemplate = (args) => {
    return (react_1.default.createElement(react_1.default.Fragment, null, args_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(RatingBadge_1.RatingBadge, { m: 3, colorScheme: colorScheme, key: colorScheme }, colorScheme)))));
};
exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};
//# sourceMappingURL=RatingBadge.stories.js.map