"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Relative = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const Box_1 = require("../Box/Box");
/**
 * @public
 */
exports.Relative = (0, styled_components_1.default)(Box_1.Box) `
  position: relative;
  ${styled_system_1.top} ${styled_system_1.bottom} ${styled_system_1.left} ${styled_system_1.right}
  ${styled_system_1.zIndex}
`;
exports.Relative.displayName = 'Relative';
//# sourceMappingURL=Relative.js.map