"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Overlay = exports.MultipleInputsWithOverlays = exports.Effect = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Input_1 = require("../Input/Input");
const utils_1 = require("../utils/utils");
const ShadowEffect_1 = require("./ShadowEffect");
const LightestBackgroundInput = (0, styled_components_1.default)(Input_1.Input) `
  background-color: ${(0, utils_1.getPaletteColor)('background.lightest')};
`;
exports.default = {
    title: 'ShadowEffect',
    component: ShadowEffect_1.ShadowEffect,
};
const Effect = () => (react_1.default.createElement(ShadowEffect_1.ShadowEffect, null,
    react_1.default.createElement(LightestBackgroundInput, { onClick: (0, addon_actions_1.action)('Clicked') })));
exports.Effect = Effect;
const MultipleInputsWithOverlays = () => (react_1.default.createElement(react_1.default.Fragment, null,
    react_1.default.createElement(ShadowEffect_1.ShadowEffect, { shouldCloseOnBlur: true, shouldOpenOnFocus: true },
        react_1.default.createElement(LightestBackgroundInput, { onClick: (0, addon_actions_1.action)('Clicked 1'), mb: 3 })),
    react_1.default.createElement(ShadowEffect_1.ShadowEffect, { shouldCloseOnBlur: true, shouldOpenOnFocus: true },
        react_1.default.createElement(LightestBackgroundInput, { onClick: (0, addon_actions_1.action)('Clicked 2') }))));
exports.MultipleInputsWithOverlays = MultipleInputsWithOverlays;
const Overlay = () => {
    const [isOpen, setOpen] = (0, react_1.useState)(false);
    const handleOpen = () => setOpen(true);
    const handleClose = () => setOpen(false);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        isOpen && react_1.default.createElement(ShadowEffect_1.ShadowOverlay, { zIndex: -1, onClick: handleClose }),
        react_1.default.createElement(LightestBackgroundInput, { onBlur: handleClose, onClick: handleOpen, onFocus: handleOpen })));
};
exports.Overlay = Overlay;
//# sourceMappingURL=ShadowEffect.stories.js.map