"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Default = void 0;
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const SkipMenu_1 = require("./SkipMenu");
const skipLinks = [
    {
        label: 'Skip to main content',
        targetId: 'main-content',
    },
    {
        label: 'Skip to listings',
        targetId: 'listings-section',
    },
    {
        label: 'Skip to filters',
        targetId: 'filter-section',
    },
    {
        label: 'Skip to footer',
        targetId: 'footer',
    },
];
exports.default = {
    title: 'SkipMenu',
    component: SkipMenu_1.SkipMenu,
};
const Default = () => (react_1.default.createElement(react_1.default.Fragment, null,
    react_1.default.createElement(SkipMenu_1.SkipMenu, { skipLinks: skipLinks }),
    skipLinks.map((section, index) => (react_1.default.createElement(Flex_1.Flex, { key: index, tabIndex: -1, height: '50vh', width: 1, justifyContent: 'center', alignItems: 'center', id: section.targetId, color: index % 2 ? 'primary' : 'background' }, section.label)))));
exports.Default = Default;
//# sourceMappingURL=SkipMenu.stories.js.map