"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ARROW_SIZES = exports.AbsoluteTransformRight = exports.AbsoluteTransformLeft = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Absolute_1 = require("../Absolute/Absolute");
exports.AbsoluteTransformLeft = (0, styled_components_1.default)(Absolute_1.Absolute) `
  transform: translateX(-50%);
`;
exports.AbsoluteTransformRight = (0, styled_components_1.default)(Absolute_1.Absolute) `
  transform: translateX(50%);
`;
exports.ARROW_SIZES = {
    sm: {
        buttonSize: 40,
        iconSize: 32,
    },
    lg: {
        buttonSize: [40, null, null, null, 60],
        iconSize: [32, null, null, null, 40],
    },
};
//# sourceMappingURL=Arrow.styled.js.map