"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScreenreaderDescriptionOfContent = void 0;
const react_1 = __importDefault(require("react"));
const BackgroundImage_1 = require("../BackgroundImage/BackgroundImage");
const Box_1 = require("../Box/Box");
const Text_1 = require("../Text/Text");
const SrOnly_1 = require("./SrOnly");
const image = 'https://images.unsplash.com/photo-1446776811953-b23d57bd21aa?ixlib=rb-0.3.5&q=80&fm=jpg&crop=entropy&cs=tinysrgb&w=1080&fit=max&s=aee8a50c86478d935556d865624506e4';
exports.default = {
    title: 'SrOnly',
    component: SrOnly_1.SrOnly,
};
const ScreenreaderDescriptionOfContent = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(SrOnly_1.SrOnly, null,
        react_1.default.createElement(Text_1.Text, null, "I should not be displayed on the screen, BUT I should be read out by the screen reader")),
    react_1.default.createElement(BackgroundImage_1.BackgroundImage, { image: image, width: '320px', height: '200px' }),
    react_1.default.createElement(Text_1.Text, { pt: 2 }, "Turn ON screenreader...")));
exports.ScreenreaderDescriptionOfContent = ScreenreaderDescriptionOfContent;
//# sourceMappingURL=SrOnly.stories.js.map