"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Stepper_1 = require("./Stepper");
const children = (react_1.default.createElement(react_1.default.Fragment, null,
    react_1.default.createElement(Stepper_1.Stepper.Step, { completed: true }, "First Step"),
    react_1.default.createElement(Stepper_1.Stepper.Step, { active: true }, "Second Step"),
    react_1.default.createElement(Stepper_1.Stepper.Step, null, "Third Step")));
describe('Stepper', () => {
    test('renders without crashing', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Stepper_1.Stepper, null)).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with children', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Stepper_1.Stepper, null, children)).toJSON();
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=Stepper.spec.js.map