"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Default = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const react_1 = __importDefault(require("react"));
const Stepper_1 = require("./Stepper");
const onFirstClick = (0, addon_actions_1.action)('First Step Clicked');
const children = (react_1.default.createElement(react_1.default.Fragment, null,
    react_1.default.createElement(Stepper_1.Stepper.Step, { completed: true, onClick: onFirstClick }, "First Step"),
    react_1.default.createElement(Stepper_1.Stepper.Step, { active: true }, "Second Step"),
    react_1.default.createElement(Stepper_1.Stepper.Step, null, "Third Step")));
exports.default = {
    title: 'Stepper',
    component: Stepper_1.Stepper,
    parameters: {
        docs: {
            description: {
                component: 'Use the <Stepper> component to render a stepper.',
            },
        },
    },
};
const Default = () => react_1.default.createElement(Stepper_1.Stepper, null, children);
exports.Default = Default;
//# sourceMappingURL=Stepper.stories.js.map