"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectColor = exports.Wrap = exports.MultipleColors = exports.SingleColor = void 0;
const react_1 = __importStar(require("react"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const Text_1 = require("../Text/Text");
const Swatch_1 = require("./Swatch");
exports.default = {
    title: 'Swatch',
    component: Swatch_1.Swatch,
};
const SingleColor = () => react_1.default.createElement(Swatch_1.Swatch, { colors: ['#0033A0'] });
exports.SingleColor = SingleColor;
const MultipleColors = () => react_1.default.createElement(Swatch_1.Swatch, { colors: ['#D50032', '#1B7742', '#0033A0'] });
exports.MultipleColors = MultipleColors;
const Wrap = () => (react_1.default.createElement(Box_1.Box, { width: '100px' },
    react_1.default.createElement(Swatch_1.Swatch, { colors: [
            '#D50032',
            '#1B7742',
            '#0033A0',
            '#002244',
            '#6244BB',
            '#31225D',
            '#31225D',
            '#FFC658',
            '#4F6F8F',
        ] })));
exports.Wrap = Wrap;
const SelectColor = () => {
    const [color, setColor] = (0, react_1.useState)('#D50032');
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Swatch_1.Swatch, { colors: ['#FFFFFF', '#D50032', '#1B7742', '#0033A0'], onClick: (color) => setColor(color) }),
        react_1.default.createElement(Flex_1.Flex, { mt: '3', flexDirection: 'row', alignItems: 'center' },
            react_1.default.createElement(Text_1.Text, { mr: 2 }, "Color:"),
            react_1.default.createElement(Text_1.Text, null, color))));
};
exports.SelectColor = SelectColor;
//# sourceMappingURL=Swatch.stories.js.map