"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabButton = void 0;
const react_1 = __importDefault(require("react"));
const Tab_styled_1 = require("./Tab.styled");
const Flex_1 = require("../Flex/Flex");
const Box_1 = require("../Box/Box");
const TabButton = ({ border, tab, size, isTransparent, dynamicTabWidth, onTabSelect, }) => {
    return (react_1.default.createElement(Tab_styled_1.TabTriggerButton, { dynamicTabWidth: dynamicTabWidth, isTransparent: isTransparent, buttonBorder: border, value: `tab-${tab.id}`, key: `tab-${tab.id}`, onClick: () => onTabSelect() }, tab.icon ? (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Flex_1.Flex, { alignItems: 'center', justifyContent: 'center' },
            react_1.default.createElement(Box_1.Box, null, react_1.default.createElement(tab.icon, {
                title: tab.icon.name,
                marginLeft: '14px',
                size: 24,
            })),
            react_1.default.createElement(Tab_styled_1.StyledText, { icon: tab.icon, size: size, textStyle: 'paragraph' }, tab.text)))) : (react_1.default.createElement(Tab_styled_1.StyledText, { size: size, textStyle: 'paragraph' }, tab.text))));
};
exports.TabButton = TabButton;
//# sourceMappingURL=TabButton.js.map