"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoundIconButton = exports.LeftBorderFlex = void 0;
const theme_get_1 = require("@styled-system/theme-get");
const styled_components_1 = __importStar(require("styled-components"));
const Flex_1 = require("../Flex/Flex");
const IconButton_1 = require("../IconButton/IconButton");
const utils_1 = require("../utils/utils");
const variations = {
    border: (0, styled_components_1.css) `
    background-color: ${(props) => (0, utils_1.getPaletteColor)(props.color, 'light')(props)};
    color: ${(0, utils_1.getPaletteColor)('text.base')};
    border-left: ${(0, theme_get_1.themeGet)('borderRadii.sm')} solid ${(props) => (0, utils_1.getPaletteColor)(props.color, 'base')(props)};
  `,
    fill: (0, styled_components_1.css) ``,
};
exports.LeftBorderFlex = (0, styled_components_1.default)(Flex_1.Flex) `
  ${(0, utils_1.applyVariations)('Toast', variations)};

  ${utils_1.colorSchemeCustomForeground}
`;
exports.RoundIconButton = (0, styled_components_1.default)(IconButton_1.IconButton) `
  &&& {
    background-color: ${(0, utils_1.getPaletteColor)('background.lightest')};
    padding: ${(0, theme_get_1.themeGet)('space.1')};
    pointer-events: auto;

    &:hover {
      background-color: ${(0, utils_1.getPaletteColor)('background.lightest')};
    }
  }
`;
//# sourceMappingURL=Toast.styled.js.map