"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToggleComponent = void 0;
const react_1 = __importStar(require("react"));
const Toggle_1 = require("./Toggle");
const pcln_icons_1 = require("pcln-icons");
exports.default = {
    title: 'Toggle',
    component: Toggle_1.Toggle,
};
const ToggleComponent = () => {
    const [isOn, setIsOn] = (0, react_1.useState)(false);
    const onToggle = () => setIsOn(!isOn);
    const DollarIcon = (props) => react_1.default.createElement(pcln_icons_1.Dollar, { color: isOn ? 'primary.base' : 'background.dark', ...props });
    const icon = react_1.default.createElement(DollarIcon, { size: 22 });
    const largeIcon = react_1.default.createElement(DollarIcon, { size: 48 });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("h4", null, "Default"),
        react_1.default.createElement(Toggle_1.Toggle, { label: 'Default', isOn: isOn, onToggle: onToggle }),
        react_1.default.createElement("h4", null, "Large"),
        react_1.default.createElement(Toggle_1.Toggle, { label: 'Large', isOn: isOn, onToggle: onToggle, height: 50 }),
        react_1.default.createElement("h4", null, "With Icon"),
        react_1.default.createElement(Toggle_1.Toggle, { label: 'With Icon', isOn: isOn, onToggle: onToggle, icon: icon }),
        react_1.default.createElement("h4", null, "Large With Icon"),
        react_1.default.createElement(Toggle_1.Toggle, { label: 'Large With Icon', isOn: isOn, onToggle: onToggle, height: 50, icon: largeIcon }),
        react_1.default.createElement("h4", null, "Disabled"),
        react_1.default.createElement(Toggle_1.Toggle, { label: 'Default', isOn: isOn, onToggle: onToggle, disabled: true })));
};
exports.ToggleComponent = ToggleComponent;
//# sourceMappingURL=Toggle.stories.js.map