"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Truncate_1 = require("./Truncate");
describe('Truncate', () => {
    test('renders', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Truncate_1.Truncate, null, "renders")).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('generates styles', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Truncate_1.Truncate, null, "generates styles")).toJSON();
        expect(json).toMatchSnapshot();
        expect(json).toHaveStyleRule('overflow', 'hidden');
        expect(json).toHaveStyleRule('white-space', 'nowrap');
        expect(json).toHaveStyleRule('text-overflow', 'ellipsis');
    });
});
//# sourceMappingURL=Truncate.spec.js.map