"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.borderRadiusArgType = exports.argTypes = exports.defaultArgs = void 0;
const args_1 = require("../storybook/args");
exports.defaultArgs = {
    p: 3,
    m: 0,
    color: 'primary',
    size: '200px',
    borderRadius: 'full',
};
exports.argTypes = {
    children: { table: { disable: true } },
    p: { table: { disable: true } },
    m: { table: { disable: true } },
    color: { table: { disable: true } },
    boxShadowSize: { table: { disable: true } },
    size: {
        name: 'size',
        type: { name: 'string' },
        description: 'size',
    },
};
exports.borderRadiusArgType = {
    name: 'borderRadius',
    type: { name: 'string' },
    options: args_1.borderRadii,
    description: 'borderRadius',
    control: {
        type: 'select',
    },
};
//# sourceMappingURL=BorderRadius.stories.args.js.map