"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const createTheme_1 = require("../createTheme");
const boxShadowAttrs_1 = require("./boxShadowAttrs");
const theme = (0, createTheme_1.createTheme)();
describe('boxShadowAttrs', () => {
    it.each(boxShadowAttrs_1.boxShadowSizeValues)('works with and boxShadowSize=%s', (boxShadowSize) => {
        const attrs = (0, boxShadowAttrs_1.boxShadowAttrs)({ boxShadowSize, theme });
        expect(attrs).toMatchSnapshot();
    });
    it('should handle an array prop', () => {
        const attrs = (0, boxShadowAttrs_1.boxShadowAttrs)({ boxShadowSize: [...boxShadowAttrs_1.boxShadowSizeValues, '9999px'], theme });
        expect(attrs).toMatchSnapshot();
    });
});
//# sourceMappingURL=boxShadowAttrs.spec.js.map