"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const createTheme_1 = require("../createTheme");
const typographyAttrs_1 = require("./typographyAttrs");
const theme = (0, createTheme_1.createTheme)();
describe('typographyAttrs', () => {
    it.each(typographyAttrs_1.textStylesValues)('works with and textStyle=%s', (textStyle) => {
        const attrs = (0, typographyAttrs_1.typographyAttrs)({ textStyle, theme });
        expect(attrs).toMatchSnapshot();
    });
    it('should handle an array prop', () => {
        const attrs = (0, typographyAttrs_1.typographyAttrs)({ textStyle: ['title3', null, 'title2', null, 'title1'], theme });
        expect(attrs).toMatchSnapshot();
    });
});
//# sourceMappingURL=typographyAttrs.spec.js.map