"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMediaQueries = void 0;
/**
 * Create media queries array based on the passed in breakpoints
 *
 * @param breakpoints - The passed in breakpoints array
 *
 * @returns The generated media queries array
 *
 * @public
 */
const createMediaQueries = (breakpoints) => breakpoints.map((n) => `@media screen and (min-width:${n})`);
exports.createMediaQueries = createMediaQueries;
//# sourceMappingURL=createMediaQueries.js.map