"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const createMediaQueries_1 = require("./createMediaQueries");
describe('createMediaQueries', () => {
    test('returns the correct media queries', () => {
        const actual = (0, createMediaQueries_1.createMediaQueries)(['10px', '20px', '30px']);
        expect(actual).toEqual([
            '@media screen and (min-width:10px)',
            '@media screen and (min-width:20px)',
            '@media screen and (min-width:30px)',
        ]);
    });
});
//# sourceMappingURL=createMediaQueries.spec.js.map