import React from 'react';
import { Accordion } from './Accordion';
declare const _default: {
    title: string;
    component: typeof Accordion;
    argTypes: {
        onToggle: {
            action: boolean;
        };
        p: {
            options: any;
            control: {
                type: string;
            };
            description: string;
        };
    };
};
export default _default;
export declare const Basic: {
    play: ({ args, canvasElement }: {
        args: any;
        canvasElement: any;
    }) => Promise<void>;
    render: (args: any) => React.JSX.Element;
};
export declare const Underlined: {
    render: (args: any) => React.JSX.Element;
};
export declare const Hug: {
    render: (args: any) => React.JSX.Element;
};
export declare const Ladder: {
    render: (args: any) => React.JSX.Element;
};
export declare const Card: {
    render: (args: any) => React.JSX.Element;
};
export declare const ItemStatePropCard: {
    render: (args: any) => React.JSX.Element;
};
export declare const FlatCard: {
    render: (args: any) => React.JSX.Element;
};
export declare const Singular: {
    render: (args: any) => React.JSX.Element;
};
export declare const ChevronClose: {
    render: (args: any) => React.JSX.Element;
};
export declare const TrackStateMultiple: {
    render: (args: any) => React.JSX.Element;
};
export declare const TrackStateSingular: {
    play: ({ canvasElement }: {
        canvasElement: any;
    }) => Promise<void>;
    render: (args: any) => React.JSX.Element;
};
export declare const HeaderWithFunction: {
    render: (args: any) => React.JSX.Element;
};
//# sourceMappingURL=Accordion.stories.d.ts.map