/// <reference types="react" />
/**
 * @public
 */
export type AvatarProps = {
    className?: string;
    title?: string;
    subtitle?: string;
    src?: string;
    altText?: string;
    initials?: string;
    size?: string | number | Array<string | number | undefined>;
    color?: string;
    colorScheme?: string;
};
/**
 * @public
 */
export declare function Avatar({ altText, className, color, colorScheme, initials, subtitle, src, size, title, }: AvatarProps): JSX.Element;
export declare namespace Avatar {
    var displayName: string;
}
//# sourceMappingURL=Avatar.d.ts.map