export declare const defaultArgs: {
    height: string;
    image: string;
    variation: string;
};
export declare const argTypes: {
    variation: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            type: {
                summary: string;
                detail: string;
            };
            defaultValue: {
                summary: string;
            };
        };
        control: {
            type: string;
            options: string[];
        };
    };
    borderRadius: {
        name: string;
        type: {
            name: string;
        };
        options: string[];
        description: string;
        control: {
            type: string;
        };
    };
    rounded: {
        name: string;
        type: {
            name: string;
        };
        options: string[];
        description: string;
        control: {
            type: string;
        };
    };
    height: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            defaultValue: {
                summary: any;
            };
        };
    };
    width: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            defaultValue: {
                summary: any;
            };
        };
    };
    image: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            defaultValue: {
                summary: any;
            };
        };
    };
    backgroundPosition: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        options: string[];
        control: {
            type: string;
        };
        table: {
            defaultValue: {
                summary: string;
            };
        };
    };
};
//# sourceMappingURL=BackgroundImage.stories.args.d.ts.map