/// <reference types="react" />
import { SpaceProps } from 'styled-system';
import type { ColorSchemeName } from '../theme/theme';
export declare const sizes: {
    captionSmall: any;
    captionMedium: any;
    small: any;
    medium: any;
};
/**
 * @public
 */
export type BadgeProps = SpaceProps & React.HtmlHTMLAttributes<HTMLElement> & {
    size?: 'captionSmall' | 'captionMedium' | 'small' | 'medium';
    color?: string;
    bg?: string;
    borderRadius?: string;
    colorScheme?: ColorSchemeName;
    textTransform?: string;
};
/**
 * @public
 */
export declare const Badge: React.FC<BadgeProps>;
//# sourceMappingURL=Badge.d.ts.map