import React from 'react';
import { type BadgeProps } from './Badge';
declare const _default: {
    title: string;
    component: React.FC<BadgeProps>;
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        borderRadius: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        bg: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        color: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        textTransform: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        size: {
            name: string;
            control: string;
            options: string[];
            defaultValue: string;
        };
    };
};
export default _default;
export declare const _Badge: any;
export declare const TextCustom: any;
export declare const LightBlueAndTextCustom: any;
export declare const TextTransforms: any;
export declare const SizeVariants: any;
export declare const ColorSchemes: any;
//# sourceMappingURL=Badge.stories.d.ts.map