import React from 'react';
import { type FlexProps } from '../Flex/Flex';
/**
 * @public
 */
export declare const ChatMessageVariations: string[];
/**
 * @public
 */
export type ChatMessageProps = FlexProps & {
    footer?: React.ReactNode;
    header?: React.ReactNode;
    Icon?: React.FC<{
        color?: string;
        size?: string;
    }>;
    message: React.ReactNode;
    variation: (typeof ChatMessageVariations)[number];
};
/**
 * @public
 */
export declare function ChatMessage({ footer, header, Icon, message, variation, ...props }: ChatMessageProps): React.JSX.Element;
//# sourceMappingURL=ChatMessage.d.ts.map