import React from 'react';
/**
 * @public
 */
export type ChatMessageVariation = 'initial' | 'incoming' | 'outgoing';
/**
 * @public
 */
export interface ChatMessageIMessage {
    dateTime?: string;
    message: string;
    variation: ChatMessageVariation;
}
/**
 * @public
 */
export interface ChatMessageContainerProps {
    messageMaxWidth: string;
    messages: ChatMessageIMessage[];
}
/**
 * @public
 */
export declare function ChatMessageContainer({ messageMaxWidth, messages }: ChatMessageContainerProps): React.JSX.Element;
//# sourceMappingURL=ChatMessageContainer.d.ts.map