import React from 'react';
/**
 * @public
 */
export type CheckboxProps = React.InputHTMLAttributes<HTMLInputElement> & {
    id: string;
    indeterminate?: boolean;
    size?: number;
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
    color?: string;
    checked?: boolean;
    defaultChecked?: boolean;
    disabled?: boolean;
    ref?: React.Ref<HTMLInputElement>;
    unselectedColor?: string;
};
/**
 * @public
 */
export declare const Checkbox: React.FC<CheckboxProps>;
//# sourceMappingURL=Checkbox.d.ts.map