/// <reference types="react" />
import { type BoxProps } from '../Box/Box';
import { type ChipContentVariation } from './ChipContent/ChipContent';
export type ChipContentWrapperProps = BoxProps & {
    borderRadiusOverride?: string;
    disabled: boolean;
    hasChildren: boolean;
    hasTopLabel: boolean;
    justifyContent?: string;
    selected: boolean;
    variation: ChipContentVariation;
};
export declare const ChipContentWrapper: React.FC<ChipContentWrapperProps>;
//# sourceMappingURL=ChipContentWrapper.d.ts.map