import React from 'react';
import { type DialogProps } from './Dialog';
/** @public */
export declare const dialogSizes: readonly ["sm", "md", "lg", "xl", "full"];
/** @public */
export type DialogSize = (typeof dialogSizes)[number];
export declare const DialogOverlay: ({ scrimColor, sheet, children, zIndex }: Partial<DialogProps>) => React.JSX.Element;
export declare const DialogContent: ({ ariaDescription, ariaTitle, borderRadius, children, footerContent, fullWidth, headerColorScheme, headerContent, headerContentProps, headerIcon, headerShowCloseButton, hugColor, innerContentOverflow, overflowX, overflowY, scrimDismiss, sheet, showCloseButton, showScrollShadow, size, zIndex, onOpenChange, }: DialogProps) => React.JSX.Element;
//# sourceMappingURL=Dialog.styled.d.ts.map