import React from 'react';
import { render } from '../../__test__/testing-library';
import { Note } from './Note';
describe('Note', () => {
    it('renders children', () => {
        const { getByText } = render(React.createElement(Note, null, "Important note!"));
        expect(getByText('Important note!')).toBeInTheDocument();
    });
    it('has a "Note" prefix', () => {
        const { getByText } = render(React.createElement(Note, null, "Something"));
        expect(getByText('NOTE')).toBeInTheDocument();
    });
});
//# sourceMappingURL=Note.test.js.map