import React from 'react';
import styled from 'styled-components';
import { Box } from '../../Box/Box';
const Stage = styled(Box) `
  > * {
    margin: 16px;
  }
`;
/**
 * @public
 */
export const StoryStage = ({ children, ...rest }) => React.createElement(Stage, { ...rest }, children);
//# sourceMappingURL=StoryStage.js.map