import React from 'react';
import { Button } from '../../Button/Button';
import { StoryStage } from './StoryStage';
const exampleProps = {
    children: (React.createElement(React.Fragment, null,
        React.createElement(Button, { size: 'small' }, "Button"),
        React.createElement(Button, { size: 'medium' }, "Button"),
        React.createElement(Button, { size: 'large' }, "Button"),
        React.createElement(Button, { size: 'extraLarge' }, "Button"))),
};
export const Usage = {
    render: (args) => React.createElement(StoryStage, { ...exampleProps, ...args }),
};
const meta = {
    title: 'Docs Utils/StoryStage',
    component: StoryStage,
};
export default meta;
//# sourceMappingURL=StoryStage.stories.js.map