import { Loyalty as LoyaltyIcon } from 'pcln-icons';
import React from 'react';
import { Box } from '../Box/Box';
import { Card } from '../Card/Card';
import { Flex } from '../Flex/Flex';
import { Text } from '../Text/Text';
import { Flag } from './Flag';
export default {
    title: 'Flag',
    component: Flag,
};
export const Default = () => (React.createElement(Box, { p: 3 },
    React.createElement(Card, { py: 0 },
        React.createElement(Flag, { mt: 2 }, "Hello Flag"),
        React.createElement(Box, { p: 3 }, "Hello"))));
export const Colors = () => (React.createElement(Box, { p: 3 },
    React.createElement(Card, { pb: 3 },
        React.createElement(Flag, { width: 192, mt: 2, bg: 'orange' },
            React.createElement("b", null, "Hello"),
            " Orange"),
        React.createElement(Flag, { mt: 3, bg: 'blue' }, "Hello Blue"),
        React.createElement(Flag, { mt: 3, bg: 'purple' }, "Hello Purple"))));
export const CompensatingFor1PxBorder = () => (React.createElement(Box, { p: 3 },
    React.createElement(Card, { pb: 3 },
        React.createElement(Flag, { width: 192, ml: -9, mt: 2 },
            React.createElement("b", null, "Hello")))));
export const WrappedText = () => (React.createElement(Box, { p: 3 },
    React.createElement(Card, { pb: 3 },
        React.createElement(Flag, { mt: 2 },
            React.createElement("b", null, "Hello"),
            "This is a really long string of text that should wrap when it gets too long. But then the flag part to the right will probably break."))));
export const WithIcon = () => (React.createElement(Box, { p: 3 },
    React.createElement(Card, { pb: 3 },
        React.createElement(Flag, { mt: 2 },
            React.createElement(Flex, null,
                React.createElement(LoyaltyIcon, { size: 14, mr: 1 }),
                React.createElement(Text, null, "Hello World"))))));
export const WithCustomPadding = () => (React.createElement(Box, { p: 3 },
    React.createElement(Card, { pb: 3 },
        React.createElement(Flag, { mt: 2, py: [1, 2, 3], pl: [2, 3, 4], pr: [1, 3, 4] },
            React.createElement(Flex, null,
                React.createElement(Text, null, "Hello World"))))));
//# sourceMappingURL=Flag.stories.js.map