import React from 'react';
import { AlignContentProps, AlignItemsProps, FlexDirectionProps, FlexWrapProps, JustifyContentProps, SpaceProps, WidthProps } from 'styled-system';
import { type BoxProps } from '../Box/Box';
/**
 * @public
 */
export type FlexProps = BoxProps & SpaceProps & WidthProps & AlignItemsProps & JustifyContentProps & AlignContentProps & FlexWrapProps & FlexDirectionProps;
/**
 * @public
 */
export declare const Flex: React.FC<FlexProps>;
//# sourceMappingURL=Flex.d.ts.map