import React from 'react';
import { type BoxProps } from '../Box/Box';
/**
 * @public
 */
export interface FormFieldProps extends BoxProps {
    disabled?: boolean;
    readOnly?: boolean;
}
/**
 * @public
 */
export declare function FormField({ children, disabled, readOnly, ...props }: FormFieldProps): React.JSX.Element;
export declare namespace FormField {
    var displayName: string;
}
//# sourceMappingURL=FormField.d.ts.map