import React from 'react';
import { type CardProps } from '../Card/Card';
/**
 * @public
 */
export type HugProps = CardProps & {
    children?: React.ReactNode;
    iconDisplay?: string[];
    icon?: React.ReactNode;
    text?: React.ReactNode | React.ReactNode[] | string;
    color?: string;
    fontSize?: string | number;
};
/**
 * @public
 */
export declare function Hug({ bg, color, p, fontSize, icon, iconDisplay, colorScheme, ...props }: HugProps): React.ReactElement;
export declare namespace Hug {
    var defaultProps: {
        borderRadius: string;
        borderWidth: number;
        color: string;
        fontSize: number;
        p: number;
    };
}
//# sourceMappingURL=Hug.d.ts.map