import React from 'react';
export declare const iconMap: {
    Accessible: any;
    SeatBusiness: any;
    ThumbsUp: any;
    Trophy: any;
    WashingHands: any;
};
export declare const HugContentText: () => React.JSX.Element;
export declare const defaultArgs: {
    color: string;
    text: React.JSX.Element;
};
export declare const argTypes: {
    color: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            type: {
                summary: string;
                detail: string;
            };
            defaultValue: {
                summary: string;
            };
        };
        control: {
            type: string;
            options: string[];
        };
    };
    icon: {
        name: string;
        description: string;
        table: {
            defaultValue: {
                summary: any;
            };
        };
        control: {
            type: string;
            options: string[];
        };
    };
    borderRadius: {
        name: string;
        type: {
            name: string;
        };
        options: string[];
        description: string;
        control: {
            type: string;
        };
    };
};
//# sourceMappingURL=Hug.stories.args.d.ts.map