import React from 'react';
declare const _default: {
    title: string;
    component: React.FC<import("./Input").InputProps> & {
        isField?: boolean;
        HelperText?: React.FC<import("..").TextProps>;
    };
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
    argTypes: {
        borderRadius: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        disabled: {
            name: string;
            type: {
                name: string;
            };
            defaultValue: boolean;
        };
        readOnly: {
            name: string;
            type: {
                name: string;
            };
            defaultValue: boolean;
        };
        size: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
    };
};
export default _default;
export declare const InputComponent: any;
export declare const Disabled: () => React.JSX.Element;
export declare const ReadOnly: () => React.JSX.Element;
export declare const Colors: () => React.JSX.Element;
export declare const WithExternalLabel: () => React.JSX.Element;
export declare const WithHelperText: () => React.JSX.Element;
export declare const WithLabel: () => React.JSX.Element;
export declare function ForwardsRefs(): React.JSX.Element;
//# sourceMappingURL=Input.stories.d.ts.map