import React from 'react';
import { FontSizeProps, FontWeightProps, LineHeightProps, SpaceProps, TextStyleProps, WidthProps } from 'styled-system';
/**
 * @public
 */
export type LabelProps = SpaceProps & FontSizeProps & FontWeightProps & LineHeightProps & TextStyleProps & WidthProps & Partial<Omit<HTMLLabelElement, 'children'>> & {
    children?: React.ReactNode | string;
    color?: string;
    autoHide?: boolean;
    nowrap?: boolean;
    for?: string;
    as?: unknown;
    onClick?: (evt: unknown) => void;
};
/**
 * @public
 */
export declare const Label: React.FC<LabelProps> & {
    isLabel?: boolean;
};
//# sourceMappingURL=Label.d.ts.map