export declare const defaultArgs: {
    children: string;
    width: string;
};
export declare const argTypes: {
    color: {
        name: string;
        options: string[];
        mapping: {
            primary: string;
            secondary: string;
            text: string;
            success: string;
            error: string;
            warning: string;
            alert: string;
            caution: string;
            notify: string;
            pricePrimary: string;
            priceSecondary: string;
            promoPrimary: string;
            promoSecondary: string;
            border: string;
            background: string;
        };
        control: string;
    };
    fontSize: {
        name: string;
        options: number[];
        control: string;
    };
    width: {
        name: string;
        options: (string | number)[];
        control: string;
    };
    onClick: {
        name: string;
        options: string[];
        mapping: {
            noAction: any;
            basicAction: import("@storybook/addon-actions/*").HandlerFunction;
        };
        control: string;
    };
};
//# sourceMappingURL=Label.stories.args.d.ts.map