import React from 'react';
import { LabelProps } from './Label';
declare const _default: {
    title: string;
    component: React.FC<LabelProps> & {
        isLabel?: boolean;
    };
    args: {
        children: string;
        width: string;
    };
    argTypes: {
        color: {
            name: string;
            options: string[];
            mapping: {
                primary: string;
                secondary: string;
                text: string;
                success: string;
                error: string;
                warning: string;
                alert: string;
                caution: string;
                notify: string;
                pricePrimary: string;
                priceSecondary: string;
                promoPrimary: string;
                promoSecondary: string;
                border: string;
                background: string;
            };
            control: string;
        };
        fontSize: {
            name: string;
            options: number[];
            control: string;
        };
        width: {
            name: string;
            options: (string | number)[];
            control: string;
        };
        onClick: {
            name: string;
            options: string[];
            mapping: {
                noAction: any;
                basicAction: import("@storybook/addon-actions/*").HandlerFunction;
            };
            control: string;
        };
    };
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
};
export default _default;
export declare const _Label: any;
export declare const Spacing: () => React.JSX.Element;
export declare const HtmlFor: () => React.JSX.Element;
export declare const Nowrap: () => React.JSX.Element;
//# sourceMappingURL=Label.stories.d.ts.map