import { StoryObj } from '@storybook/react';
import React from 'react';
import { type ButtonProps } from '../Button/Button';
import { LinkProps } from './Link';
declare const _default: {
    title: string;
    component: React.FC<LinkProps>;
    args: {
        children: string;
        color: string;
        disabled: boolean;
        href: string;
        size: string;
        target: string;
        variation: string;
        onClick: import("@storybook/addon-actions/*").HandlerFunction;
    };
    argTypes: {
        color: {
            name: string;
            options: string[];
            mapping: {
                primary: string;
                secondary: string;
                text: string;
                success: string;
                error: string;
                warning: string;
                alert: string;
                caution: string;
                notify: string;
                pricePrimary: string;
                priceSecondary: string;
                promoPrimary: string;
                promoSecondary: string;
                border: string;
                background: string;
            };
            control: string;
        };
        size: {
            name: string;
            options: string[];
            control: string;
        };
        target: {
            name: string;
            options: string[];
            control: string;
        };
        variation: {
            name: string;
            options: string[];
            control: string;
        };
    };
};
export default _default;
export declare const _Link: any;
type ButtonStory = StoryObj<ButtonProps>;
export declare const Playground: ButtonStory;
export declare function Variations(args: any): React.JSX.Element;
export declare function Sizes(args: any): React.JSX.Element;
export declare function ForwardRefs(): React.JSX.Element;
export declare const LargeText: () => React.JSX.Element;
export declare const ReactiveStyling: any;
//# sourceMappingURL=Link.stories.d.ts.map