import React from 'react';
/**
 * @public
 */
export type PlaceholderImageProps = React.ImgHTMLAttributes<HTMLImageElement> & {
    ariaHidden?: boolean;
    blur?: boolean;
    chooseSrc?: string;
    height?: string;
    width?: string;
};
/**
 * @public
 */
export declare function PlaceholderImage(props: PlaceholderImageProps): React.JSX.Element;
export declare namespace PlaceholderImage {
    var displayName: string;
    var defaultProps: {
        ariaHidden: boolean;
        blur: boolean;
        height: string;
        width: string;
    };
}
//# sourceMappingURL=PlaceholderImage.d.ts.map