import React from 'react';
/**
 * @public
 */
export declare const ShadowOverlay: any;
/**
 * @public
 */
export type ShadowEffectProps = {
    shouldCloseOnBlur?: boolean;
    shouldOpenOnFocus?: boolean;
    zIndex?: number | string;
    children?: React.ReactNode;
    onClose?: () => void;
    onOpen?: () => void;
};
/**
 * @public
 */
export declare function ShadowEffect({ shouldCloseOnBlur, shouldOpenOnFocus, zIndex, children, onClose, onOpen, ...props }: ShadowEffectProps): React.JSX.Element;
//# sourceMappingURL=ShadowEffect.d.ts.map