import React from 'react';
import { type BoxProps } from '../Box/Box';
export type SlideProps = BoxProps & {
    onSlideChange: (index: number, numSlides: number) => void;
    slideSpacing: number;
    stretchHeight: boolean;
    index: number;
    content?: React.JSX.Element;
    isCurrentSlide: boolean;
    numSlides: number;
    slideBoxRef: React.RefObject<HTMLDivElement>;
    overflowAllowancePxX?: number;
};
export declare function Slide({ onSlideChange, slideSpacing, stretchHeight, index, content, isCurrentSlide, width, numSlides, slideBoxRef, overflowAllowancePxX, }: SlideProps): JSX.Element;
//# sourceMappingURL=Slide.d.ts.map