import { Spinner } from './Spinner';
declare const _default: {
    title: string;
    component: typeof Spinner;
    args: {
        size: string;
        color: string;
    };
    argTypes: {
        size: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                type: {
                    summary: string;
                    detail: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
            control: {
                type: string;
                options: string[];
            };
        };
        color: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                type: {
                    summary: string;
                    detail: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
            control: {
                type: string;
                options: string[];
            };
        };
        icon: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                type: {
                    summary: string;
                    detail: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
            control: {
                type: string;
                options: string[];
            };
        };
        useGradient: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
        };
        strokeWidth: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
        };
    };
};
export default _default;
export declare const _Spinner: any;
export declare const WithIcon: any;
export declare const Small: any;
export declare const Large: any;
export declare const OverrideWidthAndHeight: any;
export declare const OverrideIconColor: any;
export declare const MultipleIcons: any;
export declare const Responsive: any;
export declare const WithGradient: any;
export declare const WithGradientCustomWidth: any;
export declare const WithGradientDifferentSize: any;
//# sourceMappingURL=Spinner.stories.d.ts.map