import React from 'react';
/**
 * @public
 */
export type StepProps = {
    className?: string;
    active?: boolean;
    completed?: boolean;
    children?: React.ReactNode | string;
    onClick?: (unknown: any) => unknown;
};
/**
 * @public
 */
export declare function Step({ className, active, completed, children, onClick, ...props }: StepProps): React.ReactElement;
export declare namespace Step {
    var displayName: string;
    var defaultProps: {
        className: string;
        active: boolean;
        completed: boolean;
    };
}
//# sourceMappingURL=Step.d.ts.map