import React, { useState } from 'react';
import { Box } from '../Box/Box';
import { Flex } from '../Flex/Flex';
import { Text } from '../Text/Text';
import { Swatch } from './Swatch';
export default {
    title: 'Swatch',
    component: Swatch,
};
export const SingleColor = () => React.createElement(Swatch, { colors: ['#0033A0'] });
export const MultipleColors = () => React.createElement(Swatch, { colors: ['#D50032', '#1B7742', '#0033A0'] });
export const Wrap = () => (React.createElement(Box, { width: '100px' },
    React.createElement(Swatch, { colors: [
            '#D50032',
            '#1B7742',
            '#0033A0',
            '#002244',
            '#6244BB',
            '#31225D',
            '#31225D',
            '#FFC658',
            '#4F6F8F',
        ] })));
export const SelectColor = () => {
    const [color, setColor] = useState('#D50032');
    return (React.createElement(React.Fragment, null,
        React.createElement(Swatch, { colors: ['#FFFFFF', '#D50032', '#1B7742', '#0033A0'], onClick: (color) => setColor(color) }),
        React.createElement(Flex, { mt: '3', flexDirection: 'row', alignItems: 'center' },
            React.createElement(Text, { mr: 2 }, "Color:"),
            React.createElement(Text, null, color))));
};
//# sourceMappingURL=Swatch.stories.js.map