/// <reference types="react" />
import { DisplayProps, FontSizeProps, FontStyleProps, FontWeightProps, HeightProps, LineHeightProps, MaxHeightProps, MaxWidthProps, MinHeightProps, MinWidthProps, OverflowProps, SpaceProps, TextAlignProps, TextStyleProps, WidthProps, ZIndexProps } from 'styled-system';
/**
 * @public
 */
export declare const caps: (props: any) => {
    textTransform: string;
};
export declare const regular: (props: any) => {
    fontWeight: any;
};
export declare const bold: (props: any) => {
    fontWeight: any;
};
export declare const textDecoration: (props: any) => string;
export declare const textShadow: (props: any) => {
    textShadow: any;
};
export type TextProps = DisplayProps & FontSizeProps & FontStyleProps & FontWeightProps & HeightProps & LineHeightProps & MaxHeightProps & MaxWidthProps & MinHeightProps & MinWidthProps & OverflowProps & SpaceProps & TextAlignProps & TextStyleProps & WidthProps & ZIndexProps & {
    bg?: string;
    children?: React.ReactNode;
    color?: string;
};
/**
 * @public
 */
export declare const Text: any;
//# sourceMappingURL=Text.d.ts.map