import React from 'react';
/**
 * @public
 */
export declare const Base: any;
/**
 * @public
 */
export type ThemeProviderProps = {
    theme?: {
        breakpoints?: string[];
        mediaQueries?: string[];
        space?: number[];
        font?: string;
        fontSizes?: number[];
        fontWeights?: {
            medium?: number;
            bold?: number;
            regular?: number;
        };
        lineHeights?: {
            standard?: number;
            display?: number;
        };
        letterSpacings?: {
            normal?: string;
            caps?: string;
        };
        regular?: number;
        bold?: number;
        colors?: object;
        palette?: object;
        radii?: number[];
        radius?: string;
        boxShadows?: string[];
        maxContainerWidth?: string;
        duration?: object;
        timingFunctions?: object;
        transitionDelays?: object;
    };
    children?: React.ReactNode;
    customBreakpoints?: string[];
};
/**
 * @public
 */
export declare const ThemeProvider: React.FC<ThemeProviderProps>;
//# sourceMappingURL=ThemeProvider.d.ts.map