import React from 'react';
import { type FlexProps } from '../Flex/Flex';
/**
 * @public
 */
export type ToastProps = {
    children: React.ReactNode;
    hideClose?: boolean;
    icon?: React.ReactElement;
    id?: number;
    lifespan?: number;
    variation?: 'border' | 'fill';
    onRemoveClick?: (id: number) => void;
} & Omit<FlexProps, 'id'>;
/**
 * @public
 */
export declare function Toast({ children, color, hideClose, icon, id, lifespan, variation, onRemoveClick, ...props }: ToastProps): React.JSX.Element;
//# sourceMappingURL=Toast.d.ts.map