import React from 'react';
import { ThemeProvider } from 'styled-components';
import '@testing-library/jest-dom';
import 'jest-styled-components';
import renderer from 'react-test-renderer';
import { createTheme } from '../utils/createTheme';
global.rendererCreateWithTheme = (tree) => renderer.create(React.createElement(ThemeProvider, { theme: createTheme() }, tree));
global.requestAnimationFrame =
    global.requestAnimationFrame ||
        function _raf(cb) {
            return setTimeout(cb, 0);
        };
//# sourceMappingURL=jest.setup.js.map