import { render } from '@testing-library/react';
import React from 'react';
import { ThemeProvider } from '../ThemeProvider/ThemeProvider';
const WithThemeProvider = ({ children }) => React.createElement(ThemeProvider, null, children);
const customRender = (ui, options) => render(ui, { wrapper: WithThemeProvider, ...options });
export * from '@testing-library/react';
export { customRender as render };
export const sleep = (ms) => new Promise((resolve) => setTimeout(resolve, ms));
//# sourceMappingURL=testing-library.js.map