import { type DesignSystemTheme } from '../theme/theme';
/**
 * Create the theme
 * @param theme -             The theme to merge against the default
 * @param customBreakpoints - Custom breakpoints for the theme
 * @param existingTheme -     Existing theme passed from a parent provider (Undefined if it's most outer provider)
 *
 * @returns The generated theme
 *
 * @public
 */
export declare const createTheme: (theme?: {}, customBreakpoints?: any, existingTheme?: any) => DesignSystemTheme;
//# sourceMappingURL=createTheme.d.ts.map