"use strict";

var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Flag = require("../Flag/Flag");
var _Text = require("../Text/Text");
var _testingLibrary = require("../__test__/testing-library");
var _Absolute = require("./Absolute");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Absolute', () => {
  test('renders with top, left and zIndex props', () => {
    const {
      asFragment
    } = (0, _testingLibrary.render)(_react.default.createElement(_Absolute.Absolute, {
      top: 10,
      left: 0
    }, _react.default.createElement(_Flag.Flag, null, _react.default.createElement(_pclnIcons.Coupon, null), " ", _react.default.createElement(_Text.Text.span, null, "EXCLUSIVE"))));
    expect(asFragment).toMatchInlineSnapshot(`[Function]`);
  });
  test('renders with flag and Child', () => {
    const {
      asFragment
    } = (0, _testingLibrary.render)(_react.default.createElement(_Absolute.Absolute, {
      top: 10,
      left: 0
    }, _react.default.createElement(_Flag.Flag, null, _react.default.createElement(_pclnIcons.Coupon, null), " ", _react.default.createElement(_Text.Text.span, null, "EXCLUSIVE"))));
    expect(asFragment).toMatchInlineSnapshot(`[Function]`);
  });
});