"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.PositioningAnIcon = exports.OverAnImage = exports.MultipleAbsolutelyPositionedBoxes = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Card = require("../Card/Card");
var _Flag = require("../Flag/Flag");
var _Image = require("../Image/Image");
var _Relative = require("../Relative/Relative");
var _Text = require("../Text/Text");
var _Absolute = require("./Absolute");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const TallCard = /*#__PURE__*/(0, _styledComponents.default)(_Card.Card).withConfig({
  displayName: "Absolutestories__TallCard",
  componentId: "sc-1pf5meq-0"
})(["height:420px;"]);
const SmallAbsolute = /*#__PURE__*/(0, _styledComponents.default)(_Absolute.Absolute).withConfig({
  displayName: "Absolutestories__SmallAbsolute",
  componentId: "sc-1pf5meq-1"
})(["height:100px;"]);
const MediumAbsolute = /*#__PURE__*/(0, _styledComponents.default)(_Absolute.Absolute).withConfig({
  displayName: "Absolutestories__MediumAbsolute",
  componentId: "sc-1pf5meq-2"
})(["height:200px;"]);
const LargeAbsolute = /*#__PURE__*/(0, _styledComponents.default)(_Absolute.Absolute).withConfig({
  displayName: "Absolutestories__LargeAbsolute",
  componentId: "sc-1pf5meq-3"
})(["height:300px;"]);
const ExtraLargeAbsolute = /*#__PURE__*/(0, _styledComponents.default)(_Absolute.Absolute).withConfig({
  displayName: "Absolutestories__ExtraLargeAbsolute",
  componentId: "sc-1pf5meq-4"
})(["height:400px;"]);
var _default = exports.default = {
  title: 'Absolute',
  component: _Absolute.Absolute
};
const OverAnImage = () => _react.default.createElement(_Relative.Relative, {
  width: 1 / 2
}, _react.default.createElement(_Absolute.Absolute, {
  top: 8,
  left: 0
}, _react.default.createElement(_Flag.Flag, null, "Hello Flag")), _react.default.createElement(_Image.Image, {
  src: 'https://www.goodfreephotos.com/albums/new-zealand/other-new-zealand/lake-pukaki-and-mount-cook-in-the-background.jpg'
}));
exports.OverAnImage = OverAnImage;
const PositioningAnIcon = () => _react.default.createElement(_Card.Card, {
  m: 2
}, _react.default.createElement(_Relative.Relative, {
  p: 4
}, _react.default.createElement(_Text.Text, {
  mt: 2,
  textAlign: 'justify'
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque et nisl dolor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec quis nisi ac est elementum consequat a eu risus. Phasellus id facilisis nulla. Aliquam vel semper enim, id lobortis dolor. Morbi sed leo at turpis rutrum posuere. Nullam tincidunt ex vitae mi sagittis, vel sollicitudin lectus viverra. Curabitur sit amet fringilla velit."), _react.default.createElement(_Absolute.Absolute, {
  top: '10px',
  right: '10px'
}, _react.default.createElement(_pclnIcons.Close, {
  color: 'text.base',
  size: 24
}))));
exports.PositioningAnIcon = PositioningAnIcon;
const MultipleAbsolutelyPositionedBoxes = () => _react.default.createElement(TallCard, {
  pb: 3
}, _react.default.createElement(_Relative.Relative, {
  p: 3
}, _react.default.createElement(ExtraLargeAbsolute, {
  pl: 2,
  top: 0,
  right: 0,
  width: 400,
  bg: 'primary'
}, _react.default.createElement(_Text.Text.span, {
  fontSize: 1,
  bold: true
}, "z-index 1")), _react.default.createElement(LargeAbsolute, {
  pl: 2,
  top: 0,
  right: 0,
  width: 300,
  bg: 'alert'
}, _react.default.createElement(_Text.Text.span, {
  fontSize: 1,
  bold: true
}, "z-index 2")), _react.default.createElement(MediumAbsolute, {
  pl: 2,
  top: 0,
  right: 0,
  width: 200,
  bg: 'primary.light'
}, _react.default.createElement(_Text.Text.span, {
  fontSize: 1,
  bold: true
}, "z-index 3")), _react.default.createElement(SmallAbsolute, {
  pl: 2,
  top: 0,
  right: 0,
  width: 100,
  bg: 'secondary'
}, _react.default.createElement(_Text.Text.span, {
  fontSize: 1,
  bold: true
}, "z-index 4"))));
exports.MultipleAbsolutelyPositionedBoxes = MultipleAbsolutelyPositionedBoxes;