"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Responsive = exports.Initials = exports.Elon = exports.Default = exports.ColorScheme = void 0;
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _Text = require("../Text/Text");
var _args = require("../storybook/args");
var _Avatar = require("./Avatar");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const elonJPG = 'https://pbs.twimg.com/media/DwSta0wUcAAQQR9.jpg';
var _default = exports.default = {
  title: 'Avatar',
  component: _Avatar.Avatar
};
const Default = () => _react.default.createElement(_Avatar.Avatar, null);
exports.Default = Default;
const Initials = () => _react.default.createElement(_Avatar.Avatar, {
  initials: 'WS'
});
exports.Initials = Initials;
const Elon = () => _react.default.createElement(_Avatar.Avatar, {
  title: 'Not Elon Musk',
  subtitle: 'totally.not.elon@musk.com',
  src: elonJPG,
  altText: 'papa-elon'
});
exports.Elon = Elon;
const Responsive = () => _react.default.createElement(_Avatar.Avatar, {
  title: 'Not Elon Musk',
  subtitle: 'totally.not.elon@musk.com',
  src: elonJPG,
  altText: 'papa-elon',
  size: [40, 50, 64, 85, 104, 130]
});
exports.Responsive = Responsive;
const ColorScheme = () => {
  return _react.default.createElement(_Flex.Flex, {
    flexDirection: 'column'
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'heading1'
  }, "No initials"), _react.default.createElement(_Flex.Flex, {
    flexWrap: 'wrap',
    mb: 5
  }, _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_Flex.Flex, {
    m: 2,
    alignItems: 'center',
    width: 1 / 5,
    key: colorScheme
  }, _react.default.createElement(_Avatar.Avatar, {
    altText: 'Avatar',
    colorScheme: colorScheme
  }), _react.default.createElement(_Text.Text, {
    ml: 2
  }, colorScheme)))), _react.default.createElement(_Text.Text, {
    textStyle: 'heading1'
  }, "Initials"), _react.default.createElement(_Flex.Flex, {
    flexWrap: 'wrap'
  }, _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_Flex.Flex, {
    m: 2,
    alignItems: 'center',
    width: 1 / 5,
    key: colorScheme
  }, _react.default.createElement(_Avatar.Avatar, {
    altText: 'Avatar',
    colorScheme: colorScheme,
    initials: 'AB'
  }), _react.default.createElement(_Text.Text, {
    ml: 2
  }, colorScheme)))));
};
exports.ColorScheme = ColorScheme;