"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Box = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _borderRadiusAttrs = require("../utils/attrs/borderRadiusAttrs");
var _boxShadowAttrs = require("../utils/attrs/boxShadowAttrs");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const Box = exports.Box = /*#__PURE__*/_styledComponents.default.div.attrs(props => ({
  ...(0, _borderRadiusAttrs.borderRadiusAttrs)(props),
  ...(0, _boxShadowAttrs.boxShadowAttrs)(props)
})).withConfig({
  displayName: "Box",
  componentId: "sc-n9h3nv-0"
})(["", " ", " ", " ", ""], (0, _utils.applyVariations)('Box'), _utils.color, _utils.colorScheme, props => (0, _styledSystem.compose)(_styledSystem.width, _styledSystem.display, _styledSystem.height, _styledSystem.maxHeight, _styledSystem.maxWidth, _styledSystem.minHeight, _styledSystem.minWidth, _styledSystem.size, _styledSystem.space, _styledSystem.textAlign, _styledSystem.borderRadius, _styledSystem.boxShadow, _styledSystem.overflow)(props));
Box.displayName = 'Box';