"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._ChatMessageContainer = exports.LongConversation = exports.Empty = exports.CustomMessageMaxWidth = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _ChatMessageContainer2 = require("./ChatMessageContainer");
var _ChatMessageContainerStories = require("./ChatMessageContainer.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Chat / ChatMessageContainer',
  component: _ChatMessageContainer2.ChatMessageContainer,
  args: {
    messageMaxWidth: '90%'
  }
};
const _ChatMessageContainer = exports._ChatMessageContainer = {
  render: args => _react.default.createElement(_ChatMessageContainer2.ChatMessageContainer, {
    ...args,
    messages: _ChatMessageContainerStories.shortConversation
  })
};
const LongConversation = exports.LongConversation = {
  render: args => _react.default.createElement(_Box.Box, {
    height: '400px'
  }, _react.default.createElement(_ChatMessageContainer2.ChatMessageContainer, {
    ...args,
    messages: _ChatMessageContainerStories.longConversation
  }))
};
const Empty = exports.Empty = {
  render: args => _react.default.createElement(_ChatMessageContainer2.ChatMessageContainer, {
    ...args
  })
};
const CustomMessageMaxWidth = exports.CustomMessageMaxWidth = {
  render: args => _react.default.createElement(_ChatMessageContainer2.ChatMessageContainer, {
    ...args,
    messages: _ChatMessageContainerStories.shortConversation,
    messageMaxWidth: '60%'
  })
};