"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultArgs = exports.argTypes = void 0;
var _theme = require("../theme/theme");
var _CloseButton = require("./CloseButton.styled");
const argTypes = exports.argTypes = {
  animate: {
    control: {
      type: 'boolean'
    }
  },
  bgColor: {
    control: {
      type: 'select'
    },
    options: _theme.paletteColors
  },
  boxShadowSize: {
    control: {
      type: 'select'
    },
    options: Object.keys(_theme.shadows)
  },
  color: {
    control: {
      type: 'select'
    },
    options: _theme.paletteColors
  },
  size: {
    control: {
      type: 'select'
    },
    options: _CloseButton.closeButtonSizes
  },
  variant: {
    control: {
      type: 'select'
    },
    options: _CloseButton.closeButtonVariants
  },
  padding: {
    control: {
      type: 'number'
    }
  },
  margin: {
    control: {
      type: 'number'
    }
  },
  onClick: {
    action: 'clicked'
  }
};
const defaultArgs = exports.defaultArgs = {
  size: 'md',
  title: 'close',
  animate: true
};