"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SizeProp = exports.InputMaxWidth = exports.DefaultAlignWithThemeMaxWidth = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _Container = require("./Container");
var _ContainerStories = require("./Container.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Container',
  component: _Container.Container,
  argTypes: _ContainerStories.argTypes
};
const DefaultAlignWithThemeMaxWidth = () => _react.default.createElement(_Container.Container, null, _react.default.createElement(_Box.Box, {
  p: 4,
  bg: 'lightGray',
  height: '100vh'
}, "Container Component"));
exports.DefaultAlignWithThemeMaxWidth = DefaultAlignWithThemeMaxWidth;
const InputMaxWidth = () => _react.default.createElement(_Container.Container, {
  maxWidth: 500
}, _react.default.createElement(_Box.Box, {
  p: 4,
  bg: 'lightGray',
  height: '100vh'
}, "Container Component"));
exports.InputMaxWidth = InputMaxWidth;
const Template = args => _react.default.createElement(_Flex.Flex, {
  width: '100%',
  color: 'primary'
}, _react.default.createElement(_Container.Container, {
  ...args,
  style: {
    border: '1px solid'
  }
}, _react.default.createElement(_Box.Box, {
  color: 'background.light',
  height: '100vh',
  style: {
    border: '1px solid'
  }
}, "Container Component")));
const SizeProp = exports.SizeProp = Template.bind({});
SizeProp.args = {
  size: 'md'
};