"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Divider = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const Divider = exports.Divider = /*#__PURE__*/_styledComponents.default.hr.attrs(({
  mx,
  ml,
  mr
}) => ({
  ml: mx ? null : ml,
  mr: mx ? null : mr
})).withConfig({
  displayName: "Divider",
  componentId: "sc-10weutl-0"
})(["border:0;border-bottom-style:solid;border-bottom-width:1px;border-color:", ";background-color:", ";", " ", ""], props => (0, _utils.getPaletteColor)(props.borderColor || props.color, 'base')(props), props => (0, _utils.getPaletteColor)(props.borderColor || props.color, 'base')(props), (0, _utils.applyVariations)('Divider'), props => (0, _styledSystem.compose)(_styledSystem.space, _styledSystem.width)(props));
Divider.displayName = 'Divider';
Divider.defaultProps = {
  color: 'border',
  ml: 0,
  mr: 0
};