"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Note = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../../Box/Box");
var _Text = require("../../Text/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const Note = ({
  children
}) => _react.default.createElement(_Box.Box, {
  bg: 'background',
  p: 3,
  borderRadius: 'xl'
}, _react.default.createElement(_Text.Text.span, {
  color: 'text.tint'
}, _react.default.createElement(_Text.Text.span, {
  bold: true
}, "NOTE "), children));
exports.Note = Note;