"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StoryHeading = void 0;
var _react = _interopRequireDefault(require("react"));
var _Text = require("../../Text/Text");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const StoryHeading = ({
  storyName,
  storyTitle
}) => _react.default.createElement(_Text.Text, {
  id: (0, _utils.getStoryId)(storyName, storyTitle),
  textStyle: 'subheading3',
  my: 4
}, storyName);
exports.StoryHeading = StoryHeading;