"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../../__test__/testing-library");
var _StoryHeading = require("./StoryHeading");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('StoryHeading component', () => {
  it('should render with the correct text and id', () => {
    const storyName = 'Introduction';
    const storyTitle = 'Getting started';
    (0, _testingLibrary.render)(_react.default.createElement(_StoryHeading.StoryHeading, {
      storyName: storyName,
      storyTitle: storyTitle
    }));
    const heading = _testingLibrary.screen.getByText(storyName);
    expect(heading).toHaveAttribute('id', 'story--getting-started--introduction');
  });
});