"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StoryStage = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../../Box/Box");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Stage = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "StoryStage__Stage",
  componentId: "sc-1juj7he-0"
})(["> *{margin:16px;}"]);
/**
 * @public
 */
const StoryStage = ({
  children,
  ...rest
}) => _react.default.createElement(Stage, {
  ...rest
}, children);
exports.StoryStage = StoryStage;