"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Flex = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _Box = require("../Box/Box");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const Flex = exports.Flex = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).attrs(({
  wrap,
  align,
  justify,
  ...props
}) => ({
  flexWrap: wrap ? 'wrap' : undefined,
  alignItems: align,
  justifyContent: justify,
  ...props
})).withConfig({
  displayName: "Flex",
  componentId: "sc-1yrtwh8-0"
})(["display:flex;", " ", ""], (0, _utils.applyVariations)('Flex'), props => (0, _styledSystem.compose)(_styledSystem.alignItems, _styledSystem.justifyContent, _styledSystem.flexDirection, _styledSystem.flexWrap)(props));