"use strict";

var _react = _interopRequireDefault(require("react"));
var _Hide = require("./Hide");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Hide', () => {
  test('renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hide.Hide, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with xs prop', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hide.Hide, {
      xs: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with sm prop', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hide.Hide, {
      sm: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with md prop', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hide.Hide, {
      md: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with lg prop', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hide.Hide, {
      lg: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with xl prop', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hide.Hide, {
      xl: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with xxl prop', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hide.Hide, {
      xxl: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with print prop', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hide.Hide, {
      print: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
});