"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.InputWithMultipleIcons = exports.InputAndIconButton = exports.InputAndIcon = exports.IconInputAndIconButton = exports.IconInputAndIcon = exports.IconAndSelect = exports.IconAndInput = void 0;
var _addonActions = require("@storybook/addon-actions");
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _IconButton = require("../IconButton/IconButton");
var _Input = require("../Input/Input");
var _Select = require("../Select/Select");
var _IconField = require("./IconField");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'IconField',
  component: _IconField.IconField
};
const IconAndInput = () => _react.default.createElement(_IconField.IconField, null, _react.default.createElement(_pclnIcons.Calendar, {
  color: 'blue'
}), _react.default.createElement(_Input.Input, {
  placeholder: 'Choose Date'
}));
exports.IconAndInput = IconAndInput;
const InputAndIcon = () => _react.default.createElement(_IconField.IconField, null, _react.default.createElement(_Input.Input, {
  placeholder: 'Choose Date'
}), _react.default.createElement(_pclnIcons.Calendar, {
  color: 'blue'
}));
exports.InputAndIcon = InputAndIcon;
const InputWithMultipleIcons = () => _react.default.createElement(_IconField.IconField, null, _react.default.createElement(_pclnIcons.Check, {
  color: 'success'
}), _react.default.createElement(_pclnIcons.Visibility, {
  color: 'text.light'
}), _react.default.createElement(_Input.Input, {
  placeholder: 'Choose Date'
}), _react.default.createElement(_pclnIcons.Visibility, {
  color: 'text.light'
}), _react.default.createElement(_pclnIcons.Check, {
  color: 'success'
}));
exports.InputWithMultipleIcons = InputWithMultipleIcons;
const InputAndIconButton = () => _react.default.createElement(_IconField.IconField, null, _react.default.createElement(_Input.Input, {
  placeholder: 'Choose Date'
}), _react.default.createElement(_IconButton.IconButton, {
  icon: _react.default.createElement(_pclnIcons.Close, null),
  color: 'gray',
  title: 'Clear text',
  onClick: (0, _addonActions.action)('Icon button clicked')
}));
exports.InputAndIconButton = InputAndIconButton;
const IconInputAndIcon = () => _react.default.createElement(_IconField.IconField, null, _react.default.createElement(_pclnIcons.Calendar, {
  color: 'blue'
}), _react.default.createElement(_Input.Input, {
  placeholder: 'Choose Date'
}), _react.default.createElement(_pclnIcons.Check, {
  color: 'green'
}));
exports.IconInputAndIcon = IconInputAndIcon;
const IconInputAndIconButton = () => _react.default.createElement(_IconField.IconField, null, _react.default.createElement(_pclnIcons.Calendar, {
  color: 'blue'
}), _react.default.createElement(_Input.Input, {
  placeholder: 'Choose Date'
}), _react.default.createElement(_IconButton.IconButton, {
  icon: _react.default.createElement(_pclnIcons.Close, null),
  color: 'gray',
  title: 'Clear text',
  onClick: (0, _addonActions.action)('Icon button clicked')
}));
exports.IconInputAndIconButton = IconInputAndIconButton;
const IconAndSelect = () => _react.default.createElement(_IconField.IconField, null, _react.default.createElement(_pclnIcons.Calendar, {
  color: 'blue'
}), _react.default.createElement(_Select.Select, null, _react.default.createElement("option", null, "Choose Date"), _react.default.createElement("option", null, "January 2019")));
exports.IconAndSelect = IconAndSelect;