"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputGroup = void 0;
var _themeGet = require("@styled-system/theme-get");
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _Box = require("../Box/Box");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const InputGroup = exports.InputGroup = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "InputGroup",
  componentId: "sc-zgb0x6-0"
})(["display:flex;align-items:center;border-radius:", ";border-width:1px;border-style:solid;border-color:", ";& > ", "{width:100%;flex:1 1 auto;}& input{border:0;box-shadow:none;}", ""], (0, _themeGet.themeGet)('borderRadii.xl'), props => (0, _utils.getPaletteColor)(props.borderColor, 'base')(props), _Box.Box, _styledSystem.space);
InputGroup.defaultProps = {
  borderColor: 'border'
};