"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EASING = exports.DURATION = exports.ACTION_KEY = void 0;
Object.defineProperty(exports, "KEY_FRAMES", {
  enumerable: true,
  get: function () {
    return _Motion.KEY_FRAMES;
  }
});
exports.VARIATION_EASING = exports.VARIATION_DURATION = void 0;
var _theme = require("../theme/theme");
var _Motion = require("./Motion.keyframes");
const VARIATION_DURATION = exports.VARIATION_DURATION = {
  QUICK_GROW: {
    rest: '50ms',
    animated: _theme.duration.fast
  },
  EXPAND_DOWN: {
    rest: _theme.duration.fast,
    animated: _theme.duration.normal
  }
};
const ACTION_KEY = exports.ACTION_KEY = {
  true: 'animated',
  false: 'rest'
};
const VARIATION_EASING = exports.VARIATION_EASING = {
  GROW_XY: {
    animated: _theme.timingFunctions.easeOut,
    rest: _theme.timingFunctions.easeIn
  }
};
const EASING = exports.EASING = {
  animated: _theme.timingFunctions.easeOut,
  rest: _theme.timingFunctions.easeIn
};
const DURATION = exports.DURATION = {
  rest: _theme.duration.fast,
  animated: _theme.duration.normal
};