"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Default = void 0;
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _SkipMenu = require("./SkipMenu");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const skipLinks = [{
  label: 'Skip to main content',
  targetId: 'main-content'
}, {
  label: 'Skip to listings',
  targetId: 'listings-section'
}, {
  label: 'Skip to filters',
  targetId: 'filter-section'
}, {
  label: 'Skip to footer',
  targetId: 'footer'
}];
var _default = exports.default = {
  title: 'SkipMenu',
  component: _SkipMenu.SkipMenu
};
const Default = () => _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_SkipMenu.SkipMenu, {
  skipLinks: skipLinks
}), skipLinks.map((section, index) => _react.default.createElement(_Flex.Flex, {
  key: index,
  tabIndex: -1,
  height: '50vh',
  width: 1,
  justifyContent: 'center',
  alignItems: 'center',
  id: section.targetId,
  color: index % 2 ? 'primary' : 'background'
}, section.label)));
exports.Default = Default;