"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.StepComponent = exports.CurrentStep = exports.CurrentAndCompletedStep = exports.CompletedStep = exports.ClickableStep = void 0;
var _addonActions = require("@storybook/addon-actions");
var _react = _interopRequireDefault(require("react"));
var _Step = require("./Step");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const onClick = (0, _addonActions.action)('Step Clicked');
var _default = exports.default = {
  title: 'Step',
  component: _Step.Step,
  parameters: {
    docs: {
      description: {
        component: 'Use the <Stepper.Step /> component to render a step.'
      }
    }
  }
};
const StepComponent = () => _react.default.createElement(_Step.Step, null, "Step");
exports.StepComponent = StepComponent;
const CurrentStep = () => _react.default.createElement(_Step.Step, {
  active: true
}, "Step");
exports.CurrentStep = CurrentStep;
const CompletedStep = () => _react.default.createElement(_Step.Step, {
  completed: true
}, "Step");
exports.CompletedStep = CompletedStep;
const CurrentAndCompletedStep = () => _react.default.createElement(_Step.Step, {
  active: true,
  completed: true
}, "Step");
exports.CurrentAndCompletedStep = CurrentAndCompletedStep;
const ClickableStep = () => _react.default.createElement(_Step.Step, {
  onClick: onClick
}, "Step");
exports.ClickableStep = ClickableStep;