"use strict";

var _react = _interopRequireDefault(require("react"));
var _Stepper = require("./Stepper");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const children = _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Stepper.Stepper.Step, {
  completed: true
}, "First Step"), _react.default.createElement(_Stepper.Stepper.Step, {
  active: true
}, "Second Step"), _react.default.createElement(_Stepper.Stepper.Step, null, "Third Step"));
describe('Stepper', () => {
  test('renders without crashing', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Stepper.Stepper, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with children', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Stepper.Stepper, null, children)).toJSON();
    expect(json).toMatchSnapshot();
  });
});