"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RoundIconButton = exports.LeftBorderFlex = void 0;
var _themeGet = require("@styled-system/theme-get");
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _Flex = require("../Flex/Flex");
var _IconButton = require("../IconButton/IconButton");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const variations = {
  border: (0, _styledComponents.css)(["background-color:", ";color:", ";border-left:", " solid ", ";"], props => (0, _utils.getPaletteColor)(props.color, 'light')(props), (0, _utils.getPaletteColor)('text.base'), (0, _themeGet.themeGet)('borderRadii.sm'), props => (0, _utils.getPaletteColor)(props.color, 'base')(props)),
  fill: (0, _styledComponents.css)([""])
};
const LeftBorderFlex = exports.LeftBorderFlex = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "Toaststyled__LeftBorderFlex",
  componentId: "sc-16n35yg-0"
})(["", ";", ""], (0, _utils.applyVariations)('Toast', variations), _utils.colorSchemeCustomForeground);
const RoundIconButton = exports.RoundIconButton = /*#__PURE__*/(0, _styledComponents.default)(_IconButton.IconButton).withConfig({
  displayName: "Toaststyled__RoundIconButton",
  componentId: "sc-16n35yg-1"
})(["&&&{background-color:", ";padding:", ";pointer-events:auto;&:hover{background-color:", ";}}"], (0, _utils.getPaletteColor)('background.lightest'), (0, _themeGet.themeGet)('space.1'), (0, _utils.getPaletteColor)('background.lightest'));