"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ToggleBadge = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _attrs = require("../utils/attrs");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const ToggleBadge = exports.ToggleBadge = /*#__PURE__*/_styledComponents.default.button.attrs(_attrs.borderRadiusAttrs).withConfig({
  displayName: "ToggleBadge",
  componentId: "sc-1jzer4c-0"
})(["border-radius:", ";border:0;display:inline-block;font-weight:", ";font-family:inherit;cursor:pointer;background-color:", ";color:", ";&:hover{background-color:", ";}", " ", ""], props => props.theme.radius, props => props.theme.bold, props => props.selected ? (0, _utils.getPaletteColor)(props.bg || props.color, 'light')(props) : props.unSelectedBg, (0, _utils.getPaletteColor)('base'), props => (0, _utils.getPaletteColor)(props.bg || props.color, 'light')(props), (0, _utils.applyVariations)('ToggleBadge'), props => (0, _styledSystem.compose)(_styledSystem.space, _styledSystem.fontSize, _styledSystem.borderRadius)(props));
ToggleBadge.displayName = 'ToggleBadge';
ToggleBadge.defaultProps = {
  borderRadius: 'full',
  selected: false,
  px: 2,
  py: 1,
  mx: 1,
  my: 1,
  fontSize: 0,
  color: 'primary',
  unSelectedBg: 'transparent'
};