"use strict";

var _react = _interopRequireDefault(require("react"));
var _Truncate = require("./Truncate");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Truncate', () => {
  test('renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Truncate.Truncate, null, "renders")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('generates styles', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Truncate.Truncate, null, "generates styles")).toJSON();
    expect(json).toMatchSnapshot();
    expect(json).toHaveStyleRule('overflow', 'hidden');
    expect(json).toHaveStyleRule('white-space', 'nowrap');
    expect(json).toHaveStyleRule('text-overflow', 'ellipsis');
  });
});