"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  render: true,
  sleep: true
};
exports.sleep = exports.render = void 0;
var _react = require("@testing-library/react");
Object.keys(_react).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _react[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _react[key];
    }
  });
});
var _react2 = _interopRequireDefault(require("react"));
var _ThemeProvider = require("../ThemeProvider/ThemeProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const WithThemeProvider = ({
  children
}) => _react2.default.createElement(_ThemeProvider.ThemeProvider, null, children);
const customRender = (ui, options) => (0, _react.render)(ui, {
  wrapper: WithThemeProvider,
  ...options
});
exports.render = customRender;
const sleep = ms => new Promise(resolve => setTimeout(resolve, ms));
exports.sleep = sleep;