"use strict";

var _createTheme = require("../createTheme");
var _boxShadowAttrs = require("./boxShadowAttrs");
const theme = (0, _createTheme.createTheme)();
describe('boxShadowAttrs', () => {
  it.each(_boxShadowAttrs.boxShadowSizeValues)('works with and boxShadowSize=%s', boxShadowSize => {
    const attrs = (0, _boxShadowAttrs.boxShadowAttrs)({
      boxShadowSize,
      theme
    });
    expect(attrs).toMatchSnapshot();
  });
  it('should handle an array prop', () => {
    const attrs = (0, _boxShadowAttrs.boxShadowAttrs)({
      boxShadowSize: [..._boxShadowAttrs.boxShadowSizeValues, '9999px'],
      theme
    });
    expect(attrs).toMatchSnapshot();
  });
});