import React from 'react';
import { Button } from '../../Button/Button';
import { DoDont } from './DoDont';
const exampleProps = {
  doExample: React.createElement(Button, {
    width: '100%'
  }, "placeat id suscipit"),
  doText: 'Quas omnis corrupti illum ullam similique voluptatum at fugiat inventore.',
  dontExample: React.createElement(Button, {
    width: 150
  }, "placeat id suscipit"),
  dontText: 'Illo tempore tenetur adipisci beatae sint nulla veniam ducimus.'
};
export const Usage = {
  render: args => React.createElement(DoDont, {
    ...exampleProps,
    ...args
  })
};
const meta = {
  title: 'Docs Utils/DoDont',
  component: DoDont
};
export default meta;