import React from 'react';
import { render, screen } from '../../__test__/testing-library';
import { DoDont } from './DoDont';
describe('DoDont component', () => {
  it('renders the DO and DONT example components and text', () => {
    const doExample = React.createElement("div", null, "Do Example");
    const doText = 'this';
    const dontExample = React.createElement("div", null, "Dont Example");
    const dontText = 'that';
    render(React.createElement(DoDont, {
      doExample: doExample,
      dontExample: dontExample,
      doText: doText,
      dontText: dontText
    }));
    const doButton = screen.getByText('Do Example');
    const doCaps = screen.getByText('DO');
    const doDescription = screen.getByText('this');
    const dontButton = screen.getByText('Dont Example');
    const dontCaps = screen.getByText("DON'T");
    const dontDescription = screen.getByText('that');
    expect(doButton).toBeInTheDocument();
    expect(doDescription).toBeInTheDocument();
    expect(doCaps).toBeInTheDocument();
    expect(dontButton).toBeInTheDocument();
    expect(dontDescription).toBeInTheDocument();
    expect(dontCaps).toBeInTheDocument();
  });
});