import React from 'react';
import { DocTable } from './DocTable';
const exampleProps = {
  columns: [{
    field: 'left',
    heading: 'Left'
  }, {
    field: 'right',
    heading: 'Right'
  }],
  data: [{
    left: 'dolores',
    right: 'Consequatur ducimus mollitia incidunt.'
  }, {
    left: 'culpa',
    right: 'At rerum cumque omnis quo voluptatibus.'
  }, {
    left: 'voluptas',
    right: 'Quam sint sed et eius et est voluptates hic.'
  }]
};
export const Usage = {
  render: args => React.createElement(DocTable, {
    ...exampleProps,
    ...args
  })
};
const meta = {
  title: 'Docs Utils/DocTable',
  component: DocTable
};
export default meta;