import React from 'react';
import { RelatedComponent } from './RelatedComponent';
import { Button } from '../../Button/Button';
const exampleProps = {
  name: 'Button',
  desc: 'This is a Button',
  children: React.createElement(Button, null, "Button")
};
export const Usage = {
  render: args => React.createElement(RelatedComponent, {
    ...exampleProps,
    ...args
  })
};
const meta = {
  title: 'Docs Utils/RelatedComponent',
  component: RelatedComponent
};
export default meta;