import React from 'react';
import { Box } from '../Box/Box';
import { Flex } from './Flex';
export default {
  title: 'Flex',
  component: Flex
};
export const Basic = () => React.createElement(Flex, {
  alignItems: 'center'
}, React.createElement(Box, {
  width: 1 / 2,
  p: 3,
  color: 'white',
  bg: 'blue'
}, "Flex"), React.createElement(Box, {
  width: 1 / 2,
  p: 1,
  color: 'white',
  bg: 'green'
}, "Box"));
export const Wrap = () => React.createElement(Flex, {
  flexWrap: 'wrap'
}, React.createElement(Box, {
  width: [1, 1 / 2],
  p: 3,
  color: 'white',
  bg: 'blue'
}, "Flex"), React.createElement(Box, {
  width: [1, 1 / 2],
  p: 1,
  color: 'white',
  bg: 'green'
}, "Wrap"));
export const Justify = () => React.createElement(Flex, {
  justifyContent: 'space-around'
}, React.createElement(Box, {
  width: 1 / 3,
  p: 2,
  color: 'white',
  bg: 'blue'
}, "Flex"), React.createElement(Box, {
  width: 1 / 3,
  p: 2,
  color: 'white',
  bg: 'green'
}, "Justify"));
export const DeprecatedBgShim = () => React.createElement(Flex, {
  bg: 'blue'
}, React.createElement(Box, {
  width: 1 / 2,
  p: 3,
  color: 'white',
  bg: 'blue'
}, "Flex"), React.createElement(Box, {
  width: 1 / 2,
  p: 1,
  color: 'white',
  bg: 'green'
}, "Box"));