import React from 'react';
import { Hide } from './Hide';
describe('Hide', () => {
  test('renders', () => {
    const json = rendererCreateWithTheme(React.createElement(Hide, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with xs prop', () => {
    const json = rendererCreateWithTheme(React.createElement(Hide, {
      xs: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with sm prop', () => {
    const json = rendererCreateWithTheme(React.createElement(Hide, {
      sm: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with md prop', () => {
    const json = rendererCreateWithTheme(React.createElement(Hide, {
      md: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with lg prop', () => {
    const json = rendererCreateWithTheme(React.createElement(Hide, {
      lg: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with xl prop', () => {
    const json = rendererCreateWithTheme(React.createElement(Hide, {
      xl: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with xxl prop', () => {
    const json = rendererCreateWithTheme(React.createElement(Hide, {
      xxl: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with print prop', () => {
    const json = rendererCreateWithTheme(React.createElement(Hide, {
      print: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
});