import React from 'react';
import { Box } from '../Box/Box';
import { Flex } from '../Flex/Flex';
import { Hide } from './Hide';
export default {
  title: 'Hide',
  component: Hide
};
export const _Hide = () => React.createElement(Flex, {
  justifyContent: 'space-between'
}, React.createElement(Hide, {
  xs: true,
  sm: true,
  md: true,
  lg: true,
  xl: true,
  xxl: true
}, React.createElement(Box, {
  p: 2,
  bg: 'warning'
}, "Hide xs")), React.createElement(Hide, {
  sm: true,
  md: true,
  lg: true,
  xl: true,
  xxl: true
}, React.createElement(Box, {
  p: 2,
  bg: 'alert'
}, "Hide sm")), React.createElement(Hide, {
  md: true,
  lg: true,
  xl: true,
  xxl: true
}, React.createElement(Box, {
  p: 2,
  bg: 'success'
}, "Hide md")), React.createElement(Hide, {
  lg: true,
  xl: true,
  xxl: true
}, React.createElement(Box, {
  p: 2,
  bg: 'primary'
}, "Hide lg")), React.createElement(Hide, {
  xl: true,
  xxl: true
}, React.createElement(Box, {
  p: 2,
  bg: 'promoPrimary'
}, "Hide xl")), React.createElement(Hide, {
  xxl: true
}, React.createElement(Box, {
  p: 2,
  bg: 'promoSecondary'
}, "Hide xxl")), React.createElement(Hide, {
  print: true
}, React.createElement(Box, {
  p: 2,
  bg: 'caution'
}, "Hide print")), React.createElement(Hide.text, {
  sm: true
}, "Hide.text (inline)"));