import React from 'react';
import { Truncate } from './Truncate';
describe('Truncate', () => {
  test('renders', () => {
    const json = rendererCreateWithTheme(React.createElement(Truncate, null, "renders")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('generates styles', () => {
    const json = rendererCreateWithTheme(React.createElement(Truncate, null, "generates styles")).toJSON();
    expect(json).toMatchSnapshot();
    expect(json).toHaveStyleRule('overflow', 'hidden');
    expect(json).toHaveStyleRule('white-space', 'nowrap');
    expect(json).toHaveStyleRule('text-overflow', 'ellipsis');
  });
});