"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultipleAbsolutelyPositionedBoxes = exports.PositioningAnIcon = exports.OverAnImage = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Card_1 = require("../Card/Card");
const Flag_1 = require("../Flag/Flag");
const Image_1 = require("../Image/Image");
const Relative_1 = require("../Relative/Relative");
const Text_1 = require("../Text/Text");
const Absolute_1 = require("./Absolute");
const TallCard = (0, styled_components_1.default)(Card_1.Card) `
  height: 420px;
`;
const SmallAbsolute = (0, styled_components_1.default)(Absolute_1.Absolute) `
  height: 100px;
`;
const MediumAbsolute = (0, styled_components_1.default)(Absolute_1.Absolute) `
  height: 200px;
`;
const LargeAbsolute = (0, styled_components_1.default)(Absolute_1.Absolute) `
  height: 300px;
`;
const ExtraLargeAbsolute = (0, styled_components_1.default)(Absolute_1.Absolute) `
  height: 400px;
`;
exports.default = {
    title: 'Absolute',
    component: Absolute_1.Absolute,
};
const OverAnImage = () => (react_1.default.createElement(Relative_1.Relative, { width: 1 / 2 },
    react_1.default.createElement(Absolute_1.Absolute, { top: 8, left: 0 },
        react_1.default.createElement(Flag_1.Flag, null, "Hello Flag")),
    react_1.default.createElement(Image_1.Image, { src: 'https://www.goodfreephotos.com/albums/new-zealand/other-new-zealand/lake-pukaki-and-mount-cook-in-the-background.jpg' })));
exports.OverAnImage = OverAnImage;
const PositioningAnIcon = () => (react_1.default.createElement(Card_1.Card, { m: 2 },
    react_1.default.createElement(Relative_1.Relative, { p: 4 },
        react_1.default.createElement(Text_1.Text, { mt: 2, textAlign: 'justify' }, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque et nisl dolor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec quis nisi ac est elementum consequat a eu risus. Phasellus id facilisis nulla. Aliquam vel semper enim, id lobortis dolor. Morbi sed leo at turpis rutrum posuere. Nullam tincidunt ex vitae mi sagittis, vel sollicitudin lectus viverra. Curabitur sit amet fringilla velit."),
        react_1.default.createElement(Absolute_1.Absolute, { top: '10px', right: '10px' },
            react_1.default.createElement(pcln_icons_1.Close, { color: 'text.base', size: 24 })))));
exports.PositioningAnIcon = PositioningAnIcon;
const MultipleAbsolutelyPositionedBoxes = () => (react_1.default.createElement(TallCard, { pb: 3 },
    react_1.default.createElement(Relative_1.Relative, { p: 3 },
        react_1.default.createElement(ExtraLargeAbsolute, { pl: 2, top: 0, right: 0, width: 400, bg: 'primary' },
            react_1.default.createElement(Text_1.Text.span, { fontSize: 1, bold: true }, "z-index 1")),
        react_1.default.createElement(LargeAbsolute, { pl: 2, top: 0, right: 0, width: 300, bg: 'alert' },
            react_1.default.createElement(Text_1.Text.span, { fontSize: 1, bold: true }, "z-index 2")),
        react_1.default.createElement(MediumAbsolute, { pl: 2, top: 0, right: 0, width: 200, bg: 'primary.light' },
            react_1.default.createElement(Text_1.Text.span, { fontSize: 1, bold: true }, "z-index 3")),
        react_1.default.createElement(SmallAbsolute, { pl: 2, top: 0, right: 0, width: 100, bg: 'secondary' },
            react_1.default.createElement(Text_1.Text.span, { fontSize: 1, bold: true }, "z-index 4")))));
exports.MultipleAbsolutelyPositionedBoxes = MultipleAbsolutelyPositionedBoxes;
//# sourceMappingURL=Absolute.stories.js.map