"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = void 0;
const args_1 = require("../storybook/args");
const utils_1 = require("../utils");
exports.argTypes = {
    borderRadius: {
        name: 'borderRadius',
        type: { name: 'string' },
        options: args_1.borderRadii,
        description: 'borderRadius',
        control: {
            type: 'select',
        },
    },
    bg: {
        name: 'bg',
        type: { name: 'string' },
        options: args_1.colors,
        description: 'Color of badge background',
        control: {
            type: 'select',
        },
    },
    color: {
        name: 'color',
        type: { name: 'string' },
        options: args_1.colors,
        description: 'Color of badge',
        control: {
            type: 'select',
        },
    },
    textTransform: {
        name: 'text transform',
        type: { name: 'string' },
        options: utils_1.textTransformValues,
        description: 'Text transform of Badge',
        control: {
            type: 'select',
        },
    },
    size: {
        name: 'size',
        control: 'select',
        options: ['captionSmall', 'captionMedium', 'small', 'medium'],
        defaultValue: 'medium',
    },
};
//# sourceMappingURL=Badge.stories.args.js.map