"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Breadcrumbs = void 0;
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const BreadcrumbLink_1 = require("./BreadcrumbLink");
/**
 * @public
 */
const Breadcrumbs = ({ className, children, }) => {
    return (react_1.default.createElement(Flex_1.Flex, { className: className }, react_1.default.Children.map(children, (child, i) => {
        const isLastChild = i === react_1.default.Children.count(children) - 1;
        if (react_1.default.isValidElement(child)) {
            // @ts-ignore
            return react_1.default.cloneElement(child, { isLastChild });
        }
    })));
};
exports.Breadcrumbs = Breadcrumbs;
exports.Breadcrumbs.displayName = 'Breadcrumbs';
exports.Breadcrumbs.Link = BreadcrumbLink_1.BreadcrumbLink;
//# sourceMappingURL=Breadcrumbs.js.map