"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForwardRefsToLinks = exports.Icons = exports.Basic = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Button_1 = require("../Button/Button");
const ForwardRefsDemo_1 = __importDefault(require("../storybook/utils/ForwardRefsDemo"));
const Breadcrumbs_1 = require("./Breadcrumbs");
exports.default = {
    title: 'Breadcrumbs',
    component: Breadcrumbs_1.Breadcrumbs,
};
const Basic = () => (react_1.default.createElement(Breadcrumbs_1.Breadcrumbs, null,
    react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com', label: 'Home' }),
    react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Flights' }),
    react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Seat Selection' })));
exports.Basic = Basic;
const Icons = () => (react_1.default.createElement(Breadcrumbs_1.Breadcrumbs, null,
    react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com', label: 'Home', icon: react_1.default.createElement(pcln_icons_1.Home, { color: 'text.light', size: 16, mr: 2 }) }),
    react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Flights', icon: react_1.default.createElement(pcln_icons_1.Flights, { color: 'text.light', size: 16, mr: 2 }) }),
    react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Seat Selection', icon: react_1.default.createElement(pcln_icons_1.Seat, { color: 'text.dark', size: 16, mr: 2 }) })));
exports.Icons = Icons;
const ForwardRefsToLinks = () => {
    function refChild(dsRef) {
        function onClick() {
            return (dsRef.current.innerHTML = "What's the frequency, Kenneth?");
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Breadcrumbs_1.Breadcrumbs, null,
                react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com', label: 'Home', ref: dsRef, icon: react_1.default.createElement(pcln_icons_1.Home, { color: 'text.light', size: 16, mr: 2 }) }),
                react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Flights', icon: react_1.default.createElement(pcln_icons_1.Flights, { color: 'text.light', size: 16, mr: 2 }) })),
            react_1.default.createElement(Button_1.Button, { mt: 4, onClick: onClick }, "Click to change the first link via ref")));
    }
    return react_1.default.createElement(ForwardRefsDemo_1.default, { refChild: refChild });
};
exports.ForwardRefsToLinks = ForwardRefsToLinks;
exports.ForwardRefsToLinks.story = {
    name: 'Forward refs to links',
};
//# sourceMappingURL=Breadcrumbs.stories.js.map