"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardHousingButton = exports.ShowcaseCard = exports.Playground = void 0;
const addon_docs_1 = require("@storybook/addon-docs");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Button_1 = require("../Button/Button");
const Hero_1 = require("../DocsUtils/Hero/Hero");
const Note_1 = require("../DocsUtils/Note/Note");
const Section_1 = require("../DocsUtils/Section/Section");
const StoryHeading_1 = require("../DocsUtils/StoryHeading/StoryHeading");
const TableOfContents_1 = require("../DocsUtils/TableOfContents/TableOfContents");
const Flex_1 = require("../Flex/Flex");
const Image_1 = require("../Image/Image");
const Text_1 = require("../Text/Text");
const ThemeProvider_1 = require("../ThemeProvider/ThemeProvider");
const Card_1 = require("./Card");
const Card_Image_Hero_png_1 = __importDefault(require("./Card.Image.Hero.png"));
const Card_Image_Links_png_1 = __importDefault(require("./Card.Image.Links.png"));
const Card_Image_States_png_1 = __importDefault(require("./Card.Image.States.png"));
const CardStories = __importStar(require("./Card.stories"));
const Card_stories_args_1 = require("./Card.stories.args");
exports.Playground = {
    render: (args) => (react_1.default.createElement(Card_1.Card, { ...args, m: 4, p: 4, width: 1 / 2 }, "Card")),
    argTypes: Card_stories_args_1.argTypes,
};
const ShowcaseCard = () => (react_1.default.createElement(react_1.default.Fragment, null,
    react_1.default.createElement(Flex_1.Flex, { height: '120px' },
        react_1.default.createElement(Card_1.Card, { as: 'button', width: '100%', bg: 'white', borderWidth: 0, boxShadowSize: 'sm', borderRadius: 'xl', display: 'inline-flex', p: 3, m: 2 }, "sm"),
        react_1.default.createElement(Card_1.Card, { as: 'button', width: '100%', bg: 'white', borderWidth: 0, boxShadowSize: 'sm', borderRadius: 'xl', display: 'inline-flex', p: 3, m: 2 }, "sm"),
        react_1.default.createElement(Card_1.Card, { as: 'button', width: '100%', bg: 'white', borderWidth: 0, boxShadowSize: 'sm', borderRadius: 'xl', display: 'inline-flex', p: 3, m: 2 }, "sm")),
    react_1.default.createElement(Flex_1.Flex, { height: '200px' },
        react_1.default.createElement(Card_1.Card, { as: 'button', width: '100%', bg: 'white', borderWidth: 0, boxShadowSize: 'md', borderRadius: 'xl', display: 'inline-flex', p: 3, m: 2 }, "md"),
        react_1.default.createElement(Card_1.Card, { as: 'button', width: '100%', bg: 'white', borderWidth: 0, boxShadowSize: 'md', borderRadius: 'xl', display: 'inline-flex', p: 3, m: 2 }, "md")),
    react_1.default.createElement(Flex_1.Flex, { height: '200px' },
        react_1.default.createElement(Card_1.Card, { as: 'button', width: '100%', bg: 'background.base', borderWidth: 0, borderRadius: 'xl', display: 'inline-flex', p: 3, m: 2 }, "flat"),
        react_1.default.createElement(Card_1.Card, { as: 'button', width: '100%', bg: 'background.base', borderWidth: 0, borderRadius: 'xl', display: 'inline-flex', p: 3, m: 2 }, "flat"),
        react_1.default.createElement(Card_1.Card, { as: 'button', width: '100%', bg: 'background.base', borderWidth: 0, borderRadius: 'xl', display: 'inline-flex', p: 3, m: 2 }, "flat"))));
exports.ShowcaseCard = ShowcaseCard;
const StyledCard = (0, styled_components_1.default)(Card_1.Card) `
  font-family: inherit;
  &:hover {
    cursor: pointer;
    box-shadow: ${({ theme }) => theme.shadows.xl};
  }
`;
const CardHousingButton = () => (react_1.default.createElement(Flex_1.Flex, null,
    react_1.default.createElement(StyledCard, { boxShadowSize: 'sm', m: 2, p: 3, height: '160px', width: '240px', bg: 'white', borderRadius: 'xl', borderWidth: 0 },
        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', mb: '68px' }, "text"),
        react_1.default.createElement(Button_1.Button, { width: '100%' }, "My action is the same")),
    react_1.default.createElement(StyledCard, { boxShadowSize: 'sm', m: 2, p: 3, height: '160px', width: '240px', bg: 'white', borderRadius: 'xl', borderWidth: 0 },
        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', mb: '20px' }, "text"),
        react_1.default.createElement(Button_1.Button, { width: '100%', mb: 2, variation: 'lightFill' }, "My action is different"),
        react_1.default.createElement(Button_1.Button, { width: '100%' }, "My action is the same")),
    react_1.default.createElement(Card_1.Card, { boxShadowSize: 'sm', m: 2, p: 3, height: '160px', width: '240px', bg: 'white', borderRadius: 'xl', borderWidth: 0 },
        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', mb: '20px' }, "text"),
        react_1.default.createElement(Button_1.Button, { width: '100%', mb: 2, variation: 'lightFill' }, "My action is different"),
        react_1.default.createElement(Button_1.Button, { width: '100%' }, "My action is the same"))));
exports.CardHousingButton = CardHousingButton;
const meta = {
    title: 'Card',
    component: Card_1.Card,
    parameters: {
        docs: {
            page: () => (react_1.default.createElement(ThemeProvider_1.ThemeProvider, null,
                react_1.default.createElement(Hero_1.Hero, { name: 'Card', img: Card_Image_Hero_png_1.default }, "Cards allow developers to house related elements. Cards are actionable Box components that come in elevated, filled, or outlined. Contents inside card can include inputs, buttons, toggles, or general actionable text."),
                react_1.default.createElement(TableOfContents_1.TableOfContents, { links: [
                        'Overview',
                        'Props',
                        'Support for focus and hover states',
                        'States',
                        'Accessibility Guidelines',
                    ] }),
                react_1.default.createElement(Section_1.Section, { heading: 'Overview' },
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "Each Card should contain content of the same subject. For example, one card should house one hotel or one ad. Use Cards to bring user's attention to clickable elements such as the Card itself.")),
                react_1.default.createElement(Section_1.Section, { heading: 'Props' },
                    react_1.default.createElement(addon_docs_1.Primary, null),
                    react_1.default.createElement(addon_docs_1.ArgsTable, { story: addon_docs_1.PRIMARY_STORY })),
                react_1.default.createElement(Section_1.Section, { heading: 'Variatons' },
                    react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: 'Support for focus and hover states', storyTitle: meta.title }),
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "The easiest way to make a card focusable and have a hover state is by passing the prop as = button. This renders the Card on the DOM as html native element button. Try this in the playground above or look at the examples below. In the example below you can easily tab between each Card!"),
                    react_1.default.createElement(addon_docs_1.Canvas, { of: CardStories.ShowcaseCard }),
                    react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: 'States', storyTitle: meta.title }),
                    react_1.default.createElement(Flex_1.Flex, { my: 4, borderRadius: 'xl', bg: 'primary.light' },
                        react_1.default.createElement(Image_1.Image, { src: Card_Image_States_png_1.default }))),
                react_1.default.createElement(Section_1.Section, { heading: 'Accessibility Guidelines' },
                    react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: 'Support for using Button or Link inside a Card', storyTitle: meta.title }),
                    react_1.default.createElement(Text_1.Text, { mb: 4, textStyle: 'paragraph' }, "When a Card has an anchor tag or link, the card does not have a focus state only the children."),
                    react_1.default.createElement(Flex_1.Flex, { my: 4, borderRadius: 'xl', bg: 'primary.light' },
                        react_1.default.createElement(Image_1.Image, { src: Card_Image_Links_png_1.default })),
                    react_1.default.createElement(Note_1.Note, null, "Adding a nested action with the same behavior of the parent card is fully accessible. However, adding an action with a different action will be accessible if implemented correctly, it is recommended you avoid doing so. This could add strain on users as they may not be sure of the expected outcome when clicking anywhere else on the parent card."),
                    react_1.default.createElement(addon_docs_1.Canvas, { of: CardStories.CardHousingButton })))),
        },
    },
};
exports.default = meta;
//# sourceMappingURL=Card.stories.js.map