"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatMessageSeparator = void 0;
const react_1 = __importDefault(require("react"));
const Divider_1 = require("../Divider/Divider");
const Flex_1 = require("../Flex/Flex");
const Text_1 = require("../Text/Text");
/**
 * @public
 */
function ChatMessageSeparator({ message }) {
    return (react_1.default.createElement(Flex_1.Flex, { alignItems: 'center', justifyContent: 'center' },
        react_1.default.createElement(Divider_1.Divider, { width: '100%' }),
        message && (react_1.default.createElement(Text_1.Text, { color: 'text.light', textAlign: 'center', textStyle: 'subheading6', textWrap: 'nowrap', mx: 3 }, message)),
        react_1.default.createElement(Divider_1.Divider, { width: '100%' })));
}
exports.ChatMessageSeparator = ChatMessageSeparator;
//# sourceMappingURL=ChatMessageSeparator.js.map