"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SizeProp = exports.InputMaxWidth = exports.DefaultAlignWithThemeMaxWidth = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const Container_1 = require("./Container");
const Container_stories_args_1 = require("./Container.stories.args");
exports.default = {
    title: 'Container',
    component: Container_1.Container,
    argTypes: Container_stories_args_1.argTypes,
};
const DefaultAlignWithThemeMaxWidth = () => (react_1.default.createElement(Container_1.Container, null,
    react_1.default.createElement(Box_1.Box, { p: 4, bg: 'lightGray', height: '100vh' }, "Container Component")));
exports.DefaultAlignWithThemeMaxWidth = DefaultAlignWithThemeMaxWidth;
const InputMaxWidth = () => (react_1.default.createElement(Container_1.Container, { maxWidth: 500 },
    react_1.default.createElement(Box_1.Box, { p: 4, bg: 'lightGray', height: '100vh' }, "Container Component")));
exports.InputMaxWidth = InputMaxWidth;
const Template = (args) => (react_1.default.createElement(Flex_1.Flex, { width: '100%', color: 'primary' },
    react_1.default.createElement(Container_1.Container, { ...args, style: { border: '1px solid' } },
        react_1.default.createElement(Box_1.Box, { color: 'background.light', height: '100vh', style: { border: '1px solid' } }, "Container Component"))));
exports.SizeProp = Template.bind({});
exports.SizeProp.args = {
    size: 'md',
};
//# sourceMappingURL=Container.stories.js.map