"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Usage = void 0;
const react_1 = __importDefault(require("react"));
const Button_1 = require("../../Button/Button");
const DoDont_1 = require("./DoDont");
const exampleProps = {
    doExample: react_1.default.createElement(Button_1.Button, { width: '100%' }, "placeat id suscipit"),
    doText: 'Quas omnis corrupti illum ullam similique voluptatum at fugiat inventore.',
    dontExample: react_1.default.createElement(Button_1.Button, { width: 150 }, "placeat id suscipit"),
    dontText: 'Illo tempore tenetur adipisci beatae sint nulla veniam ducimus.',
};
exports.Usage = {
    render: (args) => react_1.default.createElement(DoDont_1.DoDont, { ...exampleProps, ...args }),
};
const meta = {
    title: 'Docs Utils/DoDont',
    component: DoDont_1.DoDont,
};
exports.default = meta;
//# sourceMappingURL=DoDont.stories.js.map