"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Note = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../../Box/Box");
const Text_1 = require("../../Text/Text");
/**
 * @public
 */
const Note = ({ children }) => (react_1.default.createElement(Box_1.Box, { bg: 'background', p: 3, borderRadius: 'xl' },
    react_1.default.createElement(Text_1.Text.span, { color: 'text.tint' },
        react_1.default.createElement(Text_1.Text.span, { bold: true }, "NOTE "),
        children)));
exports.Note = Note;
//# sourceMappingURL=Note.js.map