"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../../__test__/testing-library");
const Note_1 = require("./Note");
describe('Note', () => {
    it('renders children', () => {
        const { getByText } = (0, testing_library_1.render)(react_1.default.createElement(Note_1.Note, null, "Important note!"));
        expect(getByText('Important note!')).toBeInTheDocument();
    });
    it('has a "Note" prefix', () => {
        const { getByText } = (0, testing_library_1.render)(react_1.default.createElement(Note_1.Note, null, "Something"));
        expect(getByText('NOTE')).toBeInTheDocument();
    });
});
//# sourceMappingURL=Note.test.js.map