"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Section = void 0;
const kebabCase_1 = __importDefault(require("lodash/kebabCase"));
const react_1 = __importDefault(require("react"));
const Box_1 = require("../../Box/Box");
const Text_1 = require("../../Text/Text");
/**
 * @public
 */
const Section = ({ heading, children }) => (react_1.default.createElement(Box_1.Box, { my: 5 },
    react_1.default.createElement(Text_1.Text, { id: (0, kebabCase_1.default)(heading), textStyle: 'heading2', mb: 4 }, heading),
    children));
exports.Section = Section;
//# sourceMappingURL=Section.js.map