"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Usage = void 0;
const react_1 = __importDefault(require("react"));
const Button_1 = require("../../Button/Button");
const StoryStage_1 = require("./StoryStage");
const exampleProps = {
    children: (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Button_1.Button, { size: 'small' }, "Button"),
        react_1.default.createElement(Button_1.Button, { size: 'medium' }, "Button"),
        react_1.default.createElement(Button_1.Button, { size: 'large' }, "Button"),
        react_1.default.createElement(Button_1.Button, { size: 'extraLarge' }, "Button"))),
};
exports.Usage = {
    render: (args) => react_1.default.createElement(StoryStage_1.StoryStage, { ...exampleProps, ...args }),
};
const meta = {
    title: 'Docs Utils/StoryStage',
    component: StoryStage_1.StoryStage,
};
exports.default = meta;
//# sourceMappingURL=StoryStage.stories.js.map