"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeprecatedBgShim = exports.Justify = exports.Wrap = exports.Basic = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("./Flex");
exports.default = {
    title: 'Flex',
    component: Flex_1.Flex,
};
const Basic = () => (react_1.default.createElement(Flex_1.Flex, { alignItems: 'center' },
    react_1.default.createElement(Box_1.Box, { width: 1 / 2, p: 3, color: 'white', bg: 'blue' }, "Flex"),
    react_1.default.createElement(Box_1.Box, { width: 1 / 2, p: 1, color: 'white', bg: 'green' }, "Box")));
exports.Basic = Basic;
const Wrap = () => (react_1.default.createElement(Flex_1.Flex, { flexWrap: 'wrap' },
    react_1.default.createElement(Box_1.Box, { width: [1, 1 / 2], p: 3, color: 'white', bg: 'blue' }, "Flex"),
    react_1.default.createElement(Box_1.Box, { width: [1, 1 / 2], p: 1, color: 'white', bg: 'green' }, "Wrap")));
exports.Wrap = Wrap;
const Justify = () => (react_1.default.createElement(Flex_1.Flex, { justifyContent: 'space-around' },
    react_1.default.createElement(Box_1.Box, { width: 1 / 3, p: 2, color: 'white', bg: 'blue' }, "Flex"),
    react_1.default.createElement(Box_1.Box, { width: 1 / 3, p: 2, color: 'white', bg: 'green' }, "Justify")));
exports.Justify = Justify;
const DeprecatedBgShim = () => (react_1.default.createElement(Flex_1.Flex, { bg: 'blue' },
    react_1.default.createElement(Box_1.Box, { width: 1 / 2, p: 3, color: 'white', bg: 'blue' }, "Flex"),
    react_1.default.createElement(Box_1.Box, { width: 1 / 2, p: 1, color: 'white', bg: 'green' }, "Box")));
exports.DeprecatedBgShim = DeprecatedBgShim;
//# sourceMappingURL=Flex.stories.js.map