"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationDot = exports.StyledButton = void 0;
const theme_get_1 = require("@styled-system/theme-get");
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
exports.StyledButton = (0, styled_components_1.default)(Button_1.Button) `
  &:hover {
    box-shadow: ${(0, theme_get_1.themeGet)('shadows.overlay-lg')};
  }
`;
exports.NotificationDot = (0, styled_components_1.default)(Box_1.Box) `
  border: 1px solid rgba(255, 255, 255, 0.75);
`;
//# sourceMappingURL=FloatingActionButton.styled.js.map