"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Hide_1 = require("./Hide");
describe('Hide', () => {
    test('renders', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hide_1.Hide, null)).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with xs prop', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hide_1.Hide, { xs: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with sm prop', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hide_1.Hide, { sm: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with md prop', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hide_1.Hide, { md: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with lg prop', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hide_1.Hide, { lg: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with xl prop', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hide_1.Hide, { xl: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with xxl prop', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hide_1.Hide, { xxl: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with print prop', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hide_1.Hide, { print: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=Hide.spec.js.map