"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._Hide = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const Hide_1 = require("./Hide");
exports.default = {
    title: 'Hide',
    component: Hide_1.Hide,
};
const _Hide = () => (react_1.default.createElement(Flex_1.Flex, { justifyContent: 'space-between' },
    react_1.default.createElement(Hide_1.Hide, { xs: true, sm: true, md: true, lg: true, xl: true, xxl: true },
        react_1.default.createElement(Box_1.Box, { p: 2, bg: 'warning' }, "Hide xs")),
    react_1.default.createElement(Hide_1.Hide, { sm: true, md: true, lg: true, xl: true, xxl: true },
        react_1.default.createElement(Box_1.Box, { p: 2, bg: 'alert' }, "Hide sm")),
    react_1.default.createElement(Hide_1.Hide, { md: true, lg: true, xl: true, xxl: true },
        react_1.default.createElement(Box_1.Box, { p: 2, bg: 'success' }, "Hide md")),
    react_1.default.createElement(Hide_1.Hide, { lg: true, xl: true, xxl: true },
        react_1.default.createElement(Box_1.Box, { p: 2, bg: 'primary' }, "Hide lg")),
    react_1.default.createElement(Hide_1.Hide, { xl: true, xxl: true },
        react_1.default.createElement(Box_1.Box, { p: 2, bg: 'promoPrimary' }, "Hide xl")),
    react_1.default.createElement(Hide_1.Hide, { xxl: true },
        react_1.default.createElement(Box_1.Box, { p: 2, bg: 'promoSecondary' }, "Hide xxl")),
    react_1.default.createElement(Hide_1.Hide, { print: true },
        react_1.default.createElement(Box_1.Box, { p: 2, bg: 'caution' }, "Hide print")),
    react_1.default.createElement(Hide_1.Hide.text, { sm: true }, "Hide.text (inline)")));
exports._Hide = _Hide;
//# sourceMappingURL=Hide.stories.js.map