"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconAndSelect = exports.IconInputAndIconButton = exports.IconInputAndIcon = exports.InputAndIconButton = exports.InputWithMultipleIcons = exports.InputAndIcon = exports.IconAndInput = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const IconButton_1 = require("../IconButton/IconButton");
const Input_1 = require("../Input/Input");
const Select_1 = require("../Select/Select");
const IconField_1 = require("./IconField");
exports.default = {
    title: 'IconField',
    component: IconField_1.IconField,
};
const IconAndInput = () => (react_1.default.createElement(IconField_1.IconField, null,
    react_1.default.createElement(pcln_icons_1.Calendar, { color: 'blue' }),
    react_1.default.createElement(Input_1.Input, { placeholder: 'Choose Date' })));
exports.IconAndInput = IconAndInput;
const InputAndIcon = () => (react_1.default.createElement(IconField_1.IconField, null,
    react_1.default.createElement(Input_1.Input, { placeholder: 'Choose Date' }),
    react_1.default.createElement(pcln_icons_1.Calendar, { color: 'blue' })));
exports.InputAndIcon = InputAndIcon;
const InputWithMultipleIcons = () => (react_1.default.createElement(IconField_1.IconField, null,
    react_1.default.createElement(pcln_icons_1.Check, { color: 'success' }),
    react_1.default.createElement(pcln_icons_1.Visibility, { color: 'text.light' }),
    react_1.default.createElement(Input_1.Input, { placeholder: 'Choose Date' }),
    react_1.default.createElement(pcln_icons_1.Visibility, { color: 'text.light' }),
    react_1.default.createElement(pcln_icons_1.Check, { color: 'success' })));
exports.InputWithMultipleIcons = InputWithMultipleIcons;
const InputAndIconButton = () => (react_1.default.createElement(IconField_1.IconField, null,
    react_1.default.createElement(Input_1.Input, { placeholder: 'Choose Date' }),
    react_1.default.createElement(IconButton_1.IconButton, { icon: react_1.default.createElement(pcln_icons_1.Close, null), color: 'gray', title: 'Clear text', onClick: (0, addon_actions_1.action)('Icon button clicked') })));
exports.InputAndIconButton = InputAndIconButton;
const IconInputAndIcon = () => (react_1.default.createElement(IconField_1.IconField, null,
    react_1.default.createElement(pcln_icons_1.Calendar, { color: 'blue' }),
    react_1.default.createElement(Input_1.Input, { placeholder: 'Choose Date' }),
    react_1.default.createElement(pcln_icons_1.Check, { color: 'green' })));
exports.IconInputAndIcon = IconInputAndIcon;
const IconInputAndIconButton = () => (react_1.default.createElement(IconField_1.IconField, null,
    react_1.default.createElement(pcln_icons_1.Calendar, { color: 'blue' }),
    react_1.default.createElement(Input_1.Input, { placeholder: 'Choose Date' }),
    react_1.default.createElement(IconButton_1.IconButton, { icon: react_1.default.createElement(pcln_icons_1.Close, null), color: 'gray', title: 'Clear text', onClick: (0, addon_actions_1.action)('Icon button clicked') })));
exports.IconInputAndIconButton = IconInputAndIconButton;
const IconAndSelect = () => (react_1.default.createElement(IconField_1.IconField, null,
    react_1.default.createElement(pcln_icons_1.Calendar, { color: 'blue' }),
    react_1.default.createElement(Select_1.Select, null,
        react_1.default.createElement("option", null, "Choose Date"),
        react_1.default.createElement("option", null, "January 2019"))));
exports.IconAndSelect = IconAndSelect;
//# sourceMappingURL=IconField.stories.js.map