"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Short = exports.Thick = exports.BasicProgressBar = exports.EmptyProgressBar = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const ProgressBar_1 = require("./ProgressBar");
exports.default = {
    title: 'ProgressBar',
    component: ProgressBar_1.ProgressBar,
};
const steps = [{ color: 'warning' }, { color: 'caution' }, { color: 'primary' }, { color: 'success' }];
const EmptyProgressBar = () => react_1.default.createElement(ProgressBar_1.ProgressBar, { steps: steps, currentStep: 0 });
exports.EmptyProgressBar = EmptyProgressBar;
const BasicProgressBar = () => react_1.default.createElement(ProgressBar_1.ProgressBar, { steps: steps, currentStep: 3 });
exports.BasicProgressBar = BasicProgressBar;
const Thick = () => react_1.default.createElement(ProgressBar_1.ProgressBar, { steps: steps, currentStep: 1, stepHeight: '10px' });
exports.Thick = Thick;
const Short = () => (react_1.default.createElement(Box_1.Box, { width: '300px' },
    react_1.default.createElement(ProgressBar_1.ProgressBar, { steps: steps, currentStep: 4 })));
exports.Short = Short;
//# sourceMappingURL=ProgressBar.stories.js.map