"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = void 0;
const RadioCheckToggleCard_1 = require("./RadioCheckToggleCard");
exports.argTypes = {
    hPosition: {
        control: { type: 'radio' },
        options: RadioCheckToggleCard_1.RadioCheckToggleCardHPositions,
        defaultValue: RadioCheckToggleCard_1.RadioCheckToggleCard.defaultProps.hPosition,
        description: 'Controlling the button icon horizontal position',
    },
    vPosition: {
        control: { type: 'radio' },
        options: RadioCheckToggleCard_1.RadioCheckToggleCardVPositions,
        defaultValue: RadioCheckToggleCard_1.RadioCheckToggleCard.defaultProps.vPosition,
        description: 'Controlling the button icon vertical position',
    },
    isTakingFullHeightOfCard: {
        control: 'boolean',
        defaultValue: false,
        description: 'Controlling the button icon whether take full height of the card',
    },
    title: {
        control: 'text',
        defaultValue: 'Title',
        description: 'Card label',
    },
    isTitleBold: {
        control: 'boolean',
        defaultValue: false,
        description: 'Controlling the card label bold status',
    },
    isSelected: {
        control: 'boolean',
        defaultValue: false,
        description: 'Controlling the card selection status',
    },
};
//# sourceMappingURL=RadioCheckToggleCard.stories.args.js.map