"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = exports.defaultArgs = void 0;
const args_1 = require("../storybook/args");
exports.defaultArgs = {
    disabled: false,
};
exports.argTypes = {
    borderRadius: {
        name: 'borderRadius',
        type: { name: 'string' },
        options: args_1.borderRadii,
        description: 'borderRadius',
        control: {
            type: 'select',
        },
    },
    disabled: {
        name: 'disabled',
        type: { name: 'boolean' },
        defaultValue: false,
    },
    size: {
        name: 'size',
        type: { name: 'string' },
        options: args_1.inputArgs,
        description: 'size',
        control: {
            type: 'select',
        },
    },
    variation: {
        name: 'variation',
        description: 'variation',
        control: {
            type: 'select',
        },
        options: ['input', 'subtle'],
        defaultValue: 'input',
    },
};
//# sourceMappingURL=Select.stories.args.js.map