"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SlideBoxWrapper = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const Relative_1 = require("../Relative/Relative");
function SlideBoxWrapper({ children, arrowPosition }) {
    return arrowPosition === 'side' ? (react_1.default.createElement(Relative_1.Relative, null,
        react_1.default.createElement(Flex_1.Flex, { alignItems: 'center' }, children))) : (react_1.default.createElement(Box_1.Box, null, children));
}
exports.SlideBoxWrapper = SlideBoxWrapper;
//# sourceMappingURL=SlideBoxWrapper.js.map