"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("./helpers");
describe('getVisibleSlidesArray', () => {
    it('Array of visible slides', () => {
        expect((0, helpers_1.getVisibleSlides)([0.5, 4, 8])).toEqual(['200%', 1 / 4, 1 / 8]);
    });
    it('int visible slides', () => {
        expect((0, helpers_1.getVisibleSlides)(3)).toEqual([1 / 1.1, null, null, 1 / 2.1, 1 / 3]);
    });
});
describe('getCustomWidths', () => {
    it('First slide', () => {
        expect((0, helpers_1.getCustomWidths)([60, 40], 0)).toEqual([1 / 1.1, null, null, 1 / 2.1, '60%']);
    });
    it('Second slide', () => {
        expect((0, helpers_1.getCustomWidths)([60, 40], 1)).toEqual([1 / 1.1, null, null, 1 / 2.1, '40%']);
    });
});
//# sourceMappingURL=helpers.spec.js.map