"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClickableStep = exports.CurrentAndCompletedStep = exports.CompletedStep = exports.CurrentStep = exports.StepComponent = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const react_1 = __importDefault(require("react"));
const Step_1 = require("./Step");
const onClick = (0, addon_actions_1.action)('Step Clicked');
exports.default = {
    title: 'Step',
    component: Step_1.Step,
    parameters: {
        docs: {
            description: {
                component: 'Use the <Stepper.Step /> component to render a step.',
            },
        },
    },
};
const StepComponent = () => react_1.default.createElement(Step_1.Step, null, "Step");
exports.StepComponent = StepComponent;
const CurrentStep = () => react_1.default.createElement(Step_1.Step, { active: true }, "Step");
exports.CurrentStep = CurrentStep;
const CompletedStep = () => react_1.default.createElement(Step_1.Step, { completed: true }, "Step");
exports.CompletedStep = CompletedStep;
const CurrentAndCompletedStep = () => (react_1.default.createElement(Step_1.Step, { active: true, completed: true }, "Step"));
exports.CurrentAndCompletedStep = CurrentAndCompletedStep;
const ClickableStep = () => react_1.default.createElement(Step_1.Step, { onClick: onClick }, "Step");
exports.ClickableStep = ClickableStep;
//# sourceMappingURL=Step.stories.js.map