"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stepper = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Flex_1 = require("../Flex/Flex");
const Step_1 = require("../Step/Step");
const StyledFlex = (0, styled_components_1.default)(Flex_1.Flex) `
  & > :not(:last-child) {
    margin-right: ${(0, theme_get_1.default)('space.4')}px;
  }
`;
/**
 * @public
 */
function Stepper({ className, children, ...props }) {
    return (react_1.default.createElement(StyledFlex, { className: className, ...props }, children));
}
exports.Stepper = Stepper;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
Stepper.Step = Step_1.Step;
//# sourceMappingURL=Stepper.js.map