"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabChip = void 0;
const Tab = __importStar(require("@radix-ui/react-tabs"));
const react_1 = __importDefault(require("react"));
const ChoiceChip_1 = require("../Chip/ChoiceChip/ChoiceChip");
const TabChip = ({ tab, buttonChipProps, onTabSelect, isActive, size, dynamicTabWidth, }) => {
    return (react_1.default.createElement(Tab.Trigger, { asChild: true, value: `tab-${tab.id}`, key: `tab-${tab.id}` },
        react_1.default.createElement(ChoiceChip_1.ChoiceChip, { width: dynamicTabWidth ? '100%' : 'auto', onClick: () => onTabSelect(), ...buttonChipProps, Icon: tab.icon, label: tab.text, selected: isActive === tab.id, size: size })));
};
exports.TabChip = TabChip;
//# sourceMappingURL=TabChip.js.map