"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
const aliases = ['sm', 'md', 'lg', 'xl', 'xxl'];
describe('theme', () => {
    console.warn = jest.fn();
    test('exports an object', () => {
        expect(typeof __1.theme).toBe('object');
    });
    test('snapshot', () => {
        expect(__1.theme).toMatchSnapshot();
    });
    test('exports colors', () => {
        expect(typeof __1.colors).toBe('object');
    });
    test('breakpoints have aliases', () => {
        aliases.forEach((alias, i) => expect(__1.theme.breakpoints[alias]).toEqual(__1.theme.breakpoints[i]));
    });
    test('media queries have aliases', () => {
        aliases.forEach((alias, i) => expect(__1.theme.mediaQueries[alias]).toEqual(__1.theme.mediaQueries[i]));
    });
});
//# sourceMappingURL=theme.spec.js.map