"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectFit = exports.objectFitValues = void 0;
const styled_system_1 = require("styled-system");
/**
 * @public
 */
exports.objectFitValues = ['contain', 'cover', 'unset'];
/**
 * @public
 */
function objectFit() {
    return (0, styled_system_1.system)({
        objectFit: {
            property: 'objectFit',
            transform: (val) => val ?? 'unset',
        },
    });
}
exports.objectFit = objectFit;
//# sourceMappingURL=objectFit.js.map