/// <reference types="react" />
import { BottomProps, LeftProps, RightProps, TopProps, ZIndexProps } from 'styled-system';
import { BoxProps } from '../Box/Box';
/**
 * @public
 */
export type AbsoluteProps = BoxProps & TopProps & RightProps & BottomProps & LeftProps & ZIndexProps;
/**
 * @public
 */
export declare const Absolute: React.FC<AbsoluteProps>;
//# sourceMappingURL=Absolute.d.ts.map