import styled from 'styled-components';
import { bottom, compose, left, right, top, zIndex, } from 'styled-system';
import { Box } from '../Box/Box';
/**
 * @public
 */
export const Absolute = styled(Box) `
  position: absolute;

  ${(props) => compose(top, bottom, left, right, zIndex)(props)}
`;
Absolute.displayName = 'Absolute';
//# sourceMappingURL=Absolute.js.map