import React from 'react';
declare const _default: {
    title: string;
    component: React.FC<import("./BackgroundImage").BackgroundImageProps>;
    args: {
        height: string;
        image: string;
        variation: string;
    };
    argTypes: {
        variation: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                type: {
                    summary: string;
                    detail: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
            control: {
                type: string;
                options: string[];
            };
        };
        borderRadius: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        rounded: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        height: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                defaultValue: {
                    summary: any;
                };
            };
        };
        width: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                defaultValue: {
                    summary: any;
                };
            };
        };
        image: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                defaultValue: {
                    summary: any;
                };
            };
        };
        backgroundPosition: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            options: string[];
            control: {
                type: string;
            };
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((story: any) => React.JSX.Element)[];
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
};
export default _default;
export declare const _BackgroundImage: any;
export declare const FixedHeight: any;
export declare const FixedIntHeight: any;
export declare const Responsive: any;
export declare const Rounded: any;
export declare const BackgroundPosition: any;
//# sourceMappingURL=BackgroundImage.stories.d.ts.map