import React from 'react';
declare const _default: {
    title: string;
    component: React.FC<import("./Box").BoxProps>;
    args: {
        height: string;
        width: string;
    };
    argTypes: {
        color: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        borderRadius: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        rounded: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        boxShadowSize: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
        boxShadowColor: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            table: {
                type: {
                    summary: string;
                };
            };
            control: {
                type: string;
            };
        };
        height: {
            name: string;
            type: {
                name: string;
            };
            description: string;
        };
        width: {
            name: string;
            type: {
                name: string;
            };
            description: string;
        };
    };
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
};
export default _default;
export declare const _Box: any;
export declare const DisplayAndSize: any;
export declare const Padding: any;
export declare const Height: any;
export declare const MaxAndMinValues: any;
export declare const Margin: any;
export declare const Color: any;
export declare const BoxShadow: any;
export declare const Size: any;
export declare const Width: any;
export declare const PixelWidth: any;
export declare const VwWidth: any;
export declare const DirectionalPadding: () => React.JSX.Element;
export declare const DirectionalMargin: () => React.JSX.Element;
export declare const Overflow: () => React.JSX.Element;
export declare const ThemeUserCaseColorText: {
    (): React.JSX.Element;
    storyName: string;
};
export declare const CustomColor: any;
export declare const ColorSchemes: any;
//# sourceMappingURL=Box.stories.d.ts.map