import type { StoryObj } from '@storybook/react';
import { ChatMessage, type ChatMessageProps } from './ChatMessage';
declare const _default: {
    title: string;
    component: typeof ChatMessage;
    args: {
        message: string;
        variation: string;
    };
    argTypes: {
        variation: {
            options: string[];
            control: {
                type: string;
                options: string[];
            };
        };
    };
};
export default _default;
type ChatMessageStory = StoryObj<ChatMessageProps>;
export declare const _ChatMessage: ChatMessageStory;
export declare const InitialMessage: ChatMessageStory;
export declare const WithReactNodeMessage: ChatMessageStory;
export declare const IncomingMessage: ChatMessageStory;
export declare const OutgoingMessage: ChatMessageStory;
export declare const WithIconOverride: ChatMessageStory;
export declare const WithHeader: ChatMessageStory;
export declare const WithFooter: ChatMessageStory;
export declare const OutgoingWithFooter: ChatMessageStory;
export declare const MessageList: ChatMessageStory;
//# sourceMappingURL=ChatMessage.stories.d.ts.map