import React from 'react';
import { ChatTrigger } from './ChatTrigger';
declare const _default: {
    title: string;
    component: typeof ChatTrigger;
    args: {
        hasNotification: boolean;
        tooltip: string;
    };
    argTypes: {
        onClick: {
            action: boolean;
        };
    };
    decorators: ((Story: any) => React.JSX.Element)[];
};
export default _default;
export declare const _ChatTrigger: {
    play: ({ args, canvasElement }: {
        args: any;
        canvasElement: any;
    }) => Promise<void>;
    render: (args: any) => React.JSX.Element;
};
export declare const FloatingActionButton: {
    render: (args: any) => React.JSX.Element;
};
export declare const WithNotification: {
    render: (args: any) => React.JSX.Element;
};
//# sourceMappingURL=ChatTrigger.stories.d.ts.map