import React, { MouseEventHandler } from 'react';
import { type BoxShadowSize, type IStyledSystemProps, type PaletteColor } from '../theme/theme';
import { CloseButtonSize, CloseButtonVariant } from './CloseButton.styled';
/**
 * @public
 */
export type CloseButtonProps = IStyledSystemProps & {
    animate?: boolean;
    bgColor?: PaletteColor;
    boxShadowSize?: BoxShadowSize;
    className?: string;
    color?: PaletteColor;
    onClick?: MouseEventHandler<HTMLButtonElement>;
    size?: CloseButtonSize;
    title?: string;
    variant?: CloseButtonVariant;
};
/**
 * @public
 */
export declare const CloseButton: ({ animate, bgColor, boxShadowSize, className, color, onClick, size, title, variant, ...props }: CloseButtonProps) => React.JSX.Element;
//# sourceMappingURL=CloseButton.d.ts.map