import React from 'react';
import { type BoxProps } from '../Box/Box';
/**
 * @public
 */
export type ContainerSize = 'sm' | 'md' | 'lg' | 'xl';
/**
 * @public
 */
export type ContainerProps = BoxProps & {
    children?: React.ReactNode;
    maxWidth?: number;
    size?: ContainerSize;
};
/**
 * @public
 */
export declare const Container: React.FC<ContainerProps>;
//# sourceMappingURL=Container.d.ts.map