import React from 'react';
import { BorderColorProps, SpaceProps, WidthProps } from 'styled-system';
import { ColorName, PaletteColor, PaletteFamilyName } from '../theme/theme';
/**
 * @public
 */
export type DividerProps = SpaceProps & WidthProps & BorderColorProps & {
    color?: ColorName | PaletteFamilyName | PaletteColor;
};
/**
 * @public
 */
export declare const Divider: React.FC<DividerProps>;
//# sourceMappingURL=Divider.d.ts.map