import React from 'react';
/**
 * @public
 */
export type DocTableProps<T> = {
    data: T[];
    columns: {
        field: string;
        heading: string;
        noWrap?: boolean;
    }[];
};
/**
 * @public
 */
export declare const DocTable: <T extends object>({ data, columns, ...rest }: DocTableProps<T>) => React.JSX.Element;
//# sourceMappingURL=DocTable.d.ts.map