import React from 'react';
/**
 * @public
 */
export type RelatedComponentProps = {
    name: string;
    desc?: string;
    onClick?: () => void;
    children: React.ReactNode;
};
/**
 * @public
 */
export declare const RelatedComponent: ({ name, desc, children, onClick }: RelatedComponentProps) => React.JSX.Element;
/**
 * @public
 */
export type RelatedComponentContainerProps = {
    children: React.ReactNode;
};
/**
 * @public
 */
export declare const RelatedComponentContainer: ({ children }: RelatedComponentContainerProps) => React.JSX.Element;
//# sourceMappingURL=RelatedComponent.d.ts.map