export declare const sizes: string[];
export declare const speed: string[];
export declare const defaultArgs: {
    size: string;
    speed: string;
    color: string;
};
export declare const argTypes: {
    size: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            type: {
                summary: string;
                detail: string;
            };
            defaultValue: {
                summary: string;
            };
        };
        control: {
            type: string;
            options: string[];
        };
    };
    speed: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            type: {
                summary: string;
                detail: string;
            };
            defaultValue: {
                summary: string;
            };
        };
        control: {
            type: string;
            options: string[];
        };
    };
    color: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            type: {
                summary: string;
                detail: string;
            };
            defaultValue: {
                summary: string;
            };
        };
        control: {
            type: string;
            options: string[];
        };
    };
};
//# sourceMappingURL=DotLoader.stories.args.d.ts.map