import { DotLoader } from './DotLoader';
declare const _default: {
    title: string;
    component: typeof DotLoader;
    args: {
        size: string;
        speed: string;
        color: string;
    };
    argTypes: {
        size: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                type: {
                    summary: string;
                    detail: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
            control: {
                type: string;
                options: string[];
            };
        };
        speed: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                type: {
                    summary: string;
                    detail: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
            control: {
                type: string;
                options: string[];
            };
        };
        color: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                type: {
                    summary: string;
                    detail: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
            control: {
                type: string;
                options: string[];
            };
        };
    };
};
export default _default;
export declare const _DotLoader: any;
export declare const Fast: any;
export declare const Responsive: any;
//# sourceMappingURL=DotLoader.stories.d.ts.map