import React from 'react';
import { SpaceProps, LayoutProps } from 'styled-system';
export type PlacementOptions = 'top' | 'bottom' | 'right' | 'left';
export type DrawerProps = SpaceProps & LayoutProps & {
    heading?: string | React.ReactNode;
    isCollapsed?: boolean;
    isFloating?: boolean;
    isOpen?: boolean;
    isMobile?: boolean;
    onClose?: () => void;
    onCollapse?: () => void;
    placement?: PlacementOptions;
    children?: string | React.ReactNode;
};
export declare const Drawer: React.FC<DrawerProps>;
//# sourceMappingURL=Drawer.d.ts.map