import React from 'react';
import { SpaceProps, WidthProps } from 'styled-system';
import { ColorProp } from '../theme/theme';
/**
 * @public
 */
export type FlagProps = SpaceProps & WidthProps & {
    children?: React.ReactNode;
    color?: ColorProp;
    bg?: ColorProp;
};
/**
 * @public
 */
export declare const Flag: React.FC<FlagProps>;
//# sourceMappingURL=Flag.d.ts.map