import React from 'react';
import { type AbsoluteProps } from '../Absolute/Absolute';
/**
 * @public
 */
export type FloatingActionButtonProps = AbsoluteProps & {
    hasNotification?: boolean;
    icon: React.Component;
    tooltip?: string;
    toolAlignment?: 'center' | 'right' | 'left';
    isAbsolutePosition?: boolean;
};
/**
 * @public
 */
export declare function FloatingActionButton({ hasNotification, icon, tooltip, onClick, isAbsolutePosition, toolAlignment, ...props }: FloatingActionButtonProps): JSX.Element;
//# sourceMappingURL=FloatingActionButton.d.ts.map