import React from 'react';
import { type MotionVariant } from '../Animate/Animate';
import { FloatingActionButtonProps } from '../FloatingActionButton/FloatingActionButton';
import { MarginProps } from 'styled-system';
export type Position = 'bottomRight' | 'topRight' | 'centerRight';
export type FloatingActionButtonPropWrapper = FloatingActionButtonProps & {
    key: string;
};
export type FloatingActionButtonProviderProps = MarginProps & {
    hideUntilScrollPercent?: number;
    delayDisplayMs?: number;
    animationVariant?: MotionVariant;
    position?: Position;
    floatingActionButtons: Array<FloatingActionButtonPropWrapper>;
};
export declare const FloatingActionButtonProvider: React.FC<FloatingActionButtonProviderProps>;
//# sourceMappingURL=FloatingActionButtonProvider.d.ts.map