import React from 'react';
import { Hug } from './Hug';
declare const _default: {
    title: string;
    component: typeof Hug;
    args: {
        color: string;
        text: React.JSX.Element;
    };
    argTypes: {
        color: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                type: {
                    summary: string;
                    detail: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
            control: {
                type: string;
                options: string[];
            };
        };
        icon: {
            name: string;
            description: string;
            table: {
                defaultValue: {
                    summary: any;
                };
            };
            control: {
                type: string;
                options: string[];
            };
        };
        borderRadius: {
            name: string;
            type: {
                name: string;
            };
            options: string[];
            description: string;
            control: {
                type: string;
            };
        };
    };
    parameters: {
        docs: {
            description: {
                component: string;
            };
        };
    };
};
export default _default;
export declare const _Hug: any;
export declare const WithAnIcon: any;
export declare const CardInACard: any;
export declare const PlainText: any;
export declare const ArrayOfText: any;
export declare const Responsive: any;
export declare const ColorScheme: () => React.JSX.Element[];
export declare const ColorSchemeWithCustomHeaderTextAndIconColors: () => React.JSX.Element;
//# sourceMappingURL=Hug.stories.d.ts.map