import React from 'react';
import { SpaceProps, WidthProps } from 'styled-system';
import { type ButtonSizes, type ButtonVariations } from '../Button/Button';
/**
 * @public
 */
export type LinkProps = WidthProps & SpaceProps & React.AnchorHTMLAttributes<HTMLAnchorElement> & React.RefAttributes<unknown> & {
    children?: React.ReactNode | string;
    color?: string;
    disabled?: boolean;
    href?: string;
    size?: ButtonSizes | ButtonSizes[];
    target?: string;
    variation?: ButtonVariations;
    onClick?: React.MouseEventHandler<HTMLAnchorElement>;
    onFocus?: React.FocusEventHandler<HTMLAnchorElement>;
};
/**
 * @public
 */
export declare const Link: React.FC<LinkProps>;
//# sourceMappingURL=Link.d.ts.map