export declare const defaultArgs: {
    color: string;
    fontSize: number;
    type: string;
    listStyle: string;
    indentSize: string;
};
export declare const argTypes: {
    color: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            type: {
                summary: string;
                detail: string;
            };
            defaultValue: {
                summary: string;
            };
        };
        control: {
            type: string;
            options: string[];
        };
    };
    fontSize: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            defaultValue: {
                summary: number;
            };
        };
        control: {
            type: string;
            options: number[];
        };
    };
    type: {
        name: string;
        type: {
            name: string;
            details: string;
        };
        description: string;
        control: {
            type: string;
            options: string[];
        };
    };
    listStyle: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        options: string[];
        control: {
            type: string;
        };
    };
    indentSize: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        options: string[];
        control: {
            type: string;
        };
    };
};
//# sourceMappingURL=List.stories.args.d.ts.map