import React from 'react';
declare const _default: {
    title: string;
    component: React.FC<import("./List").ListProps> & {
        ol: React.FC<import("./List").ListProps>;
        ul: React.FC<import("./List").ListProps>;
    };
    args: {
        color: string;
        fontSize: number;
        type: string;
        listStyle: string;
        indentSize: string;
    };
    argTypes: {
        color: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                type: {
                    summary: string;
                    detail: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
            control: {
                type: string;
                options: string[];
            };
        };
        fontSize: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            table: {
                defaultValue: {
                    summary: number;
                };
            };
            control: {
                type: string;
                options: number[];
            };
        };
        type: {
            name: string;
            type: {
                name: string;
                details: string;
            };
            description: string;
            control: {
                type: string;
                options: string[];
            };
        };
        listStyle: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            options: string[];
            control: {
                type: string;
            };
        };
        indentSize: {
            name: string;
            type: {
                name: string;
                required: boolean;
            };
            description: string;
            options: string[];
            control: {
                type: string;
            };
        };
    };
};
export default _default;
export declare const _List: any;
export declare const OrderedList: any;
export declare const UnorderedList: any;
export declare const StructuredRomanList: any;
export declare const StructuredDecimalList: any;
export declare const StructuredBulletList: any;
//# sourceMappingURL=List.stories.d.ts.map