import React from 'react';
import { type PaletteColor, type PaletteFamilyName } from '../theme/theme';
/**
 * @public
 */
export type ProgressBarProps = {
    steps: {
        color: PaletteColor | PaletteFamilyName;
    }[];
    currentStep: number;
    stepHeight?: string;
    className?: string;
};
/**
 * @public
 */
export declare function ProgressBar({ steps, currentStep, stepHeight, className }: ProgressBarProps): React.JSX.Element;
export declare namespace ProgressBar {
    var defaultProps: {
        stepHeight: string;
    };
}
//# sourceMappingURL=ProgressBar.d.ts.map