import React from 'react';
import { type PaletteFamilyName } from '../theme/theme';
/**
 * @public
 */
export type RadioProps = React.InputHTMLAttributes<HTMLInputElement> & {
    size?: number;
    color?: PaletteFamilyName;
    onClick?: (unknown: any) => unknown;
};
/**
 * @public
 */
export declare const Radio: React.FC<RadioProps>;
//# sourceMappingURL=Radio.d.ts.map