import React from 'react';
import { Radio } from './Radio';
describe('Radio', () => {
    test('Selected, rendering', () => {
        const json = rendererCreateWithTheme(React.createElement(Radio, { checked: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('Not Selected, rendering', () => {
        const json = rendererCreateWithTheme(React.createElement(Radio, null)).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('Disabled, rendering', () => {
        const json = rendererCreateWithTheme(React.createElement(Radio, { disabled: true })).toJSON();
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=Radio.spec.js.map