import React from 'react';
import { BottomProps, LeftProps, RightProps, TopProps, ZIndexProps } from 'styled-system';
import { type BoxProps } from '../Box/Box';
/**
 * @public
 */
export type RelativeProps = TopProps & RightProps & BottomProps & LeftProps & ZIndexProps & BoxProps;
/**
 * @public
 */
export declare const Relative: React.FC<RelativeProps>;
//# sourceMappingURL=Relative.d.ts.map