import styled from 'styled-components';
import { bottom, left, right, top, zIndex, } from 'styled-system';
import { Box } from '../Box/Box';
/**
 * @public
 */
export const Relative = styled(Box) `
  position: relative;
  ${top} ${bottom} ${left} ${right}
  ${zIndex}
`;
Relative.displayName = 'Relative';
//# sourceMappingURL=Relative.js.map