/// <reference types="react" />
import { type BoxProps } from '../Box/Box';
import { ShimmerVariationType, type ShimmerVariation } from './constants';
/**
 * @public
 */
export type ShimmerProps = BoxProps & {
    animationWidth?: number;
    className?: string;
    disable?: boolean;
    variation?: ShimmerVariation;
};
/**
 * @public
 */
export declare function Shimmer({ animationWidth, disable, ...props }: ShimmerProps): JSX.Element;
export declare namespace Shimmer {
    var defaultProps: {
        animationWidth: number;
        disable: boolean;
        variation: ShimmerVariationType;
    };
}
//# sourceMappingURL=Shimmer.d.ts.map