/// <reference types="react" />
export type ArrowProps = {
    isLeft?: boolean;
    arrowButtonVariation?: 'fill' | 'link' | 'outline' | 'plain' | 'subtle' | 'white' | 'lightFill' | 'input';
    size?: string;
    leftArrowClick?: (unknown: any) => void;
    rightArrowClick?: (unknown: any) => void;
    leftDisabled?: boolean;
    rightDisabled?: boolean;
    mr?: number;
    ml?: number;
};
export type ArrowPosition = 'top' | 'bottom' | 'side' | 'hide';
export declare function Arrow({ isLeft, arrowButtonVariation, size, leftArrowClick, rightArrowClick, leftDisabled, rightDisabled, ...props }: ArrowProps): JSX.Element;
//# sourceMappingURL=Arrow.d.ts.map