import React from 'react';
import { type ArrowPosition } from './Arrow';
/**
 * @public
 */
export type SlideBoxProps = {
    children?: React.ReactNode | string;
    visibleSlides?: Array<number> | number;
    onSlideChange?: (unknown: any) => unknown;
    slideSpacing?: number;
    stretchHeight?: boolean;
    layout?: string;
    currentSlideOverride?: number;
    arrowSizeOverride?: string;
    arrowButtonVariation?: 'fill' | 'link' | 'outline' | 'plain' | 'subtle' | 'white' | 'lightFill' | 'input';
    arrowPosition?: ArrowPosition;
    slideScrollNum?: number;
    mobileSlideScrollNum?: number;
    overflowAllowancePxX?: number;
    overflowAllowancePxY?: number;
    overflowAllowancePxTop?: number;
};
/**
 * @public
 */
export declare function SlideBox({ children, visibleSlides, onSlideChange, slideSpacing, stretchHeight, layout, currentSlideOverride, arrowSizeOverride, arrowButtonVariation, arrowPosition, slideScrollNum, mobileSlideScrollNum, overflowAllowancePxX, overflowAllowancePxY, overflowAllowancePxTop, }: SlideBoxProps): JSX.Element;
//# sourceMappingURL=SlideBox.d.ts.map