import React from 'react';
export declare const iconMap: {
    Cars: React.JSX.Element;
    Hotels: React.JSX.Element;
    Flights: React.JSX.Element;
};
export declare const sizes: string[];
export declare const icons: string[];
export declare const defaultArgs: {
    size: string;
    color: string;
};
export declare const argTypes: {
    size: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            type: {
                summary: string;
                detail: string;
            };
            defaultValue: {
                summary: string;
            };
        };
        control: {
            type: string;
            options: string[];
        };
    };
    color: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            type: {
                summary: string;
                detail: string;
            };
            defaultValue: {
                summary: string;
            };
        };
        control: {
            type: string;
            options: string[];
        };
    };
    icon: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
        table: {
            type: {
                summary: string;
                detail: string;
            };
            defaultValue: {
                summary: string;
            };
        };
        control: {
            type: string;
            options: string[];
        };
    };
    useGradient: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
    };
    strokeWidth: {
        name: string;
        type: {
            name: string;
            required: boolean;
        };
        description: string;
    };
};
//# sourceMappingURL=Spinner.stories.args.d.ts.map