import React from 'react';
/**
 * @public
 */
export type ToggleProps = {
    isOn?: boolean;
    label?: string;
    onToggle?: (unknown: any) => unknown;
    disabled?: boolean;
    width?: string;
    height?: number;
    icon?: React.ReactNode;
    name?: string;
};
/**
 * Toggle component
 *
 * @public
 */
export declare function Toggle({ isOn, label, onToggle, disabled, height, icon, name, }: ToggleProps): React.ReactElement;
export declare namespace Toggle {
    var displayName: string;
    var defaultProps: {
        isOn: boolean;
        height: number;
    };
}
//# sourceMappingURL=Toggle.d.ts.map