export declare const colorSchemeNames: readonly ["primary", "primaryLight", "primaryLightest", "primaryDark", "primaryShade", "primaryDarkOnLight", "secondary", "secondaryLight", "secondaryLightest", "secondaryDark", "secondaryDarkOnLight", "neutral", "neutralLight", "neutralLightest", "neutralDark", "neutralDarkOnLight", "neutralDarkOnLightest", "success", "successLight", "successLightest", "successDark", "successDarkOnLight", "warning", "warningLight", "warningLightest", "cautionLight", "highlightLight", "promo", "promoLight", "promoLightest", "promoDark", "promoDarkOnLight", "alert", "alertLight", "alertLightest", "alertDarkOnLight", "heading", "headingBase", "headingLight", "headingOnPrimaryLight"];
export declare const colors: string[];
export declare const borderRadii: string[];
export declare const borderStyles: string[];
export declare const rounded: string[];
export declare const shadows: string[];
export declare const textStyles: string[];
export declare const inputArgs: string[];
export declare const spaceArgs: {};
export declare const fontSizes: number[];
export declare const objectFits: string[];
export declare const objectPositions: string[];
export declare const zIndicies: import("../../theme").ZIndices;
export declare const chipWithShadowVariationArgs: ({
    label: string;
    variation: string;
    selected?: undefined;
    disabled?: undefined;
} | {
    label: string;
    selected: boolean;
    variation: string;
    disabled?: undefined;
} | {
    label: string;
    disabled: boolean;
    variation: string;
    selected?: undefined;
} | {
    label: string;
    disabled: boolean;
    selected: boolean;
    variation: string;
})[];
/**
 * @public
 */
export declare const storybookArgs: {
    colorSchemeNames: readonly ["primary", "primaryLight", "primaryLightest", "primaryDark", "primaryShade", "primaryDarkOnLight", "secondary", "secondaryLight", "secondaryLightest", "secondaryDark", "secondaryDarkOnLight", "neutral", "neutralLight", "neutralLightest", "neutralDark", "neutralDarkOnLight", "neutralDarkOnLightest", "success", "successLight", "successLightest", "successDark", "successDarkOnLight", "warning", "warningLight", "warningLightest", "cautionLight", "highlightLight", "promo", "promoLight", "promoLightest", "promoDark", "promoDarkOnLight", "alert", "alertLight", "alertLightest", "alertDarkOnLight", "heading", "headingBase", "headingLight", "headingOnPrimaryLight"];
    colors: string[];
    borderRadii: string[];
    borderStyles: string[];
    rounded: string[];
    shadows: string[];
    textStyles: string[];
    inputArgs: string[];
    spaceArgs: {};
    fontSizes: number[];
    objectFits: string[];
    objectPositions: string[];
    zIndicies: import("../../theme").ZIndices;
    chipWithShadowVariationArgs: ({
        label: string;
        variation: string;
        selected?: undefined;
        disabled?: undefined;
    } | {
        label: string;
        selected: boolean;
        variation: string;
        disabled?: undefined;
    } | {
        label: string;
        disabled: boolean;
        variation: string;
        selected?: undefined;
    } | {
        label: string;
        disabled: boolean;
        selected: boolean;
        variation: string;
    })[];
};
//# sourceMappingURL=index.d.ts.map